package join_test


import "join"
import "array"
import "testing"

a =
    array.from(
        rows: [
            {key: "K", a: 0},
            {key: "K", a: 1},
            {key: "K", a: 2},
            {key: "K", a: 3},
            {key: "K", a: 4},
            {key: "K", a: 5},
            {key: "K", a: 6},
            {key: "K", a: 7},
            {key: "K", a: 8},
            {key: "K", a: 9},
            {key: "K", a: 10},
            {key: "K", a: 11},
            {key: "K", a: 12},
            {key: "K", a: 13},
            {key: "K", a: 14},
            {key: "K", a: 15},
        ],
    )

b =
    array.from(
        rows: [
            {key: "K", b: 0},
            {key: "K", b: 1},
            {key: "K", b: 2},
            {key: "K", b: 3},
            {key: "K", b: 4},
            {key: "K", b: 5},
            {key: "K", b: 6},
            {key: "K", b: 7},
            {key: "K", b: 8},
            {key: "K", b: 9},
            {key: "K", b: 10},
            {key: "K", b: 11},
            {key: "K", b: 12},
            {key: "K", b: 13},
            {key: "K", b: 14},
            {key: "K", b: 15},
        ],
    )

c =
    array.from(
        rows: [
            {key: "K", c: 0},
            {key: "K", c: 1},
            {key: "K", c: 2},
            {key: "K", c: 3},
            {key: "K", c: 4},
            {key: "K", c: 5},
            {key: "K", c: 6},
            {key: "K", c: 7},
            {key: "K", c: 8},
            {key: "K", c: 9},
            {key: "K", c: 10},
            {key: "K", c: 11},
            {key: "K", c: 12},
            {key: "K", c: 13},
            {key: "K", c: 14},
            {key: "K", c: 15},
        ],
    )

testcase large_join {
    want =
        array.from(
            rows: [
                {key: "K", a: 0, b: 0, c: 0},
                {key: "K", a: 0, b: 0, c: 1},
                {key: "K", a: 0, b: 0, c: 2},
                {key: "K", a: 0, b: 0, c: 3},
                {key: "K", a: 0, b: 0, c: 4},
                {key: "K", a: 0, b: 0, c: 5},
                {key: "K", a: 0, b: 0, c: 6},
                {key: "K", a: 0, b: 0, c: 7},
                {key: "K", a: 0, b: 0, c: 8},
                {key: "K", a: 0, b: 0, c: 9},
                {key: "K", a: 0, b: 0, c: 10},
                {key: "K", a: 0, b: 0, c: 11},
                {key: "K", a: 0, b: 0, c: 12},
                {key: "K", a: 0, b: 0, c: 13},
                {key: "K", a: 0, b: 0, c: 14},
                {key: "K", a: 0, b: 0, c: 15},
                {key: "K", a: 0, b: 1, c: 0},
                {key: "K", a: 0, b: 1, c: 1},
                {key: "K", a: 0, b: 1, c: 2},
                {key: "K", a: 0, b: 1, c: 3},
                {key: "K", a: 0, b: 1, c: 4},
                {key: "K", a: 0, b: 1, c: 5},
                {key: "K", a: 0, b: 1, c: 6},
                {key: "K", a: 0, b: 1, c: 7},
                {key: "K", a: 0, b: 1, c: 8},
                {key: "K", a: 0, b: 1, c: 9},
                {key: "K", a: 0, b: 1, c: 10},
                {key: "K", a: 0, b: 1, c: 11},
                {key: "K", a: 0, b: 1, c: 12},
                {key: "K", a: 0, b: 1, c: 13},
                {key: "K", a: 0, b: 1, c: 14},
                {key: "K", a: 0, b: 1, c: 15},
                {key: "K", a: 0, b: 2, c: 0},
                {key: "K", a: 0, b: 2, c: 1},
                {key: "K", a: 0, b: 2, c: 2},
                {key: "K", a: 0, b: 2, c: 3},
                {key: "K", a: 0, b: 2, c: 4},
                {key: "K", a: 0, b: 2, c: 5},
                {key: "K", a: 0, b: 2, c: 6},
                {key: "K", a: 0, b: 2, c: 7},
                {key: "K", a: 0, b: 2, c: 8},
                {key: "K", a: 0, b: 2, c: 9},
                {key: "K", a: 0, b: 2, c: 10},
                {key: "K", a: 0, b: 2, c: 11},
                {key: "K", a: 0, b: 2, c: 12},
                {key: "K", a: 0, b: 2, c: 13},
                {key: "K", a: 0, b: 2, c: 14},
                {key: "K", a: 0, b: 2, c: 15},
                {key: "K", a: 0, b: 3, c: 0},
                {key: "K", a: 0, b: 3, c: 1},
                {key: "K", a: 0, b: 3, c: 2},
                {key: "K", a: 0, b: 3, c: 3},
                {key: "K", a: 0, b: 3, c: 4},
                {key: "K", a: 0, b: 3, c: 5},
                {key: "K", a: 0, b: 3, c: 6},
                {key: "K", a: 0, b: 3, c: 7},
                {key: "K", a: 0, b: 3, c: 8},
                {key: "K", a: 0, b: 3, c: 9},
                {key: "K", a: 0, b: 3, c: 10},
                {key: "K", a: 0, b: 3, c: 11},
                {key: "K", a: 0, b: 3, c: 12},
                {key: "K", a: 0, b: 3, c: 13},
                {key: "K", a: 0, b: 3, c: 14},
                {key: "K", a: 0, b: 3, c: 15},
                {key: "K", a: 0, b: 4, c: 0},
                {key: "K", a: 0, b: 4, c: 1},
                {key: "K", a: 0, b: 4, c: 2},
                {key: "K", a: 0, b: 4, c: 3},
                {key: "K", a: 0, b: 4, c: 4},
                {key: "K", a: 0, b: 4, c: 5},
                {key: "K", a: 0, b: 4, c: 6},
                {key: "K", a: 0, b: 4, c: 7},
                {key: "K", a: 0, b: 4, c: 8},
                {key: "K", a: 0, b: 4, c: 9},
                {key: "K", a: 0, b: 4, c: 10},
                {key: "K", a: 0, b: 4, c: 11},
                {key: "K", a: 0, b: 4, c: 12},
                {key: "K", a: 0, b: 4, c: 13},
                {key: "K", a: 0, b: 4, c: 14},
                {key: "K", a: 0, b: 4, c: 15},
                {key: "K", a: 0, b: 5, c: 0},
                {key: "K", a: 0, b: 5, c: 1},
                {key: "K", a: 0, b: 5, c: 2},
                {key: "K", a: 0, b: 5, c: 3},
                {key: "K", a: 0, b: 5, c: 4},
                {key: "K", a: 0, b: 5, c: 5},
                {key: "K", a: 0, b: 5, c: 6},
                {key: "K", a: 0, b: 5, c: 7},
                {key: "K", a: 0, b: 5, c: 8},
                {key: "K", a: 0, b: 5, c: 9},
                {key: "K", a: 0, b: 5, c: 10},
                {key: "K", a: 0, b: 5, c: 11},
                {key: "K", a: 0, b: 5, c: 12},
                {key: "K", a: 0, b: 5, c: 13},
                {key: "K", a: 0, b: 5, c: 14},
                {key: "K", a: 0, b: 5, c: 15},
                {key: "K", a: 0, b: 6, c: 0},
                {key: "K", a: 0, b: 6, c: 1},
                {key: "K", a: 0, b: 6, c: 2},
                {key: "K", a: 0, b: 6, c: 3},
                {key: "K", a: 0, b: 6, c: 4},
                {key: "K", a: 0, b: 6, c: 5},
                {key: "K", a: 0, b: 6, c: 6},
                {key: "K", a: 0, b: 6, c: 7},
                {key: "K", a: 0, b: 6, c: 8},
                {key: "K", a: 0, b: 6, c: 9},
                {key: "K", a: 0, b: 6, c: 10},
                {key: "K", a: 0, b: 6, c: 11},
                {key: "K", a: 0, b: 6, c: 12},
                {key: "K", a: 0, b: 6, c: 13},
                {key: "K", a: 0, b: 6, c: 14},
                {key: "K", a: 0, b: 6, c: 15},
                {key: "K", a: 0, b: 7, c: 0},
                {key: "K", a: 0, b: 7, c: 1},
                {key: "K", a: 0, b: 7, c: 2},
                {key: "K", a: 0, b: 7, c: 3},
                {key: "K", a: 0, b: 7, c: 4},
                {key: "K", a: 0, b: 7, c: 5},
                {key: "K", a: 0, b: 7, c: 6},
                {key: "K", a: 0, b: 7, c: 7},
                {key: "K", a: 0, b: 7, c: 8},
                {key: "K", a: 0, b: 7, c: 9},
                {key: "K", a: 0, b: 7, c: 10},
                {key: "K", a: 0, b: 7, c: 11},
                {key: "K", a: 0, b: 7, c: 12},
                {key: "K", a: 0, b: 7, c: 13},
                {key: "K", a: 0, b: 7, c: 14},
                {key: "K", a: 0, b: 7, c: 15},
                {key: "K", a: 0, b: 8, c: 0},
                {key: "K", a: 0, b: 8, c: 1},
                {key: "K", a: 0, b: 8, c: 2},
                {key: "K", a: 0, b: 8, c: 3},
                {key: "K", a: 0, b: 8, c: 4},
                {key: "K", a: 0, b: 8, c: 5},
                {key: "K", a: 0, b: 8, c: 6},
                {key: "K", a: 0, b: 8, c: 7},
                {key: "K", a: 0, b: 8, c: 8},
                {key: "K", a: 0, b: 8, c: 9},
                {key: "K", a: 0, b: 8, c: 10},
                {key: "K", a: 0, b: 8, c: 11},
                {key: "K", a: 0, b: 8, c: 12},
                {key: "K", a: 0, b: 8, c: 13},
                {key: "K", a: 0, b: 8, c: 14},
                {key: "K", a: 0, b: 8, c: 15},
                {key: "K", a: 0, b: 9, c: 0},
                {key: "K", a: 0, b: 9, c: 1},
                {key: "K", a: 0, b: 9, c: 2},
                {key: "K", a: 0, b: 9, c: 3},
                {key: "K", a: 0, b: 9, c: 4},
                {key: "K", a: 0, b: 9, c: 5},
                {key: "K", a: 0, b: 9, c: 6},
                {key: "K", a: 0, b: 9, c: 7},
                {key: "K", a: 0, b: 9, c: 8},
                {key: "K", a: 0, b: 9, c: 9},
                {key: "K", a: 0, b: 9, c: 10},
                {key: "K", a: 0, b: 9, c: 11},
                {key: "K", a: 0, b: 9, c: 12},
                {key: "K", a: 0, b: 9, c: 13},
                {key: "K", a: 0, b: 9, c: 14},
                {key: "K", a: 0, b: 9, c: 15},
                {key: "K", a: 0, b: 10, c: 0},
                {key: "K", a: 0, b: 10, c: 1},
                {key: "K", a: 0, b: 10, c: 2},
                {key: "K", a: 0, b: 10, c: 3},
                {key: "K", a: 0, b: 10, c: 4},
                {key: "K", a: 0, b: 10, c: 5},
                {key: "K", a: 0, b: 10, c: 6},
                {key: "K", a: 0, b: 10, c: 7},
                {key: "K", a: 0, b: 10, c: 8},
                {key: "K", a: 0, b: 10, c: 9},
                {key: "K", a: 0, b: 10, c: 10},
                {key: "K", a: 0, b: 10, c: 11},
                {key: "K", a: 0, b: 10, c: 12},
                {key: "K", a: 0, b: 10, c: 13},
                {key: "K", a: 0, b: 10, c: 14},
                {key: "K", a: 0, b: 10, c: 15},
                {key: "K", a: 0, b: 11, c: 0},
                {key: "K", a: 0, b: 11, c: 1},
                {key: "K", a: 0, b: 11, c: 2},
                {key: "K", a: 0, b: 11, c: 3},
                {key: "K", a: 0, b: 11, c: 4},
                {key: "K", a: 0, b: 11, c: 5},
                {key: "K", a: 0, b: 11, c: 6},
                {key: "K", a: 0, b: 11, c: 7},
                {key: "K", a: 0, b: 11, c: 8},
                {key: "K", a: 0, b: 11, c: 9},
                {key: "K", a: 0, b: 11, c: 10},
                {key: "K", a: 0, b: 11, c: 11},
                {key: "K", a: 0, b: 11, c: 12},
                {key: "K", a: 0, b: 11, c: 13},
                {key: "K", a: 0, b: 11, c: 14},
                {key: "K", a: 0, b: 11, c: 15},
                {key: "K", a: 0, b: 12, c: 0},
                {key: "K", a: 0, b: 12, c: 1},
                {key: "K", a: 0, b: 12, c: 2},
                {key: "K", a: 0, b: 12, c: 3},
                {key: "K", a: 0, b: 12, c: 4},
                {key: "K", a: 0, b: 12, c: 5},
                {key: "K", a: 0, b: 12, c: 6},
                {key: "K", a: 0, b: 12, c: 7},
                {key: "K", a: 0, b: 12, c: 8},
                {key: "K", a: 0, b: 12, c: 9},
                {key: "K", a: 0, b: 12, c: 10},
                {key: "K", a: 0, b: 12, c: 11},
                {key: "K", a: 0, b: 12, c: 12},
                {key: "K", a: 0, b: 12, c: 13},
                {key: "K", a: 0, b: 12, c: 14},
                {key: "K", a: 0, b: 12, c: 15},
                {key: "K", a: 0, b: 13, c: 0},
                {key: "K", a: 0, b: 13, c: 1},
                {key: "K", a: 0, b: 13, c: 2},
                {key: "K", a: 0, b: 13, c: 3},
                {key: "K", a: 0, b: 13, c: 4},
                {key: "K", a: 0, b: 13, c: 5},
                {key: "K", a: 0, b: 13, c: 6},
                {key: "K", a: 0, b: 13, c: 7},
                {key: "K", a: 0, b: 13, c: 8},
                {key: "K", a: 0, b: 13, c: 9},
                {key: "K", a: 0, b: 13, c: 10},
                {key: "K", a: 0, b: 13, c: 11},
                {key: "K", a: 0, b: 13, c: 12},
                {key: "K", a: 0, b: 13, c: 13},
                {key: "K", a: 0, b: 13, c: 14},
                {key: "K", a: 0, b: 13, c: 15},
                {key: "K", a: 0, b: 14, c: 0},
                {key: "K", a: 0, b: 14, c: 1},
                {key: "K", a: 0, b: 14, c: 2},
                {key: "K", a: 0, b: 14, c: 3},
                {key: "K", a: 0, b: 14, c: 4},
                {key: "K", a: 0, b: 14, c: 5},
                {key: "K", a: 0, b: 14, c: 6},
                {key: "K", a: 0, b: 14, c: 7},
                {key: "K", a: 0, b: 14, c: 8},
                {key: "K", a: 0, b: 14, c: 9},
                {key: "K", a: 0, b: 14, c: 10},
                {key: "K", a: 0, b: 14, c: 11},
                {key: "K", a: 0, b: 14, c: 12},
                {key: "K", a: 0, b: 14, c: 13},
                {key: "K", a: 0, b: 14, c: 14},
                {key: "K", a: 0, b: 14, c: 15},
                {key: "K", a: 0, b: 15, c: 0},
                {key: "K", a: 0, b: 15, c: 1},
                {key: "K", a: 0, b: 15, c: 2},
                {key: "K", a: 0, b: 15, c: 3},
                {key: "K", a: 0, b: 15, c: 4},
                {key: "K", a: 0, b: 15, c: 5},
                {key: "K", a: 0, b: 15, c: 6},
                {key: "K", a: 0, b: 15, c: 7},
                {key: "K", a: 0, b: 15, c: 8},
                {key: "K", a: 0, b: 15, c: 9},
                {key: "K", a: 0, b: 15, c: 10},
                {key: "K", a: 0, b: 15, c: 11},
                {key: "K", a: 0, b: 15, c: 12},
                {key: "K", a: 0, b: 15, c: 13},
                {key: "K", a: 0, b: 15, c: 14},
                {key: "K", a: 0, b: 15, c: 15},
                {key: "K", a: 1, b: 0, c: 0},
                {key: "K", a: 1, b: 0, c: 1},
                {key: "K", a: 1, b: 0, c: 2},
                {key: "K", a: 1, b: 0, c: 3},
                {key: "K", a: 1, b: 0, c: 4},
                {key: "K", a: 1, b: 0, c: 5},
                {key: "K", a: 1, b: 0, c: 6},
                {key: "K", a: 1, b: 0, c: 7},
                {key: "K", a: 1, b: 0, c: 8},
                {key: "K", a: 1, b: 0, c: 9},
                {key: "K", a: 1, b: 0, c: 10},
                {key: "K", a: 1, b: 0, c: 11},
                {key: "K", a: 1, b: 0, c: 12},
                {key: "K", a: 1, b: 0, c: 13},
                {key: "K", a: 1, b: 0, c: 14},
                {key: "K", a: 1, b: 0, c: 15},
                {key: "K", a: 1, b: 1, c: 0},
                {key: "K", a: 1, b: 1, c: 1},
                {key: "K", a: 1, b: 1, c: 2},
                {key: "K", a: 1, b: 1, c: 3},
                {key: "K", a: 1, b: 1, c: 4},
                {key: "K", a: 1, b: 1, c: 5},
                {key: "K", a: 1, b: 1, c: 6},
                {key: "K", a: 1, b: 1, c: 7},
                {key: "K", a: 1, b: 1, c: 8},
                {key: "K", a: 1, b: 1, c: 9},
                {key: "K", a: 1, b: 1, c: 10},
                {key: "K", a: 1, b: 1, c: 11},
                {key: "K", a: 1, b: 1, c: 12},
                {key: "K", a: 1, b: 1, c: 13},
                {key: "K", a: 1, b: 1, c: 14},
                {key: "K", a: 1, b: 1, c: 15},
                {key: "K", a: 1, b: 2, c: 0},
                {key: "K", a: 1, b: 2, c: 1},
                {key: "K", a: 1, b: 2, c: 2},
                {key: "K", a: 1, b: 2, c: 3},
                {key: "K", a: 1, b: 2, c: 4},
                {key: "K", a: 1, b: 2, c: 5},
                {key: "K", a: 1, b: 2, c: 6},
                {key: "K", a: 1, b: 2, c: 7},
                {key: "K", a: 1, b: 2, c: 8},
                {key: "K", a: 1, b: 2, c: 9},
                {key: "K", a: 1, b: 2, c: 10},
                {key: "K", a: 1, b: 2, c: 11},
                {key: "K", a: 1, b: 2, c: 12},
                {key: "K", a: 1, b: 2, c: 13},
                {key: "K", a: 1, b: 2, c: 14},
                {key: "K", a: 1, b: 2, c: 15},
                {key: "K", a: 1, b: 3, c: 0},
                {key: "K", a: 1, b: 3, c: 1},
                {key: "K", a: 1, b: 3, c: 2},
                {key: "K", a: 1, b: 3, c: 3},
                {key: "K", a: 1, b: 3, c: 4},
                {key: "K", a: 1, b: 3, c: 5},
                {key: "K", a: 1, b: 3, c: 6},
                {key: "K", a: 1, b: 3, c: 7},
                {key: "K", a: 1, b: 3, c: 8},
                {key: "K", a: 1, b: 3, c: 9},
                {key: "K", a: 1, b: 3, c: 10},
                {key: "K", a: 1, b: 3, c: 11},
                {key: "K", a: 1, b: 3, c: 12},
                {key: "K", a: 1, b: 3, c: 13},
                {key: "K", a: 1, b: 3, c: 14},
                {key: "K", a: 1, b: 3, c: 15},
                {key: "K", a: 1, b: 4, c: 0},
                {key: "K", a: 1, b: 4, c: 1},
                {key: "K", a: 1, b: 4, c: 2},
                {key: "K", a: 1, b: 4, c: 3},
                {key: "K", a: 1, b: 4, c: 4},
                {key: "K", a: 1, b: 4, c: 5},
                {key: "K", a: 1, b: 4, c: 6},
                {key: "K", a: 1, b: 4, c: 7},
                {key: "K", a: 1, b: 4, c: 8},
                {key: "K", a: 1, b: 4, c: 9},
                {key: "K", a: 1, b: 4, c: 10},
                {key: "K", a: 1, b: 4, c: 11},
                {key: "K", a: 1, b: 4, c: 12},
                {key: "K", a: 1, b: 4, c: 13},
                {key: "K", a: 1, b: 4, c: 14},
                {key: "K", a: 1, b: 4, c: 15},
                {key: "K", a: 1, b: 5, c: 0},
                {key: "K", a: 1, b: 5, c: 1},
                {key: "K", a: 1, b: 5, c: 2},
                {key: "K", a: 1, b: 5, c: 3},
                {key: "K", a: 1, b: 5, c: 4},
                {key: "K", a: 1, b: 5, c: 5},
                {key: "K", a: 1, b: 5, c: 6},
                {key: "K", a: 1, b: 5, c: 7},
                {key: "K", a: 1, b: 5, c: 8},
                {key: "K", a: 1, b: 5, c: 9},
                {key: "K", a: 1, b: 5, c: 10},
                {key: "K", a: 1, b: 5, c: 11},
                {key: "K", a: 1, b: 5, c: 12},
                {key: "K", a: 1, b: 5, c: 13},
                {key: "K", a: 1, b: 5, c: 14},
                {key: "K", a: 1, b: 5, c: 15},
                {key: "K", a: 1, b: 6, c: 0},
                {key: "K", a: 1, b: 6, c: 1},
                {key: "K", a: 1, b: 6, c: 2},
                {key: "K", a: 1, b: 6, c: 3},
                {key: "K", a: 1, b: 6, c: 4},
                {key: "K", a: 1, b: 6, c: 5},
                {key: "K", a: 1, b: 6, c: 6},
                {key: "K", a: 1, b: 6, c: 7},
                {key: "K", a: 1, b: 6, c: 8},
                {key: "K", a: 1, b: 6, c: 9},
                {key: "K", a: 1, b: 6, c: 10},
                {key: "K", a: 1, b: 6, c: 11},
                {key: "K", a: 1, b: 6, c: 12},
                {key: "K", a: 1, b: 6, c: 13},
                {key: "K", a: 1, b: 6, c: 14},
                {key: "K", a: 1, b: 6, c: 15},
                {key: "K", a: 1, b: 7, c: 0},
                {key: "K", a: 1, b: 7, c: 1},
                {key: "K", a: 1, b: 7, c: 2},
                {key: "K", a: 1, b: 7, c: 3},
                {key: "K", a: 1, b: 7, c: 4},
                {key: "K", a: 1, b: 7, c: 5},
                {key: "K", a: 1, b: 7, c: 6},
                {key: "K", a: 1, b: 7, c: 7},
                {key: "K", a: 1, b: 7, c: 8},
                {key: "K", a: 1, b: 7, c: 9},
                {key: "K", a: 1, b: 7, c: 10},
                {key: "K", a: 1, b: 7, c: 11},
                {key: "K", a: 1, b: 7, c: 12},
                {key: "K", a: 1, b: 7, c: 13},
                {key: "K", a: 1, b: 7, c: 14},
                {key: "K", a: 1, b: 7, c: 15},
                {key: "K", a: 1, b: 8, c: 0},
                {key: "K", a: 1, b: 8, c: 1},
                {key: "K", a: 1, b: 8, c: 2},
                {key: "K", a: 1, b: 8, c: 3},
                {key: "K", a: 1, b: 8, c: 4},
                {key: "K", a: 1, b: 8, c: 5},
                {key: "K", a: 1, b: 8, c: 6},
                {key: "K", a: 1, b: 8, c: 7},
                {key: "K", a: 1, b: 8, c: 8},
                {key: "K", a: 1, b: 8, c: 9},
                {key: "K", a: 1, b: 8, c: 10},
                {key: "K", a: 1, b: 8, c: 11},
                {key: "K", a: 1, b: 8, c: 12},
                {key: "K", a: 1, b: 8, c: 13},
                {key: "K", a: 1, b: 8, c: 14},
                {key: "K", a: 1, b: 8, c: 15},
                {key: "K", a: 1, b: 9, c: 0},
                {key: "K", a: 1, b: 9, c: 1},
                {key: "K", a: 1, b: 9, c: 2},
                {key: "K", a: 1, b: 9, c: 3},
                {key: "K", a: 1, b: 9, c: 4},
                {key: "K", a: 1, b: 9, c: 5},
                {key: "K", a: 1, b: 9, c: 6},
                {key: "K", a: 1, b: 9, c: 7},
                {key: "K", a: 1, b: 9, c: 8},
                {key: "K", a: 1, b: 9, c: 9},
                {key: "K", a: 1, b: 9, c: 10},
                {key: "K", a: 1, b: 9, c: 11},
                {key: "K", a: 1, b: 9, c: 12},
                {key: "K", a: 1, b: 9, c: 13},
                {key: "K", a: 1, b: 9, c: 14},
                {key: "K", a: 1, b: 9, c: 15},
                {key: "K", a: 1, b: 10, c: 0},
                {key: "K", a: 1, b: 10, c: 1},
                {key: "K", a: 1, b: 10, c: 2},
                {key: "K", a: 1, b: 10, c: 3},
                {key: "K", a: 1, b: 10, c: 4},
                {key: "K", a: 1, b: 10, c: 5},
                {key: "K", a: 1, b: 10, c: 6},
                {key: "K", a: 1, b: 10, c: 7},
                {key: "K", a: 1, b: 10, c: 8},
                {key: "K", a: 1, b: 10, c: 9},
                {key: "K", a: 1, b: 10, c: 10},
                {key: "K", a: 1, b: 10, c: 11},
                {key: "K", a: 1, b: 10, c: 12},
                {key: "K", a: 1, b: 10, c: 13},
                {key: "K", a: 1, b: 10, c: 14},
                {key: "K", a: 1, b: 10, c: 15},
                {key: "K", a: 1, b: 11, c: 0},
                {key: "K", a: 1, b: 11, c: 1},
                {key: "K", a: 1, b: 11, c: 2},
                {key: "K", a: 1, b: 11, c: 3},
                {key: "K", a: 1, b: 11, c: 4},
                {key: "K", a: 1, b: 11, c: 5},
                {key: "K", a: 1, b: 11, c: 6},
                {key: "K", a: 1, b: 11, c: 7},
                {key: "K", a: 1, b: 11, c: 8},
                {key: "K", a: 1, b: 11, c: 9},
                {key: "K", a: 1, b: 11, c: 10},
                {key: "K", a: 1, b: 11, c: 11},
                {key: "K", a: 1, b: 11, c: 12},
                {key: "K", a: 1, b: 11, c: 13},
                {key: "K", a: 1, b: 11, c: 14},
                {key: "K", a: 1, b: 11, c: 15},
                {key: "K", a: 1, b: 12, c: 0},
                {key: "K", a: 1, b: 12, c: 1},
                {key: "K", a: 1, b: 12, c: 2},
                {key: "K", a: 1, b: 12, c: 3},
                {key: "K", a: 1, b: 12, c: 4},
                {key: "K", a: 1, b: 12, c: 5},
                {key: "K", a: 1, b: 12, c: 6},
                {key: "K", a: 1, b: 12, c: 7},
                {key: "K", a: 1, b: 12, c: 8},
                {key: "K", a: 1, b: 12, c: 9},
                {key: "K", a: 1, b: 12, c: 10},
                {key: "K", a: 1, b: 12, c: 11},
                {key: "K", a: 1, b: 12, c: 12},
                {key: "K", a: 1, b: 12, c: 13},
                {key: "K", a: 1, b: 12, c: 14},
                {key: "K", a: 1, b: 12, c: 15},
                {key: "K", a: 1, b: 13, c: 0},
                {key: "K", a: 1, b: 13, c: 1},
                {key: "K", a: 1, b: 13, c: 2},
                {key: "K", a: 1, b: 13, c: 3},
                {key: "K", a: 1, b: 13, c: 4},
                {key: "K", a: 1, b: 13, c: 5},
                {key: "K", a: 1, b: 13, c: 6},
                {key: "K", a: 1, b: 13, c: 7},
                {key: "K", a: 1, b: 13, c: 8},
                {key: "K", a: 1, b: 13, c: 9},
                {key: "K", a: 1, b: 13, c: 10},
                {key: "K", a: 1, b: 13, c: 11},
                {key: "K", a: 1, b: 13, c: 12},
                {key: "K", a: 1, b: 13, c: 13},
                {key: "K", a: 1, b: 13, c: 14},
                {key: "K", a: 1, b: 13, c: 15},
                {key: "K", a: 1, b: 14, c: 0},
                {key: "K", a: 1, b: 14, c: 1},
                {key: "K", a: 1, b: 14, c: 2},
                {key: "K", a: 1, b: 14, c: 3},
                {key: "K", a: 1, b: 14, c: 4},
                {key: "K", a: 1, b: 14, c: 5},
                {key: "K", a: 1, b: 14, c: 6},
                {key: "K", a: 1, b: 14, c: 7},
                {key: "K", a: 1, b: 14, c: 8},
                {key: "K", a: 1, b: 14, c: 9},
                {key: "K", a: 1, b: 14, c: 10},
                {key: "K", a: 1, b: 14, c: 11},
                {key: "K", a: 1, b: 14, c: 12},
                {key: "K", a: 1, b: 14, c: 13},
                {key: "K", a: 1, b: 14, c: 14},
                {key: "K", a: 1, b: 14, c: 15},
                {key: "K", a: 1, b: 15, c: 0},
                {key: "K", a: 1, b: 15, c: 1},
                {key: "K", a: 1, b: 15, c: 2},
                {key: "K", a: 1, b: 15, c: 3},
                {key: "K", a: 1, b: 15, c: 4},
                {key: "K", a: 1, b: 15, c: 5},
                {key: "K", a: 1, b: 15, c: 6},
                {key: "K", a: 1, b: 15, c: 7},
                {key: "K", a: 1, b: 15, c: 8},
                {key: "K", a: 1, b: 15, c: 9},
                {key: "K", a: 1, b: 15, c: 10},
                {key: "K", a: 1, b: 15, c: 11},
                {key: "K", a: 1, b: 15, c: 12},
                {key: "K", a: 1, b: 15, c: 13},
                {key: "K", a: 1, b: 15, c: 14},
                {key: "K", a: 1, b: 15, c: 15},
                {key: "K", a: 2, b: 0, c: 0},
                {key: "K", a: 2, b: 0, c: 1},
                {key: "K", a: 2, b: 0, c: 2},
                {key: "K", a: 2, b: 0, c: 3},
                {key: "K", a: 2, b: 0, c: 4},
                {key: "K", a: 2, b: 0, c: 5},
                {key: "K", a: 2, b: 0, c: 6},
                {key: "K", a: 2, b: 0, c: 7},
                {key: "K", a: 2, b: 0, c: 8},
                {key: "K", a: 2, b: 0, c: 9},
                {key: "K", a: 2, b: 0, c: 10},
                {key: "K", a: 2, b: 0, c: 11},
                {key: "K", a: 2, b: 0, c: 12},
                {key: "K", a: 2, b: 0, c: 13},
                {key: "K", a: 2, b: 0, c: 14},
                {key: "K", a: 2, b: 0, c: 15},
                {key: "K", a: 2, b: 1, c: 0},
                {key: "K", a: 2, b: 1, c: 1},
                {key: "K", a: 2, b: 1, c: 2},
                {key: "K", a: 2, b: 1, c: 3},
                {key: "K", a: 2, b: 1, c: 4},
                {key: "K", a: 2, b: 1, c: 5},
                {key: "K", a: 2, b: 1, c: 6},
                {key: "K", a: 2, b: 1, c: 7},
                {key: "K", a: 2, b: 1, c: 8},
                {key: "K", a: 2, b: 1, c: 9},
                {key: "K", a: 2, b: 1, c: 10},
                {key: "K", a: 2, b: 1, c: 11},
                {key: "K", a: 2, b: 1, c: 12},
                {key: "K", a: 2, b: 1, c: 13},
                {key: "K", a: 2, b: 1, c: 14},
                {key: "K", a: 2, b: 1, c: 15},
                {key: "K", a: 2, b: 2, c: 0},
                {key: "K", a: 2, b: 2, c: 1},
                {key: "K", a: 2, b: 2, c: 2},
                {key: "K", a: 2, b: 2, c: 3},
                {key: "K", a: 2, b: 2, c: 4},
                {key: "K", a: 2, b: 2, c: 5},
                {key: "K", a: 2, b: 2, c: 6},
                {key: "K", a: 2, b: 2, c: 7},
                {key: "K", a: 2, b: 2, c: 8},
                {key: "K", a: 2, b: 2, c: 9},
                {key: "K", a: 2, b: 2, c: 10},
                {key: "K", a: 2, b: 2, c: 11},
                {key: "K", a: 2, b: 2, c: 12},
                {key: "K", a: 2, b: 2, c: 13},
                {key: "K", a: 2, b: 2, c: 14},
                {key: "K", a: 2, b: 2, c: 15},
                {key: "K", a: 2, b: 3, c: 0},
                {key: "K", a: 2, b: 3, c: 1},
                {key: "K", a: 2, b: 3, c: 2},
                {key: "K", a: 2, b: 3, c: 3},
                {key: "K", a: 2, b: 3, c: 4},
                {key: "K", a: 2, b: 3, c: 5},
                {key: "K", a: 2, b: 3, c: 6},
                {key: "K", a: 2, b: 3, c: 7},
                {key: "K", a: 2, b: 3, c: 8},
                {key: "K", a: 2, b: 3, c: 9},
                {key: "K", a: 2, b: 3, c: 10},
                {key: "K", a: 2, b: 3, c: 11},
                {key: "K", a: 2, b: 3, c: 12},
                {key: "K", a: 2, b: 3, c: 13},
                {key: "K", a: 2, b: 3, c: 14},
                {key: "K", a: 2, b: 3, c: 15},
                {key: "K", a: 2, b: 4, c: 0},
                {key: "K", a: 2, b: 4, c: 1},
                {key: "K", a: 2, b: 4, c: 2},
                {key: "K", a: 2, b: 4, c: 3},
                {key: "K", a: 2, b: 4, c: 4},
                {key: "K", a: 2, b: 4, c: 5},
                {key: "K", a: 2, b: 4, c: 6},
                {key: "K", a: 2, b: 4, c: 7},
                {key: "K", a: 2, b: 4, c: 8},
                {key: "K", a: 2, b: 4, c: 9},
                {key: "K", a: 2, b: 4, c: 10},
                {key: "K", a: 2, b: 4, c: 11},
                {key: "K", a: 2, b: 4, c: 12},
                {key: "K", a: 2, b: 4, c: 13},
                {key: "K", a: 2, b: 4, c: 14},
                {key: "K", a: 2, b: 4, c: 15},
                {key: "K", a: 2, b: 5, c: 0},
                {key: "K", a: 2, b: 5, c: 1},
                {key: "K", a: 2, b: 5, c: 2},
                {key: "K", a: 2, b: 5, c: 3},
                {key: "K", a: 2, b: 5, c: 4},
                {key: "K", a: 2, b: 5, c: 5},
                {key: "K", a: 2, b: 5, c: 6},
                {key: "K", a: 2, b: 5, c: 7},
                {key: "K", a: 2, b: 5, c: 8},
                {key: "K", a: 2, b: 5, c: 9},
                {key: "K", a: 2, b: 5, c: 10},
                {key: "K", a: 2, b: 5, c: 11},
                {key: "K", a: 2, b: 5, c: 12},
                {key: "K", a: 2, b: 5, c: 13},
                {key: "K", a: 2, b: 5, c: 14},
                {key: "K", a: 2, b: 5, c: 15},
                {key: "K", a: 2, b: 6, c: 0},
                {key: "K", a: 2, b: 6, c: 1},
                {key: "K", a: 2, b: 6, c: 2},
                {key: "K", a: 2, b: 6, c: 3},
                {key: "K", a: 2, b: 6, c: 4},
                {key: "K", a: 2, b: 6, c: 5},
                {key: "K", a: 2, b: 6, c: 6},
                {key: "K", a: 2, b: 6, c: 7},
                {key: "K", a: 2, b: 6, c: 8},
                {key: "K", a: 2, b: 6, c: 9},
                {key: "K", a: 2, b: 6, c: 10},
                {key: "K", a: 2, b: 6, c: 11},
                {key: "K", a: 2, b: 6, c: 12},
                {key: "K", a: 2, b: 6, c: 13},
                {key: "K", a: 2, b: 6, c: 14},
                {key: "K", a: 2, b: 6, c: 15},
                {key: "K", a: 2, b: 7, c: 0},
                {key: "K", a: 2, b: 7, c: 1},
                {key: "K", a: 2, b: 7, c: 2},
                {key: "K", a: 2, b: 7, c: 3},
                {key: "K", a: 2, b: 7, c: 4},
                {key: "K", a: 2, b: 7, c: 5},
                {key: "K", a: 2, b: 7, c: 6},
                {key: "K", a: 2, b: 7, c: 7},
                {key: "K", a: 2, b: 7, c: 8},
                {key: "K", a: 2, b: 7, c: 9},
                {key: "K", a: 2, b: 7, c: 10},
                {key: "K", a: 2, b: 7, c: 11},
                {key: "K", a: 2, b: 7, c: 12},
                {key: "K", a: 2, b: 7, c: 13},
                {key: "K", a: 2, b: 7, c: 14},
                {key: "K", a: 2, b: 7, c: 15},
                {key: "K", a: 2, b: 8, c: 0},
                {key: "K", a: 2, b: 8, c: 1},
                {key: "K", a: 2, b: 8, c: 2},
                {key: "K", a: 2, b: 8, c: 3},
                {key: "K", a: 2, b: 8, c: 4},
                {key: "K", a: 2, b: 8, c: 5},
                {key: "K", a: 2, b: 8, c: 6},
                {key: "K", a: 2, b: 8, c: 7},
                {key: "K", a: 2, b: 8, c: 8},
                {key: "K", a: 2, b: 8, c: 9},
                {key: "K", a: 2, b: 8, c: 10},
                {key: "K", a: 2, b: 8, c: 11},
                {key: "K", a: 2, b: 8, c: 12},
                {key: "K", a: 2, b: 8, c: 13},
                {key: "K", a: 2, b: 8, c: 14},
                {key: "K", a: 2, b: 8, c: 15},
                {key: "K", a: 2, b: 9, c: 0},
                {key: "K", a: 2, b: 9, c: 1},
                {key: "K", a: 2, b: 9, c: 2},
                {key: "K", a: 2, b: 9, c: 3},
                {key: "K", a: 2, b: 9, c: 4},
                {key: "K", a: 2, b: 9, c: 5},
                {key: "K", a: 2, b: 9, c: 6},
                {key: "K", a: 2, b: 9, c: 7},
                {key: "K", a: 2, b: 9, c: 8},
                {key: "K", a: 2, b: 9, c: 9},
                {key: "K", a: 2, b: 9, c: 10},
                {key: "K", a: 2, b: 9, c: 11},
                {key: "K", a: 2, b: 9, c: 12},
                {key: "K", a: 2, b: 9, c: 13},
                {key: "K", a: 2, b: 9, c: 14},
                {key: "K", a: 2, b: 9, c: 15},
                {key: "K", a: 2, b: 10, c: 0},
                {key: "K", a: 2, b: 10, c: 1},
                {key: "K", a: 2, b: 10, c: 2},
                {key: "K", a: 2, b: 10, c: 3},
                {key: "K", a: 2, b: 10, c: 4},
                {key: "K", a: 2, b: 10, c: 5},
                {key: "K", a: 2, b: 10, c: 6},
                {key: "K", a: 2, b: 10, c: 7},
                {key: "K", a: 2, b: 10, c: 8},
                {key: "K", a: 2, b: 10, c: 9},
                {key: "K", a: 2, b: 10, c: 10},
                {key: "K", a: 2, b: 10, c: 11},
                {key: "K", a: 2, b: 10, c: 12},
                {key: "K", a: 2, b: 10, c: 13},
                {key: "K", a: 2, b: 10, c: 14},
                {key: "K", a: 2, b: 10, c: 15},
                {key: "K", a: 2, b: 11, c: 0},
                {key: "K", a: 2, b: 11, c: 1},
                {key: "K", a: 2, b: 11, c: 2},
                {key: "K", a: 2, b: 11, c: 3},
                {key: "K", a: 2, b: 11, c: 4},
                {key: "K", a: 2, b: 11, c: 5},
                {key: "K", a: 2, b: 11, c: 6},
                {key: "K", a: 2, b: 11, c: 7},
                {key: "K", a: 2, b: 11, c: 8},
                {key: "K", a: 2, b: 11, c: 9},
                {key: "K", a: 2, b: 11, c: 10},
                {key: "K", a: 2, b: 11, c: 11},
                {key: "K", a: 2, b: 11, c: 12},
                {key: "K", a: 2, b: 11, c: 13},
                {key: "K", a: 2, b: 11, c: 14},
                {key: "K", a: 2, b: 11, c: 15},
                {key: "K", a: 2, b: 12, c: 0},
                {key: "K", a: 2, b: 12, c: 1},
                {key: "K", a: 2, b: 12, c: 2},
                {key: "K", a: 2, b: 12, c: 3},
                {key: "K", a: 2, b: 12, c: 4},
                {key: "K", a: 2, b: 12, c: 5},
                {key: "K", a: 2, b: 12, c: 6},
                {key: "K", a: 2, b: 12, c: 7},
                {key: "K", a: 2, b: 12, c: 8},
                {key: "K", a: 2, b: 12, c: 9},
                {key: "K", a: 2, b: 12, c: 10},
                {key: "K", a: 2, b: 12, c: 11},
                {key: "K", a: 2, b: 12, c: 12},
                {key: "K", a: 2, b: 12, c: 13},
                {key: "K", a: 2, b: 12, c: 14},
                {key: "K", a: 2, b: 12, c: 15},
                {key: "K", a: 2, b: 13, c: 0},
                {key: "K", a: 2, b: 13, c: 1},
                {key: "K", a: 2, b: 13, c: 2},
                {key: "K", a: 2, b: 13, c: 3},
                {key: "K", a: 2, b: 13, c: 4},
                {key: "K", a: 2, b: 13, c: 5},
                {key: "K", a: 2, b: 13, c: 6},
                {key: "K", a: 2, b: 13, c: 7},
                {key: "K", a: 2, b: 13, c: 8},
                {key: "K", a: 2, b: 13, c: 9},
                {key: "K", a: 2, b: 13, c: 10},
                {key: "K", a: 2, b: 13, c: 11},
                {key: "K", a: 2, b: 13, c: 12},
                {key: "K", a: 2, b: 13, c: 13},
                {key: "K", a: 2, b: 13, c: 14},
                {key: "K", a: 2, b: 13, c: 15},
                {key: "K", a: 2, b: 14, c: 0},
                {key: "K", a: 2, b: 14, c: 1},
                {key: "K", a: 2, b: 14, c: 2},
                {key: "K", a: 2, b: 14, c: 3},
                {key: "K", a: 2, b: 14, c: 4},
                {key: "K", a: 2, b: 14, c: 5},
                {key: "K", a: 2, b: 14, c: 6},
                {key: "K", a: 2, b: 14, c: 7},
                {key: "K", a: 2, b: 14, c: 8},
                {key: "K", a: 2, b: 14, c: 9},
                {key: "K", a: 2, b: 14, c: 10},
                {key: "K", a: 2, b: 14, c: 11},
                {key: "K", a: 2, b: 14, c: 12},
                {key: "K", a: 2, b: 14, c: 13},
                {key: "K", a: 2, b: 14, c: 14},
                {key: "K", a: 2, b: 14, c: 15},
                {key: "K", a: 2, b: 15, c: 0},
                {key: "K", a: 2, b: 15, c: 1},
                {key: "K", a: 2, b: 15, c: 2},
                {key: "K", a: 2, b: 15, c: 3},
                {key: "K", a: 2, b: 15, c: 4},
                {key: "K", a: 2, b: 15, c: 5},
                {key: "K", a: 2, b: 15, c: 6},
                {key: "K", a: 2, b: 15, c: 7},
                {key: "K", a: 2, b: 15, c: 8},
                {key: "K", a: 2, b: 15, c: 9},
                {key: "K", a: 2, b: 15, c: 10},
                {key: "K", a: 2, b: 15, c: 11},
                {key: "K", a: 2, b: 15, c: 12},
                {key: "K", a: 2, b: 15, c: 13},
                {key: "K", a: 2, b: 15, c: 14},
                {key: "K", a: 2, b: 15, c: 15},
                {key: "K", a: 3, b: 0, c: 0},
                {key: "K", a: 3, b: 0, c: 1},
                {key: "K", a: 3, b: 0, c: 2},
                {key: "K", a: 3, b: 0, c: 3},
                {key: "K", a: 3, b: 0, c: 4},
                {key: "K", a: 3, b: 0, c: 5},
                {key: "K", a: 3, b: 0, c: 6},
                {key: "K", a: 3, b: 0, c: 7},
                {key: "K", a: 3, b: 0, c: 8},
                {key: "K", a: 3, b: 0, c: 9},
                {key: "K", a: 3, b: 0, c: 10},
                {key: "K", a: 3, b: 0, c: 11},
                {key: "K", a: 3, b: 0, c: 12},
                {key: "K", a: 3, b: 0, c: 13},
                {key: "K", a: 3, b: 0, c: 14},
                {key: "K", a: 3, b: 0, c: 15},
                {key: "K", a: 3, b: 1, c: 0},
                {key: "K", a: 3, b: 1, c: 1},
                {key: "K", a: 3, b: 1, c: 2},
                {key: "K", a: 3, b: 1, c: 3},
                {key: "K", a: 3, b: 1, c: 4},
                {key: "K", a: 3, b: 1, c: 5},
                {key: "K", a: 3, b: 1, c: 6},
                {key: "K", a: 3, b: 1, c: 7},
                {key: "K", a: 3, b: 1, c: 8},
                {key: "K", a: 3, b: 1, c: 9},
                {key: "K", a: 3, b: 1, c: 10},
                {key: "K", a: 3, b: 1, c: 11},
                {key: "K", a: 3, b: 1, c: 12},
                {key: "K", a: 3, b: 1, c: 13},
                {key: "K", a: 3, b: 1, c: 14},
                {key: "K", a: 3, b: 1, c: 15},
                {key: "K", a: 3, b: 2, c: 0},
                {key: "K", a: 3, b: 2, c: 1},
                {key: "K", a: 3, b: 2, c: 2},
                {key: "K", a: 3, b: 2, c: 3},
                {key: "K", a: 3, b: 2, c: 4},
                {key: "K", a: 3, b: 2, c: 5},
                {key: "K", a: 3, b: 2, c: 6},
                {key: "K", a: 3, b: 2, c: 7},
                {key: "K", a: 3, b: 2, c: 8},
                {key: "K", a: 3, b: 2, c: 9},
                {key: "K", a: 3, b: 2, c: 10},
                {key: "K", a: 3, b: 2, c: 11},
                {key: "K", a: 3, b: 2, c: 12},
                {key: "K", a: 3, b: 2, c: 13},
                {key: "K", a: 3, b: 2, c: 14},
                {key: "K", a: 3, b: 2, c: 15},
                {key: "K", a: 3, b: 3, c: 0},
                {key: "K", a: 3, b: 3, c: 1},
                {key: "K", a: 3, b: 3, c: 2},
                {key: "K", a: 3, b: 3, c: 3},
                {key: "K", a: 3, b: 3, c: 4},
                {key: "K", a: 3, b: 3, c: 5},
                {key: "K", a: 3, b: 3, c: 6},
                {key: "K", a: 3, b: 3, c: 7},
                {key: "K", a: 3, b: 3, c: 8},
                {key: "K", a: 3, b: 3, c: 9},
                {key: "K", a: 3, b: 3, c: 10},
                {key: "K", a: 3, b: 3, c: 11},
                {key: "K", a: 3, b: 3, c: 12},
                {key: "K", a: 3, b: 3, c: 13},
                {key: "K", a: 3, b: 3, c: 14},
                {key: "K", a: 3, b: 3, c: 15},
                {key: "K", a: 3, b: 4, c: 0},
                {key: "K", a: 3, b: 4, c: 1},
                {key: "K", a: 3, b: 4, c: 2},
                {key: "K", a: 3, b: 4, c: 3},
                {key: "K", a: 3, b: 4, c: 4},
                {key: "K", a: 3, b: 4, c: 5},
                {key: "K", a: 3, b: 4, c: 6},
                {key: "K", a: 3, b: 4, c: 7},
                {key: "K", a: 3, b: 4, c: 8},
                {key: "K", a: 3, b: 4, c: 9},
                {key: "K", a: 3, b: 4, c: 10},
                {key: "K", a: 3, b: 4, c: 11},
                {key: "K", a: 3, b: 4, c: 12},
                {key: "K", a: 3, b: 4, c: 13},
                {key: "K", a: 3, b: 4, c: 14},
                {key: "K", a: 3, b: 4, c: 15},
                {key: "K", a: 3, b: 5, c: 0},
                {key: "K", a: 3, b: 5, c: 1},
                {key: "K", a: 3, b: 5, c: 2},
                {key: "K", a: 3, b: 5, c: 3},
                {key: "K", a: 3, b: 5, c: 4},
                {key: "K", a: 3, b: 5, c: 5},
                {key: "K", a: 3, b: 5, c: 6},
                {key: "K", a: 3, b: 5, c: 7},
                {key: "K", a: 3, b: 5, c: 8},
                {key: "K", a: 3, b: 5, c: 9},
                {key: "K", a: 3, b: 5, c: 10},
                {key: "K", a: 3, b: 5, c: 11},
                {key: "K", a: 3, b: 5, c: 12},
                {key: "K", a: 3, b: 5, c: 13},
                {key: "K", a: 3, b: 5, c: 14},
                {key: "K", a: 3, b: 5, c: 15},
                {key: "K", a: 3, b: 6, c: 0},
                {key: "K", a: 3, b: 6, c: 1},
                {key: "K", a: 3, b: 6, c: 2},
                {key: "K", a: 3, b: 6, c: 3},
                {key: "K", a: 3, b: 6, c: 4},
                {key: "K", a: 3, b: 6, c: 5},
                {key: "K", a: 3, b: 6, c: 6},
                {key: "K", a: 3, b: 6, c: 7},
                {key: "K", a: 3, b: 6, c: 8},
                {key: "K", a: 3, b: 6, c: 9},
                {key: "K", a: 3, b: 6, c: 10},
                {key: "K", a: 3, b: 6, c: 11},
                {key: "K", a: 3, b: 6, c: 12},
                {key: "K", a: 3, b: 6, c: 13},
                {key: "K", a: 3, b: 6, c: 14},
                {key: "K", a: 3, b: 6, c: 15},
                {key: "K", a: 3, b: 7, c: 0},
                {key: "K", a: 3, b: 7, c: 1},
                {key: "K", a: 3, b: 7, c: 2},
                {key: "K", a: 3, b: 7, c: 3},
                {key: "K", a: 3, b: 7, c: 4},
                {key: "K", a: 3, b: 7, c: 5},
                {key: "K", a: 3, b: 7, c: 6},
                {key: "K", a: 3, b: 7, c: 7},
                {key: "K", a: 3, b: 7, c: 8},
                {key: "K", a: 3, b: 7, c: 9},
                {key: "K", a: 3, b: 7, c: 10},
                {key: "K", a: 3, b: 7, c: 11},
                {key: "K", a: 3, b: 7, c: 12},
                {key: "K", a: 3, b: 7, c: 13},
                {key: "K", a: 3, b: 7, c: 14},
                {key: "K", a: 3, b: 7, c: 15},
                {key: "K", a: 3, b: 8, c: 0},
                {key: "K", a: 3, b: 8, c: 1},
                {key: "K", a: 3, b: 8, c: 2},
                {key: "K", a: 3, b: 8, c: 3},
                {key: "K", a: 3, b: 8, c: 4},
                {key: "K", a: 3, b: 8, c: 5},
                {key: "K", a: 3, b: 8, c: 6},
                {key: "K", a: 3, b: 8, c: 7},
                {key: "K", a: 3, b: 8, c: 8},
                {key: "K", a: 3, b: 8, c: 9},
                {key: "K", a: 3, b: 8, c: 10},
                {key: "K", a: 3, b: 8, c: 11},
                {key: "K", a: 3, b: 8, c: 12},
                {key: "K", a: 3, b: 8, c: 13},
                {key: "K", a: 3, b: 8, c: 14},
                {key: "K", a: 3, b: 8, c: 15},
                {key: "K", a: 3, b: 9, c: 0},
                {key: "K", a: 3, b: 9, c: 1},
                {key: "K", a: 3, b: 9, c: 2},
                {key: "K", a: 3, b: 9, c: 3},
                {key: "K", a: 3, b: 9, c: 4},
                {key: "K", a: 3, b: 9, c: 5},
                {key: "K", a: 3, b: 9, c: 6},
                {key: "K", a: 3, b: 9, c: 7},
                {key: "K", a: 3, b: 9, c: 8},
                {key: "K", a: 3, b: 9, c: 9},
                {key: "K", a: 3, b: 9, c: 10},
                {key: "K", a: 3, b: 9, c: 11},
                {key: "K", a: 3, b: 9, c: 12},
                {key: "K", a: 3, b: 9, c: 13},
                {key: "K", a: 3, b: 9, c: 14},
                {key: "K", a: 3, b: 9, c: 15},
                {key: "K", a: 3, b: 10, c: 0},
                {key: "K", a: 3, b: 10, c: 1},
                {key: "K", a: 3, b: 10, c: 2},
                {key: "K", a: 3, b: 10, c: 3},
                {key: "K", a: 3, b: 10, c: 4},
                {key: "K", a: 3, b: 10, c: 5},
                {key: "K", a: 3, b: 10, c: 6},
                {key: "K", a: 3, b: 10, c: 7},
                {key: "K", a: 3, b: 10, c: 8},
                {key: "K", a: 3, b: 10, c: 9},
                {key: "K", a: 3, b: 10, c: 10},
                {key: "K", a: 3, b: 10, c: 11},
                {key: "K", a: 3, b: 10, c: 12},
                {key: "K", a: 3, b: 10, c: 13},
                {key: "K", a: 3, b: 10, c: 14},
                {key: "K", a: 3, b: 10, c: 15},
                {key: "K", a: 3, b: 11, c: 0},
                {key: "K", a: 3, b: 11, c: 1},
                {key: "K", a: 3, b: 11, c: 2},
                {key: "K", a: 3, b: 11, c: 3},
                {key: "K", a: 3, b: 11, c: 4},
                {key: "K", a: 3, b: 11, c: 5},
                {key: "K", a: 3, b: 11, c: 6},
                {key: "K", a: 3, b: 11, c: 7},
                {key: "K", a: 3, b: 11, c: 8},
                {key: "K", a: 3, b: 11, c: 9},
                {key: "K", a: 3, b: 11, c: 10},
                {key: "K", a: 3, b: 11, c: 11},
                {key: "K", a: 3, b: 11, c: 12},
                {key: "K", a: 3, b: 11, c: 13},
                {key: "K", a: 3, b: 11, c: 14},
                {key: "K", a: 3, b: 11, c: 15},
                {key: "K", a: 3, b: 12, c: 0},
                {key: "K", a: 3, b: 12, c: 1},
                {key: "K", a: 3, b: 12, c: 2},
                {key: "K", a: 3, b: 12, c: 3},
                {key: "K", a: 3, b: 12, c: 4},
                {key: "K", a: 3, b: 12, c: 5},
                {key: "K", a: 3, b: 12, c: 6},
                {key: "K", a: 3, b: 12, c: 7},
                {key: "K", a: 3, b: 12, c: 8},
                {key: "K", a: 3, b: 12, c: 9},
                {key: "K", a: 3, b: 12, c: 10},
                {key: "K", a: 3, b: 12, c: 11},
                {key: "K", a: 3, b: 12, c: 12},
                {key: "K", a: 3, b: 12, c: 13},
                {key: "K", a: 3, b: 12, c: 14},
                {key: "K", a: 3, b: 12, c: 15},
                {key: "K", a: 3, b: 13, c: 0},
                {key: "K", a: 3, b: 13, c: 1},
                {key: "K", a: 3, b: 13, c: 2},
                {key: "K", a: 3, b: 13, c: 3},
                {key: "K", a: 3, b: 13, c: 4},
                {key: "K", a: 3, b: 13, c: 5},
                {key: "K", a: 3, b: 13, c: 6},
                {key: "K", a: 3, b: 13, c: 7},
                {key: "K", a: 3, b: 13, c: 8},
                {key: "K", a: 3, b: 13, c: 9},
                {key: "K", a: 3, b: 13, c: 10},
                {key: "K", a: 3, b: 13, c: 11},
                {key: "K", a: 3, b: 13, c: 12},
                {key: "K", a: 3, b: 13, c: 13},
                {key: "K", a: 3, b: 13, c: 14},
                {key: "K", a: 3, b: 13, c: 15},
                {key: "K", a: 3, b: 14, c: 0},
                {key: "K", a: 3, b: 14, c: 1},
                {key: "K", a: 3, b: 14, c: 2},
                {key: "K", a: 3, b: 14, c: 3},
                {key: "K", a: 3, b: 14, c: 4},
                {key: "K", a: 3, b: 14, c: 5},
                {key: "K", a: 3, b: 14, c: 6},
                {key: "K", a: 3, b: 14, c: 7},
                {key: "K", a: 3, b: 14, c: 8},
                {key: "K", a: 3, b: 14, c: 9},
                {key: "K", a: 3, b: 14, c: 10},
                {key: "K", a: 3, b: 14, c: 11},
                {key: "K", a: 3, b: 14, c: 12},
                {key: "K", a: 3, b: 14, c: 13},
                {key: "K", a: 3, b: 14, c: 14},
                {key: "K", a: 3, b: 14, c: 15},
                {key: "K", a: 3, b: 15, c: 0},
                {key: "K", a: 3, b: 15, c: 1},
                {key: "K", a: 3, b: 15, c: 2},
                {key: "K", a: 3, b: 15, c: 3},
                {key: "K", a: 3, b: 15, c: 4},
                {key: "K", a: 3, b: 15, c: 5},
                {key: "K", a: 3, b: 15, c: 6},
                {key: "K", a: 3, b: 15, c: 7},
                {key: "K", a: 3, b: 15, c: 8},
                {key: "K", a: 3, b: 15, c: 9},
                {key: "K", a: 3, b: 15, c: 10},
                {key: "K", a: 3, b: 15, c: 11},
                {key: "K", a: 3, b: 15, c: 12},
                {key: "K", a: 3, b: 15, c: 13},
                {key: "K", a: 3, b: 15, c: 14},
                {key: "K", a: 3, b: 15, c: 15},
                {key: "K", a: 4, b: 0, c: 0},
                {key: "K", a: 4, b: 0, c: 1},
                {key: "K", a: 4, b: 0, c: 2},
                {key: "K", a: 4, b: 0, c: 3},
                {key: "K", a: 4, b: 0, c: 4},
                {key: "K", a: 4, b: 0, c: 5},
                {key: "K", a: 4, b: 0, c: 6},
                {key: "K", a: 4, b: 0, c: 7},
                {key: "K", a: 4, b: 0, c: 8},
                {key: "K", a: 4, b: 0, c: 9},
                {key: "K", a: 4, b: 0, c: 10},
                {key: "K", a: 4, b: 0, c: 11},
                {key: "K", a: 4, b: 0, c: 12},
                {key: "K", a: 4, b: 0, c: 13},
                {key: "K", a: 4, b: 0, c: 14},
                {key: "K", a: 4, b: 0, c: 15},
                {key: "K", a: 4, b: 1, c: 0},
                {key: "K", a: 4, b: 1, c: 1},
                {key: "K", a: 4, b: 1, c: 2},
                {key: "K", a: 4, b: 1, c: 3},
                {key: "K", a: 4, b: 1, c: 4},
                {key: "K", a: 4, b: 1, c: 5},
                {key: "K", a: 4, b: 1, c: 6},
                {key: "K", a: 4, b: 1, c: 7},
                {key: "K", a: 4, b: 1, c: 8},
                {key: "K", a: 4, b: 1, c: 9},
                {key: "K", a: 4, b: 1, c: 10},
                {key: "K", a: 4, b: 1, c: 11},
                {key: "K", a: 4, b: 1, c: 12},
                {key: "K", a: 4, b: 1, c: 13},
                {key: "K", a: 4, b: 1, c: 14},
                {key: "K", a: 4, b: 1, c: 15},
                {key: "K", a: 4, b: 2, c: 0},
                {key: "K", a: 4, b: 2, c: 1},
                {key: "K", a: 4, b: 2, c: 2},
                {key: "K", a: 4, b: 2, c: 3},
                {key: "K", a: 4, b: 2, c: 4},
                {key: "K", a: 4, b: 2, c: 5},
                {key: "K", a: 4, b: 2, c: 6},
                {key: "K", a: 4, b: 2, c: 7},
                {key: "K", a: 4, b: 2, c: 8},
                {key: "K", a: 4, b: 2, c: 9},
                {key: "K", a: 4, b: 2, c: 10},
                {key: "K", a: 4, b: 2, c: 11},
                {key: "K", a: 4, b: 2, c: 12},
                {key: "K", a: 4, b: 2, c: 13},
                {key: "K", a: 4, b: 2, c: 14},
                {key: "K", a: 4, b: 2, c: 15},
                {key: "K", a: 4, b: 3, c: 0},
                {key: "K", a: 4, b: 3, c: 1},
                {key: "K", a: 4, b: 3, c: 2},
                {key: "K", a: 4, b: 3, c: 3},
                {key: "K", a: 4, b: 3, c: 4},
                {key: "K", a: 4, b: 3, c: 5},
                {key: "K", a: 4, b: 3, c: 6},
                {key: "K", a: 4, b: 3, c: 7},
                {key: "K", a: 4, b: 3, c: 8},
                {key: "K", a: 4, b: 3, c: 9},
                {key: "K", a: 4, b: 3, c: 10},
                {key: "K", a: 4, b: 3, c: 11},
                {key: "K", a: 4, b: 3, c: 12},
                {key: "K", a: 4, b: 3, c: 13},
                {key: "K", a: 4, b: 3, c: 14},
                {key: "K", a: 4, b: 3, c: 15},
                {key: "K", a: 4, b: 4, c: 0},
                {key: "K", a: 4, b: 4, c: 1},
                {key: "K", a: 4, b: 4, c: 2},
                {key: "K", a: 4, b: 4, c: 3},
                {key: "K", a: 4, b: 4, c: 4},
                {key: "K", a: 4, b: 4, c: 5},
                {key: "K", a: 4, b: 4, c: 6},
                {key: "K", a: 4, b: 4, c: 7},
                {key: "K", a: 4, b: 4, c: 8},
                {key: "K", a: 4, b: 4, c: 9},
                {key: "K", a: 4, b: 4, c: 10},
                {key: "K", a: 4, b: 4, c: 11},
                {key: "K", a: 4, b: 4, c: 12},
                {key: "K", a: 4, b: 4, c: 13},
                {key: "K", a: 4, b: 4, c: 14},
                {key: "K", a: 4, b: 4, c: 15},
                {key: "K", a: 4, b: 5, c: 0},
                {key: "K", a: 4, b: 5, c: 1},
                {key: "K", a: 4, b: 5, c: 2},
                {key: "K", a: 4, b: 5, c: 3},
                {key: "K", a: 4, b: 5, c: 4},
                {key: "K", a: 4, b: 5, c: 5},
                {key: "K", a: 4, b: 5, c: 6},
                {key: "K", a: 4, b: 5, c: 7},
                {key: "K", a: 4, b: 5, c: 8},
                {key: "K", a: 4, b: 5, c: 9},
                {key: "K", a: 4, b: 5, c: 10},
                {key: "K", a: 4, b: 5, c: 11},
                {key: "K", a: 4, b: 5, c: 12},
                {key: "K", a: 4, b: 5, c: 13},
                {key: "K", a: 4, b: 5, c: 14},
                {key: "K", a: 4, b: 5, c: 15},
                {key: "K", a: 4, b: 6, c: 0},
                {key: "K", a: 4, b: 6, c: 1},
                {key: "K", a: 4, b: 6, c: 2},
                {key: "K", a: 4, b: 6, c: 3},
                {key: "K", a: 4, b: 6, c: 4},
                {key: "K", a: 4, b: 6, c: 5},
                {key: "K", a: 4, b: 6, c: 6},
                {key: "K", a: 4, b: 6, c: 7},
                {key: "K", a: 4, b: 6, c: 8},
                {key: "K", a: 4, b: 6, c: 9},
                {key: "K", a: 4, b: 6, c: 10},
                {key: "K", a: 4, b: 6, c: 11},
                {key: "K", a: 4, b: 6, c: 12},
                {key: "K", a: 4, b: 6, c: 13},
                {key: "K", a: 4, b: 6, c: 14},
                {key: "K", a: 4, b: 6, c: 15},
                {key: "K", a: 4, b: 7, c: 0},
                {key: "K", a: 4, b: 7, c: 1},
                {key: "K", a: 4, b: 7, c: 2},
                {key: "K", a: 4, b: 7, c: 3},
                {key: "K", a: 4, b: 7, c: 4},
                {key: "K", a: 4, b: 7, c: 5},
                {key: "K", a: 4, b: 7, c: 6},
                {key: "K", a: 4, b: 7, c: 7},
                {key: "K", a: 4, b: 7, c: 8},
                {key: "K", a: 4, b: 7, c: 9},
                {key: "K", a: 4, b: 7, c: 10},
                {key: "K", a: 4, b: 7, c: 11},
                {key: "K", a: 4, b: 7, c: 12},
                {key: "K", a: 4, b: 7, c: 13},
                {key: "K", a: 4, b: 7, c: 14},
                {key: "K", a: 4, b: 7, c: 15},
                {key: "K", a: 4, b: 8, c: 0},
                {key: "K", a: 4, b: 8, c: 1},
                {key: "K", a: 4, b: 8, c: 2},
                {key: "K", a: 4, b: 8, c: 3},
                {key: "K", a: 4, b: 8, c: 4},
                {key: "K", a: 4, b: 8, c: 5},
                {key: "K", a: 4, b: 8, c: 6},
                {key: "K", a: 4, b: 8, c: 7},
                {key: "K", a: 4, b: 8, c: 8},
                {key: "K", a: 4, b: 8, c: 9},
                {key: "K", a: 4, b: 8, c: 10},
                {key: "K", a: 4, b: 8, c: 11},
                {key: "K", a: 4, b: 8, c: 12},
                {key: "K", a: 4, b: 8, c: 13},
                {key: "K", a: 4, b: 8, c: 14},
                {key: "K", a: 4, b: 8, c: 15},
                {key: "K", a: 4, b: 9, c: 0},
                {key: "K", a: 4, b: 9, c: 1},
                {key: "K", a: 4, b: 9, c: 2},
                {key: "K", a: 4, b: 9, c: 3},
                {key: "K", a: 4, b: 9, c: 4},
                {key: "K", a: 4, b: 9, c: 5},
                {key: "K", a: 4, b: 9, c: 6},
                {key: "K", a: 4, b: 9, c: 7},
                {key: "K", a: 4, b: 9, c: 8},
                {key: "K", a: 4, b: 9, c: 9},
                {key: "K", a: 4, b: 9, c: 10},
                {key: "K", a: 4, b: 9, c: 11},
                {key: "K", a: 4, b: 9, c: 12},
                {key: "K", a: 4, b: 9, c: 13},
                {key: "K", a: 4, b: 9, c: 14},
                {key: "K", a: 4, b: 9, c: 15},
                {key: "K", a: 4, b: 10, c: 0},
                {key: "K", a: 4, b: 10, c: 1},
                {key: "K", a: 4, b: 10, c: 2},
                {key: "K", a: 4, b: 10, c: 3},
                {key: "K", a: 4, b: 10, c: 4},
                {key: "K", a: 4, b: 10, c: 5},
                {key: "K", a: 4, b: 10, c: 6},
                {key: "K", a: 4, b: 10, c: 7},
                {key: "K", a: 4, b: 10, c: 8},
                {key: "K", a: 4, b: 10, c: 9},
                {key: "K", a: 4, b: 10, c: 10},
                {key: "K", a: 4, b: 10, c: 11},
                {key: "K", a: 4, b: 10, c: 12},
                {key: "K", a: 4, b: 10, c: 13},
                {key: "K", a: 4, b: 10, c: 14},
                {key: "K", a: 4, b: 10, c: 15},
                {key: "K", a: 4, b: 11, c: 0},
                {key: "K", a: 4, b: 11, c: 1},
                {key: "K", a: 4, b: 11, c: 2},
                {key: "K", a: 4, b: 11, c: 3},
                {key: "K", a: 4, b: 11, c: 4},
                {key: "K", a: 4, b: 11, c: 5},
                {key: "K", a: 4, b: 11, c: 6},
                {key: "K", a: 4, b: 11, c: 7},
                {key: "K", a: 4, b: 11, c: 8},
                {key: "K", a: 4, b: 11, c: 9},
                {key: "K", a: 4, b: 11, c: 10},
                {key: "K", a: 4, b: 11, c: 11},
                {key: "K", a: 4, b: 11, c: 12},
                {key: "K", a: 4, b: 11, c: 13},
                {key: "K", a: 4, b: 11, c: 14},
                {key: "K", a: 4, b: 11, c: 15},
                {key: "K", a: 4, b: 12, c: 0},
                {key: "K", a: 4, b: 12, c: 1},
                {key: "K", a: 4, b: 12, c: 2},
                {key: "K", a: 4, b: 12, c: 3},
                {key: "K", a: 4, b: 12, c: 4},
                {key: "K", a: 4, b: 12, c: 5},
                {key: "K", a: 4, b: 12, c: 6},
                {key: "K", a: 4, b: 12, c: 7},
                {key: "K", a: 4, b: 12, c: 8},
                {key: "K", a: 4, b: 12, c: 9},
                {key: "K", a: 4, b: 12, c: 10},
                {key: "K", a: 4, b: 12, c: 11},
                {key: "K", a: 4, b: 12, c: 12},
                {key: "K", a: 4, b: 12, c: 13},
                {key: "K", a: 4, b: 12, c: 14},
                {key: "K", a: 4, b: 12, c: 15},
                {key: "K", a: 4, b: 13, c: 0},
                {key: "K", a: 4, b: 13, c: 1},
                {key: "K", a: 4, b: 13, c: 2},
                {key: "K", a: 4, b: 13, c: 3},
                {key: "K", a: 4, b: 13, c: 4},
                {key: "K", a: 4, b: 13, c: 5},
                {key: "K", a: 4, b: 13, c: 6},
                {key: "K", a: 4, b: 13, c: 7},
                {key: "K", a: 4, b: 13, c: 8},
                {key: "K", a: 4, b: 13, c: 9},
                {key: "K", a: 4, b: 13, c: 10},
                {key: "K", a: 4, b: 13, c: 11},
                {key: "K", a: 4, b: 13, c: 12},
                {key: "K", a: 4, b: 13, c: 13},
                {key: "K", a: 4, b: 13, c: 14},
                {key: "K", a: 4, b: 13, c: 15},
                {key: "K", a: 4, b: 14, c: 0},
                {key: "K", a: 4, b: 14, c: 1},
                {key: "K", a: 4, b: 14, c: 2},
                {key: "K", a: 4, b: 14, c: 3},
                {key: "K", a: 4, b: 14, c: 4},
                {key: "K", a: 4, b: 14, c: 5},
                {key: "K", a: 4, b: 14, c: 6},
                {key: "K", a: 4, b: 14, c: 7},
                {key: "K", a: 4, b: 14, c: 8},
                {key: "K", a: 4, b: 14, c: 9},
                {key: "K", a: 4, b: 14, c: 10},
                {key: "K", a: 4, b: 14, c: 11},
                {key: "K", a: 4, b: 14, c: 12},
                {key: "K", a: 4, b: 14, c: 13},
                {key: "K", a: 4, b: 14, c: 14},
                {key: "K", a: 4, b: 14, c: 15},
                {key: "K", a: 4, b: 15, c: 0},
                {key: "K", a: 4, b: 15, c: 1},
                {key: "K", a: 4, b: 15, c: 2},
                {key: "K", a: 4, b: 15, c: 3},
                {key: "K", a: 4, b: 15, c: 4},
                {key: "K", a: 4, b: 15, c: 5},
                {key: "K", a: 4, b: 15, c: 6},
                {key: "K", a: 4, b: 15, c: 7},
                {key: "K", a: 4, b: 15, c: 8},
                {key: "K", a: 4, b: 15, c: 9},
                {key: "K", a: 4, b: 15, c: 10},
                {key: "K", a: 4, b: 15, c: 11},
                {key: "K", a: 4, b: 15, c: 12},
                {key: "K", a: 4, b: 15, c: 13},
                {key: "K", a: 4, b: 15, c: 14},
                {key: "K", a: 4, b: 15, c: 15},
                {key: "K", a: 5, b: 0, c: 0},
                {key: "K", a: 5, b: 0, c: 1},
                {key: "K", a: 5, b: 0, c: 2},
                {key: "K", a: 5, b: 0, c: 3},
                {key: "K", a: 5, b: 0, c: 4},
                {key: "K", a: 5, b: 0, c: 5},
                {key: "K", a: 5, b: 0, c: 6},
                {key: "K", a: 5, b: 0, c: 7},
                {key: "K", a: 5, b: 0, c: 8},
                {key: "K", a: 5, b: 0, c: 9},
                {key: "K", a: 5, b: 0, c: 10},
                {key: "K", a: 5, b: 0, c: 11},
                {key: "K", a: 5, b: 0, c: 12},
                {key: "K", a: 5, b: 0, c: 13},
                {key: "K", a: 5, b: 0, c: 14},
                {key: "K", a: 5, b: 0, c: 15},
                {key: "K", a: 5, b: 1, c: 0},
                {key: "K", a: 5, b: 1, c: 1},
                {key: "K", a: 5, b: 1, c: 2},
                {key: "K", a: 5, b: 1, c: 3},
                {key: "K", a: 5, b: 1, c: 4},
                {key: "K", a: 5, b: 1, c: 5},
                {key: "K", a: 5, b: 1, c: 6},
                {key: "K", a: 5, b: 1, c: 7},
                {key: "K", a: 5, b: 1, c: 8},
                {key: "K", a: 5, b: 1, c: 9},
                {key: "K", a: 5, b: 1, c: 10},
                {key: "K", a: 5, b: 1, c: 11},
                {key: "K", a: 5, b: 1, c: 12},
                {key: "K", a: 5, b: 1, c: 13},
                {key: "K", a: 5, b: 1, c: 14},
                {key: "K", a: 5, b: 1, c: 15},
                {key: "K", a: 5, b: 2, c: 0},
                {key: "K", a: 5, b: 2, c: 1},
                {key: "K", a: 5, b: 2, c: 2},
                {key: "K", a: 5, b: 2, c: 3},
                {key: "K", a: 5, b: 2, c: 4},
                {key: "K", a: 5, b: 2, c: 5},
                {key: "K", a: 5, b: 2, c: 6},
                {key: "K", a: 5, b: 2, c: 7},
                {key: "K", a: 5, b: 2, c: 8},
                {key: "K", a: 5, b: 2, c: 9},
                {key: "K", a: 5, b: 2, c: 10},
                {key: "K", a: 5, b: 2, c: 11},
                {key: "K", a: 5, b: 2, c: 12},
                {key: "K", a: 5, b: 2, c: 13},
                {key: "K", a: 5, b: 2, c: 14},
                {key: "K", a: 5, b: 2, c: 15},
                {key: "K", a: 5, b: 3, c: 0},
                {key: "K", a: 5, b: 3, c: 1},
                {key: "K", a: 5, b: 3, c: 2},
                {key: "K", a: 5, b: 3, c: 3},
                {key: "K", a: 5, b: 3, c: 4},
                {key: "K", a: 5, b: 3, c: 5},
                {key: "K", a: 5, b: 3, c: 6},
                {key: "K", a: 5, b: 3, c: 7},
                {key: "K", a: 5, b: 3, c: 8},
                {key: "K", a: 5, b: 3, c: 9},
                {key: "K", a: 5, b: 3, c: 10},
                {key: "K", a: 5, b: 3, c: 11},
                {key: "K", a: 5, b: 3, c: 12},
                {key: "K", a: 5, b: 3, c: 13},
                {key: "K", a: 5, b: 3, c: 14},
                {key: "K", a: 5, b: 3, c: 15},
                {key: "K", a: 5, b: 4, c: 0},
                {key: "K", a: 5, b: 4, c: 1},
                {key: "K", a: 5, b: 4, c: 2},
                {key: "K", a: 5, b: 4, c: 3},
                {key: "K", a: 5, b: 4, c: 4},
                {key: "K", a: 5, b: 4, c: 5},
                {key: "K", a: 5, b: 4, c: 6},
                {key: "K", a: 5, b: 4, c: 7},
                {key: "K", a: 5, b: 4, c: 8},
                {key: "K", a: 5, b: 4, c: 9},
                {key: "K", a: 5, b: 4, c: 10},
                {key: "K", a: 5, b: 4, c: 11},
                {key: "K", a: 5, b: 4, c: 12},
                {key: "K", a: 5, b: 4, c: 13},
                {key: "K", a: 5, b: 4, c: 14},
                {key: "K", a: 5, b: 4, c: 15},
                {key: "K", a: 5, b: 5, c: 0},
                {key: "K", a: 5, b: 5, c: 1},
                {key: "K", a: 5, b: 5, c: 2},
                {key: "K", a: 5, b: 5, c: 3},
                {key: "K", a: 5, b: 5, c: 4},
                {key: "K", a: 5, b: 5, c: 5},
                {key: "K", a: 5, b: 5, c: 6},
                {key: "K", a: 5, b: 5, c: 7},
                {key: "K", a: 5, b: 5, c: 8},
                {key: "K", a: 5, b: 5, c: 9},
                {key: "K", a: 5, b: 5, c: 10},
                {key: "K", a: 5, b: 5, c: 11},
                {key: "K", a: 5, b: 5, c: 12},
                {key: "K", a: 5, b: 5, c: 13},
                {key: "K", a: 5, b: 5, c: 14},
                {key: "K", a: 5, b: 5, c: 15},
                {key: "K", a: 5, b: 6, c: 0},
                {key: "K", a: 5, b: 6, c: 1},
                {key: "K", a: 5, b: 6, c: 2},
                {key: "K", a: 5, b: 6, c: 3},
                {key: "K", a: 5, b: 6, c: 4},
                {key: "K", a: 5, b: 6, c: 5},
                {key: "K", a: 5, b: 6, c: 6},
                {key: "K", a: 5, b: 6, c: 7},
                {key: "K", a: 5, b: 6, c: 8},
                {key: "K", a: 5, b: 6, c: 9},
                {key: "K", a: 5, b: 6, c: 10},
                {key: "K", a: 5, b: 6, c: 11},
                {key: "K", a: 5, b: 6, c: 12},
                {key: "K", a: 5, b: 6, c: 13},
                {key: "K", a: 5, b: 6, c: 14},
                {key: "K", a: 5, b: 6, c: 15},
                {key: "K", a: 5, b: 7, c: 0},
                {key: "K", a: 5, b: 7, c: 1},
                {key: "K", a: 5, b: 7, c: 2},
                {key: "K", a: 5, b: 7, c: 3},
                {key: "K", a: 5, b: 7, c: 4},
                {key: "K", a: 5, b: 7, c: 5},
                {key: "K", a: 5, b: 7, c: 6},
                {key: "K", a: 5, b: 7, c: 7},
                {key: "K", a: 5, b: 7, c: 8},
                {key: "K", a: 5, b: 7, c: 9},
                {key: "K", a: 5, b: 7, c: 10},
                {key: "K", a: 5, b: 7, c: 11},
                {key: "K", a: 5, b: 7, c: 12},
                {key: "K", a: 5, b: 7, c: 13},
                {key: "K", a: 5, b: 7, c: 14},
                {key: "K", a: 5, b: 7, c: 15},
                {key: "K", a: 5, b: 8, c: 0},
                {key: "K", a: 5, b: 8, c: 1},
                {key: "K", a: 5, b: 8, c: 2},
                {key: "K", a: 5, b: 8, c: 3},
                {key: "K", a: 5, b: 8, c: 4},
                {key: "K", a: 5, b: 8, c: 5},
                {key: "K", a: 5, b: 8, c: 6},
                {key: "K", a: 5, b: 8, c: 7},
                {key: "K", a: 5, b: 8, c: 8},
                {key: "K", a: 5, b: 8, c: 9},
                {key: "K", a: 5, b: 8, c: 10},
                {key: "K", a: 5, b: 8, c: 11},
                {key: "K", a: 5, b: 8, c: 12},
                {key: "K", a: 5, b: 8, c: 13},
                {key: "K", a: 5, b: 8, c: 14},
                {key: "K", a: 5, b: 8, c: 15},
                {key: "K", a: 5, b: 9, c: 0},
                {key: "K", a: 5, b: 9, c: 1},
                {key: "K", a: 5, b: 9, c: 2},
                {key: "K", a: 5, b: 9, c: 3},
                {key: "K", a: 5, b: 9, c: 4},
                {key: "K", a: 5, b: 9, c: 5},
                {key: "K", a: 5, b: 9, c: 6},
                {key: "K", a: 5, b: 9, c: 7},
                {key: "K", a: 5, b: 9, c: 8},
                {key: "K", a: 5, b: 9, c: 9},
                {key: "K", a: 5, b: 9, c: 10},
                {key: "K", a: 5, b: 9, c: 11},
                {key: "K", a: 5, b: 9, c: 12},
                {key: "K", a: 5, b: 9, c: 13},
                {key: "K", a: 5, b: 9, c: 14},
                {key: "K", a: 5, b: 9, c: 15},
                {key: "K", a: 5, b: 10, c: 0},
                {key: "K", a: 5, b: 10, c: 1},
                {key: "K", a: 5, b: 10, c: 2},
                {key: "K", a: 5, b: 10, c: 3},
                {key: "K", a: 5, b: 10, c: 4},
                {key: "K", a: 5, b: 10, c: 5},
                {key: "K", a: 5, b: 10, c: 6},
                {key: "K", a: 5, b: 10, c: 7},
                {key: "K", a: 5, b: 10, c: 8},
                {key: "K", a: 5, b: 10, c: 9},
                {key: "K", a: 5, b: 10, c: 10},
                {key: "K", a: 5, b: 10, c: 11},
                {key: "K", a: 5, b: 10, c: 12},
                {key: "K", a: 5, b: 10, c: 13},
                {key: "K", a: 5, b: 10, c: 14},
                {key: "K", a: 5, b: 10, c: 15},
                {key: "K", a: 5, b: 11, c: 0},
                {key: "K", a: 5, b: 11, c: 1},
                {key: "K", a: 5, b: 11, c: 2},
                {key: "K", a: 5, b: 11, c: 3},
                {key: "K", a: 5, b: 11, c: 4},
                {key: "K", a: 5, b: 11, c: 5},
                {key: "K", a: 5, b: 11, c: 6},
                {key: "K", a: 5, b: 11, c: 7},
                {key: "K", a: 5, b: 11, c: 8},
                {key: "K", a: 5, b: 11, c: 9},
                {key: "K", a: 5, b: 11, c: 10},
                {key: "K", a: 5, b: 11, c: 11},
                {key: "K", a: 5, b: 11, c: 12},
                {key: "K", a: 5, b: 11, c: 13},
                {key: "K", a: 5, b: 11, c: 14},
                {key: "K", a: 5, b: 11, c: 15},
                {key: "K", a: 5, b: 12, c: 0},
                {key: "K", a: 5, b: 12, c: 1},
                {key: "K", a: 5, b: 12, c: 2},
                {key: "K", a: 5, b: 12, c: 3},
                {key: "K", a: 5, b: 12, c: 4},
                {key: "K", a: 5, b: 12, c: 5},
                {key: "K", a: 5, b: 12, c: 6},
                {key: "K", a: 5, b: 12, c: 7},
                {key: "K", a: 5, b: 12, c: 8},
                {key: "K", a: 5, b: 12, c: 9},
                {key: "K", a: 5, b: 12, c: 10},
                {key: "K", a: 5, b: 12, c: 11},
                {key: "K", a: 5, b: 12, c: 12},
                {key: "K", a: 5, b: 12, c: 13},
                {key: "K", a: 5, b: 12, c: 14},
                {key: "K", a: 5, b: 12, c: 15},
                {key: "K", a: 5, b: 13, c: 0},
                {key: "K", a: 5, b: 13, c: 1},
                {key: "K", a: 5, b: 13, c: 2},
                {key: "K", a: 5, b: 13, c: 3},
                {key: "K", a: 5, b: 13, c: 4},
                {key: "K", a: 5, b: 13, c: 5},
                {key: "K", a: 5, b: 13, c: 6},
                {key: "K", a: 5, b: 13, c: 7},
                {key: "K", a: 5, b: 13, c: 8},
                {key: "K", a: 5, b: 13, c: 9},
                {key: "K", a: 5, b: 13, c: 10},
                {key: "K", a: 5, b: 13, c: 11},
                {key: "K", a: 5, b: 13, c: 12},
                {key: "K", a: 5, b: 13, c: 13},
                {key: "K", a: 5, b: 13, c: 14},
                {key: "K", a: 5, b: 13, c: 15},
                {key: "K", a: 5, b: 14, c: 0},
                {key: "K", a: 5, b: 14, c: 1},
                {key: "K", a: 5, b: 14, c: 2},
                {key: "K", a: 5, b: 14, c: 3},
                {key: "K", a: 5, b: 14, c: 4},
                {key: "K", a: 5, b: 14, c: 5},
                {key: "K", a: 5, b: 14, c: 6},
                {key: "K", a: 5, b: 14, c: 7},
                {key: "K", a: 5, b: 14, c: 8},
                {key: "K", a: 5, b: 14, c: 9},
                {key: "K", a: 5, b: 14, c: 10},
                {key: "K", a: 5, b: 14, c: 11},
                {key: "K", a: 5, b: 14, c: 12},
                {key: "K", a: 5, b: 14, c: 13},
                {key: "K", a: 5, b: 14, c: 14},
                {key: "K", a: 5, b: 14, c: 15},
                {key: "K", a: 5, b: 15, c: 0},
                {key: "K", a: 5, b: 15, c: 1},
                {key: "K", a: 5, b: 15, c: 2},
                {key: "K", a: 5, b: 15, c: 3},
                {key: "K", a: 5, b: 15, c: 4},
                {key: "K", a: 5, b: 15, c: 5},
                {key: "K", a: 5, b: 15, c: 6},
                {key: "K", a: 5, b: 15, c: 7},
                {key: "K", a: 5, b: 15, c: 8},
                {key: "K", a: 5, b: 15, c: 9},
                {key: "K", a: 5, b: 15, c: 10},
                {key: "K", a: 5, b: 15, c: 11},
                {key: "K", a: 5, b: 15, c: 12},
                {key: "K", a: 5, b: 15, c: 13},
                {key: "K", a: 5, b: 15, c: 14},
                {key: "K", a: 5, b: 15, c: 15},
                {key: "K", a: 6, b: 0, c: 0},
                {key: "K", a: 6, b: 0, c: 1},
                {key: "K", a: 6, b: 0, c: 2},
                {key: "K", a: 6, b: 0, c: 3},
                {key: "K", a: 6, b: 0, c: 4},
                {key: "K", a: 6, b: 0, c: 5},
                {key: "K", a: 6, b: 0, c: 6},
                {key: "K", a: 6, b: 0, c: 7},
                {key: "K", a: 6, b: 0, c: 8},
                {key: "K", a: 6, b: 0, c: 9},
                {key: "K", a: 6, b: 0, c: 10},
                {key: "K", a: 6, b: 0, c: 11},
                {key: "K", a: 6, b: 0, c: 12},
                {key: "K", a: 6, b: 0, c: 13},
                {key: "K", a: 6, b: 0, c: 14},
                {key: "K", a: 6, b: 0, c: 15},
                {key: "K", a: 6, b: 1, c: 0},
                {key: "K", a: 6, b: 1, c: 1},
                {key: "K", a: 6, b: 1, c: 2},
                {key: "K", a: 6, b: 1, c: 3},
                {key: "K", a: 6, b: 1, c: 4},
                {key: "K", a: 6, b: 1, c: 5},
                {key: "K", a: 6, b: 1, c: 6},
                {key: "K", a: 6, b: 1, c: 7},
                {key: "K", a: 6, b: 1, c: 8},
                {key: "K", a: 6, b: 1, c: 9},
                {key: "K", a: 6, b: 1, c: 10},
                {key: "K", a: 6, b: 1, c: 11},
                {key: "K", a: 6, b: 1, c: 12},
                {key: "K", a: 6, b: 1, c: 13},
                {key: "K", a: 6, b: 1, c: 14},
                {key: "K", a: 6, b: 1, c: 15},
                {key: "K", a: 6, b: 2, c: 0},
                {key: "K", a: 6, b: 2, c: 1},
                {key: "K", a: 6, b: 2, c: 2},
                {key: "K", a: 6, b: 2, c: 3},
                {key: "K", a: 6, b: 2, c: 4},
                {key: "K", a: 6, b: 2, c: 5},
                {key: "K", a: 6, b: 2, c: 6},
                {key: "K", a: 6, b: 2, c: 7},
                {key: "K", a: 6, b: 2, c: 8},
                {key: "K", a: 6, b: 2, c: 9},
                {key: "K", a: 6, b: 2, c: 10},
                {key: "K", a: 6, b: 2, c: 11},
                {key: "K", a: 6, b: 2, c: 12},
                {key: "K", a: 6, b: 2, c: 13},
                {key: "K", a: 6, b: 2, c: 14},
                {key: "K", a: 6, b: 2, c: 15},
                {key: "K", a: 6, b: 3, c: 0},
                {key: "K", a: 6, b: 3, c: 1},
                {key: "K", a: 6, b: 3, c: 2},
                {key: "K", a: 6, b: 3, c: 3},
                {key: "K", a: 6, b: 3, c: 4},
                {key: "K", a: 6, b: 3, c: 5},
                {key: "K", a: 6, b: 3, c: 6},
                {key: "K", a: 6, b: 3, c: 7},
                {key: "K", a: 6, b: 3, c: 8},
                {key: "K", a: 6, b: 3, c: 9},
                {key: "K", a: 6, b: 3, c: 10},
                {key: "K", a: 6, b: 3, c: 11},
                {key: "K", a: 6, b: 3, c: 12},
                {key: "K", a: 6, b: 3, c: 13},
                {key: "K", a: 6, b: 3, c: 14},
                {key: "K", a: 6, b: 3, c: 15},
                {key: "K", a: 6, b: 4, c: 0},
                {key: "K", a: 6, b: 4, c: 1},
                {key: "K", a: 6, b: 4, c: 2},
                {key: "K", a: 6, b: 4, c: 3},
                {key: "K", a: 6, b: 4, c: 4},
                {key: "K", a: 6, b: 4, c: 5},
                {key: "K", a: 6, b: 4, c: 6},
                {key: "K", a: 6, b: 4, c: 7},
                {key: "K", a: 6, b: 4, c: 8},
                {key: "K", a: 6, b: 4, c: 9},
                {key: "K", a: 6, b: 4, c: 10},
                {key: "K", a: 6, b: 4, c: 11},
                {key: "K", a: 6, b: 4, c: 12},
                {key: "K", a: 6, b: 4, c: 13},
                {key: "K", a: 6, b: 4, c: 14},
                {key: "K", a: 6, b: 4, c: 15},
                {key: "K", a: 6, b: 5, c: 0},
                {key: "K", a: 6, b: 5, c: 1},
                {key: "K", a: 6, b: 5, c: 2},
                {key: "K", a: 6, b: 5, c: 3},
                {key: "K", a: 6, b: 5, c: 4},
                {key: "K", a: 6, b: 5, c: 5},
                {key: "K", a: 6, b: 5, c: 6},
                {key: "K", a: 6, b: 5, c: 7},
                {key: "K", a: 6, b: 5, c: 8},
                {key: "K", a: 6, b: 5, c: 9},
                {key: "K", a: 6, b: 5, c: 10},
                {key: "K", a: 6, b: 5, c: 11},
                {key: "K", a: 6, b: 5, c: 12},
                {key: "K", a: 6, b: 5, c: 13},
                {key: "K", a: 6, b: 5, c: 14},
                {key: "K", a: 6, b: 5, c: 15},
                {key: "K", a: 6, b: 6, c: 0},
                {key: "K", a: 6, b: 6, c: 1},
                {key: "K", a: 6, b: 6, c: 2},
                {key: "K", a: 6, b: 6, c: 3},
                {key: "K", a: 6, b: 6, c: 4},
                {key: "K", a: 6, b: 6, c: 5},
                {key: "K", a: 6, b: 6, c: 6},
                {key: "K", a: 6, b: 6, c: 7},
                {key: "K", a: 6, b: 6, c: 8},
                {key: "K", a: 6, b: 6, c: 9},
                {key: "K", a: 6, b: 6, c: 10},
                {key: "K", a: 6, b: 6, c: 11},
                {key: "K", a: 6, b: 6, c: 12},
                {key: "K", a: 6, b: 6, c: 13},
                {key: "K", a: 6, b: 6, c: 14},
                {key: "K", a: 6, b: 6, c: 15},
                {key: "K", a: 6, b: 7, c: 0},
                {key: "K", a: 6, b: 7, c: 1},
                {key: "K", a: 6, b: 7, c: 2},
                {key: "K", a: 6, b: 7, c: 3},
                {key: "K", a: 6, b: 7, c: 4},
                {key: "K", a: 6, b: 7, c: 5},
                {key: "K", a: 6, b: 7, c: 6},
                {key: "K", a: 6, b: 7, c: 7},
                {key: "K", a: 6, b: 7, c: 8},
                {key: "K", a: 6, b: 7, c: 9},
                {key: "K", a: 6, b: 7, c: 10},
                {key: "K", a: 6, b: 7, c: 11},
                {key: "K", a: 6, b: 7, c: 12},
                {key: "K", a: 6, b: 7, c: 13},
                {key: "K", a: 6, b: 7, c: 14},
                {key: "K", a: 6, b: 7, c: 15},
                {key: "K", a: 6, b: 8, c: 0},
                {key: "K", a: 6, b: 8, c: 1},
                {key: "K", a: 6, b: 8, c: 2},
                {key: "K", a: 6, b: 8, c: 3},
                {key: "K", a: 6, b: 8, c: 4},
                {key: "K", a: 6, b: 8, c: 5},
                {key: "K", a: 6, b: 8, c: 6},
                {key: "K", a: 6, b: 8, c: 7},
                {key: "K", a: 6, b: 8, c: 8},
                {key: "K", a: 6, b: 8, c: 9},
                {key: "K", a: 6, b: 8, c: 10},
                {key: "K", a: 6, b: 8, c: 11},
                {key: "K", a: 6, b: 8, c: 12},
                {key: "K", a: 6, b: 8, c: 13},
                {key: "K", a: 6, b: 8, c: 14},
                {key: "K", a: 6, b: 8, c: 15},
                {key: "K", a: 6, b: 9, c: 0},
                {key: "K", a: 6, b: 9, c: 1},
                {key: "K", a: 6, b: 9, c: 2},
                {key: "K", a: 6, b: 9, c: 3},
                {key: "K", a: 6, b: 9, c: 4},
                {key: "K", a: 6, b: 9, c: 5},
                {key: "K", a: 6, b: 9, c: 6},
                {key: "K", a: 6, b: 9, c: 7},
                {key: "K", a: 6, b: 9, c: 8},
                {key: "K", a: 6, b: 9, c: 9},
                {key: "K", a: 6, b: 9, c: 10},
                {key: "K", a: 6, b: 9, c: 11},
                {key: "K", a: 6, b: 9, c: 12},
                {key: "K", a: 6, b: 9, c: 13},
                {key: "K", a: 6, b: 9, c: 14},
                {key: "K", a: 6, b: 9, c: 15},
                {key: "K", a: 6, b: 10, c: 0},
                {key: "K", a: 6, b: 10, c: 1},
                {key: "K", a: 6, b: 10, c: 2},
                {key: "K", a: 6, b: 10, c: 3},
                {key: "K", a: 6, b: 10, c: 4},
                {key: "K", a: 6, b: 10, c: 5},
                {key: "K", a: 6, b: 10, c: 6},
                {key: "K", a: 6, b: 10, c: 7},
                {key: "K", a: 6, b: 10, c: 8},
                {key: "K", a: 6, b: 10, c: 9},
                {key: "K", a: 6, b: 10, c: 10},
                {key: "K", a: 6, b: 10, c: 11},
                {key: "K", a: 6, b: 10, c: 12},
                {key: "K", a: 6, b: 10, c: 13},
                {key: "K", a: 6, b: 10, c: 14},
                {key: "K", a: 6, b: 10, c: 15},
                {key: "K", a: 6, b: 11, c: 0},
                {key: "K", a: 6, b: 11, c: 1},
                {key: "K", a: 6, b: 11, c: 2},
                {key: "K", a: 6, b: 11, c: 3},
                {key: "K", a: 6, b: 11, c: 4},
                {key: "K", a: 6, b: 11, c: 5},
                {key: "K", a: 6, b: 11, c: 6},
                {key: "K", a: 6, b: 11, c: 7},
                {key: "K", a: 6, b: 11, c: 8},
                {key: "K", a: 6, b: 11, c: 9},
                {key: "K", a: 6, b: 11, c: 10},
                {key: "K", a: 6, b: 11, c: 11},
                {key: "K", a: 6, b: 11, c: 12},
                {key: "K", a: 6, b: 11, c: 13},
                {key: "K", a: 6, b: 11, c: 14},
                {key: "K", a: 6, b: 11, c: 15},
                {key: "K", a: 6, b: 12, c: 0},
                {key: "K", a: 6, b: 12, c: 1},
                {key: "K", a: 6, b: 12, c: 2},
                {key: "K", a: 6, b: 12, c: 3},
                {key: "K", a: 6, b: 12, c: 4},
                {key: "K", a: 6, b: 12, c: 5},
                {key: "K", a: 6, b: 12, c: 6},
                {key: "K", a: 6, b: 12, c: 7},
                {key: "K", a: 6, b: 12, c: 8},
                {key: "K", a: 6, b: 12, c: 9},
                {key: "K", a: 6, b: 12, c: 10},
                {key: "K", a: 6, b: 12, c: 11},
                {key: "K", a: 6, b: 12, c: 12},
                {key: "K", a: 6, b: 12, c: 13},
                {key: "K", a: 6, b: 12, c: 14},
                {key: "K", a: 6, b: 12, c: 15},
                {key: "K", a: 6, b: 13, c: 0},
                {key: "K", a: 6, b: 13, c: 1},
                {key: "K", a: 6, b: 13, c: 2},
                {key: "K", a: 6, b: 13, c: 3},
                {key: "K", a: 6, b: 13, c: 4},
                {key: "K", a: 6, b: 13, c: 5},
                {key: "K", a: 6, b: 13, c: 6},
                {key: "K", a: 6, b: 13, c: 7},
                {key: "K", a: 6, b: 13, c: 8},
                {key: "K", a: 6, b: 13, c: 9},
                {key: "K", a: 6, b: 13, c: 10},
                {key: "K", a: 6, b: 13, c: 11},
                {key: "K", a: 6, b: 13, c: 12},
                {key: "K", a: 6, b: 13, c: 13},
                {key: "K", a: 6, b: 13, c: 14},
                {key: "K", a: 6, b: 13, c: 15},
                {key: "K", a: 6, b: 14, c: 0},
                {key: "K", a: 6, b: 14, c: 1},
                {key: "K", a: 6, b: 14, c: 2},
                {key: "K", a: 6, b: 14, c: 3},
                {key: "K", a: 6, b: 14, c: 4},
                {key: "K", a: 6, b: 14, c: 5},
                {key: "K", a: 6, b: 14, c: 6},
                {key: "K", a: 6, b: 14, c: 7},
                {key: "K", a: 6, b: 14, c: 8},
                {key: "K", a: 6, b: 14, c: 9},
                {key: "K", a: 6, b: 14, c: 10},
                {key: "K", a: 6, b: 14, c: 11},
                {key: "K", a: 6, b: 14, c: 12},
                {key: "K", a: 6, b: 14, c: 13},
                {key: "K", a: 6, b: 14, c: 14},
                {key: "K", a: 6, b: 14, c: 15},
                {key: "K", a: 6, b: 15, c: 0},
                {key: "K", a: 6, b: 15, c: 1},
                {key: "K", a: 6, b: 15, c: 2},
                {key: "K", a: 6, b: 15, c: 3},
                {key: "K", a: 6, b: 15, c: 4},
                {key: "K", a: 6, b: 15, c: 5},
                {key: "K", a: 6, b: 15, c: 6},
                {key: "K", a: 6, b: 15, c: 7},
                {key: "K", a: 6, b: 15, c: 8},
                {key: "K", a: 6, b: 15, c: 9},
                {key: "K", a: 6, b: 15, c: 10},
                {key: "K", a: 6, b: 15, c: 11},
                {key: "K", a: 6, b: 15, c: 12},
                {key: "K", a: 6, b: 15, c: 13},
                {key: "K", a: 6, b: 15, c: 14},
                {key: "K", a: 6, b: 15, c: 15},
                {key: "K", a: 7, b: 0, c: 0},
                {key: "K", a: 7, b: 0, c: 1},
                {key: "K", a: 7, b: 0, c: 2},
                {key: "K", a: 7, b: 0, c: 3},
                {key: "K", a: 7, b: 0, c: 4},
                {key: "K", a: 7, b: 0, c: 5},
                {key: "K", a: 7, b: 0, c: 6},
                {key: "K", a: 7, b: 0, c: 7},
                {key: "K", a: 7, b: 0, c: 8},
                {key: "K", a: 7, b: 0, c: 9},
                {key: "K", a: 7, b: 0, c: 10},
                {key: "K", a: 7, b: 0, c: 11},
                {key: "K", a: 7, b: 0, c: 12},
                {key: "K", a: 7, b: 0, c: 13},
                {key: "K", a: 7, b: 0, c: 14},
                {key: "K", a: 7, b: 0, c: 15},
                {key: "K", a: 7, b: 1, c: 0},
                {key: "K", a: 7, b: 1, c: 1},
                {key: "K", a: 7, b: 1, c: 2},
                {key: "K", a: 7, b: 1, c: 3},
                {key: "K", a: 7, b: 1, c: 4},
                {key: "K", a: 7, b: 1, c: 5},
                {key: "K", a: 7, b: 1, c: 6},
                {key: "K", a: 7, b: 1, c: 7},
                {key: "K", a: 7, b: 1, c: 8},
                {key: "K", a: 7, b: 1, c: 9},
                {key: "K", a: 7, b: 1, c: 10},
                {key: "K", a: 7, b: 1, c: 11},
                {key: "K", a: 7, b: 1, c: 12},
                {key: "K", a: 7, b: 1, c: 13},
                {key: "K", a: 7, b: 1, c: 14},
                {key: "K", a: 7, b: 1, c: 15},
                {key: "K", a: 7, b: 2, c: 0},
                {key: "K", a: 7, b: 2, c: 1},
                {key: "K", a: 7, b: 2, c: 2},
                {key: "K", a: 7, b: 2, c: 3},
                {key: "K", a: 7, b: 2, c: 4},
                {key: "K", a: 7, b: 2, c: 5},
                {key: "K", a: 7, b: 2, c: 6},
                {key: "K", a: 7, b: 2, c: 7},
                {key: "K", a: 7, b: 2, c: 8},
                {key: "K", a: 7, b: 2, c: 9},
                {key: "K", a: 7, b: 2, c: 10},
                {key: "K", a: 7, b: 2, c: 11},
                {key: "K", a: 7, b: 2, c: 12},
                {key: "K", a: 7, b: 2, c: 13},
                {key: "K", a: 7, b: 2, c: 14},
                {key: "K", a: 7, b: 2, c: 15},
                {key: "K", a: 7, b: 3, c: 0},
                {key: "K", a: 7, b: 3, c: 1},
                {key: "K", a: 7, b: 3, c: 2},
                {key: "K", a: 7, b: 3, c: 3},
                {key: "K", a: 7, b: 3, c: 4},
                {key: "K", a: 7, b: 3, c: 5},
                {key: "K", a: 7, b: 3, c: 6},
                {key: "K", a: 7, b: 3, c: 7},
                {key: "K", a: 7, b: 3, c: 8},
                {key: "K", a: 7, b: 3, c: 9},
                {key: "K", a: 7, b: 3, c: 10},
                {key: "K", a: 7, b: 3, c: 11},
                {key: "K", a: 7, b: 3, c: 12},
                {key: "K", a: 7, b: 3, c: 13},
                {key: "K", a: 7, b: 3, c: 14},
                {key: "K", a: 7, b: 3, c: 15},
                {key: "K", a: 7, b: 4, c: 0},
                {key: "K", a: 7, b: 4, c: 1},
                {key: "K", a: 7, b: 4, c: 2},
                {key: "K", a: 7, b: 4, c: 3},
                {key: "K", a: 7, b: 4, c: 4},
                {key: "K", a: 7, b: 4, c: 5},
                {key: "K", a: 7, b: 4, c: 6},
                {key: "K", a: 7, b: 4, c: 7},
                {key: "K", a: 7, b: 4, c: 8},
                {key: "K", a: 7, b: 4, c: 9},
                {key: "K", a: 7, b: 4, c: 10},
                {key: "K", a: 7, b: 4, c: 11},
                {key: "K", a: 7, b: 4, c: 12},
                {key: "K", a: 7, b: 4, c: 13},
                {key: "K", a: 7, b: 4, c: 14},
                {key: "K", a: 7, b: 4, c: 15},
                {key: "K", a: 7, b: 5, c: 0},
                {key: "K", a: 7, b: 5, c: 1},
                {key: "K", a: 7, b: 5, c: 2},
                {key: "K", a: 7, b: 5, c: 3},
                {key: "K", a: 7, b: 5, c: 4},
                {key: "K", a: 7, b: 5, c: 5},
                {key: "K", a: 7, b: 5, c: 6},
                {key: "K", a: 7, b: 5, c: 7},
                {key: "K", a: 7, b: 5, c: 8},
                {key: "K", a: 7, b: 5, c: 9},
                {key: "K", a: 7, b: 5, c: 10},
                {key: "K", a: 7, b: 5, c: 11},
                {key: "K", a: 7, b: 5, c: 12},
                {key: "K", a: 7, b: 5, c: 13},
                {key: "K", a: 7, b: 5, c: 14},
                {key: "K", a: 7, b: 5, c: 15},
                {key: "K", a: 7, b: 6, c: 0},
                {key: "K", a: 7, b: 6, c: 1},
                {key: "K", a: 7, b: 6, c: 2},
                {key: "K", a: 7, b: 6, c: 3},
                {key: "K", a: 7, b: 6, c: 4},
                {key: "K", a: 7, b: 6, c: 5},
                {key: "K", a: 7, b: 6, c: 6},
                {key: "K", a: 7, b: 6, c: 7},
                {key: "K", a: 7, b: 6, c: 8},
                {key: "K", a: 7, b: 6, c: 9},
                {key: "K", a: 7, b: 6, c: 10},
                {key: "K", a: 7, b: 6, c: 11},
                {key: "K", a: 7, b: 6, c: 12},
                {key: "K", a: 7, b: 6, c: 13},
                {key: "K", a: 7, b: 6, c: 14},
                {key: "K", a: 7, b: 6, c: 15},
                {key: "K", a: 7, b: 7, c: 0},
                {key: "K", a: 7, b: 7, c: 1},
                {key: "K", a: 7, b: 7, c: 2},
                {key: "K", a: 7, b: 7, c: 3},
                {key: "K", a: 7, b: 7, c: 4},
                {key: "K", a: 7, b: 7, c: 5},
                {key: "K", a: 7, b: 7, c: 6},
                {key: "K", a: 7, b: 7, c: 7},
                {key: "K", a: 7, b: 7, c: 8},
                {key: "K", a: 7, b: 7, c: 9},
                {key: "K", a: 7, b: 7, c: 10},
                {key: "K", a: 7, b: 7, c: 11},
                {key: "K", a: 7, b: 7, c: 12},
                {key: "K", a: 7, b: 7, c: 13},
                {key: "K", a: 7, b: 7, c: 14},
                {key: "K", a: 7, b: 7, c: 15},
                {key: "K", a: 7, b: 8, c: 0},
                {key: "K", a: 7, b: 8, c: 1},
                {key: "K", a: 7, b: 8, c: 2},
                {key: "K", a: 7, b: 8, c: 3},
                {key: "K", a: 7, b: 8, c: 4},
                {key: "K", a: 7, b: 8, c: 5},
                {key: "K", a: 7, b: 8, c: 6},
                {key: "K", a: 7, b: 8, c: 7},
                {key: "K", a: 7, b: 8, c: 8},
                {key: "K", a: 7, b: 8, c: 9},
                {key: "K", a: 7, b: 8, c: 10},
                {key: "K", a: 7, b: 8, c: 11},
                {key: "K", a: 7, b: 8, c: 12},
                {key: "K", a: 7, b: 8, c: 13},
                {key: "K", a: 7, b: 8, c: 14},
                {key: "K", a: 7, b: 8, c: 15},
                {key: "K", a: 7, b: 9, c: 0},
                {key: "K", a: 7, b: 9, c: 1},
                {key: "K", a: 7, b: 9, c: 2},
                {key: "K", a: 7, b: 9, c: 3},
                {key: "K", a: 7, b: 9, c: 4},
                {key: "K", a: 7, b: 9, c: 5},
                {key: "K", a: 7, b: 9, c: 6},
                {key: "K", a: 7, b: 9, c: 7},
                {key: "K", a: 7, b: 9, c: 8},
                {key: "K", a: 7, b: 9, c: 9},
                {key: "K", a: 7, b: 9, c: 10},
                {key: "K", a: 7, b: 9, c: 11},
                {key: "K", a: 7, b: 9, c: 12},
                {key: "K", a: 7, b: 9, c: 13},
                {key: "K", a: 7, b: 9, c: 14},
                {key: "K", a: 7, b: 9, c: 15},
                {key: "K", a: 7, b: 10, c: 0},
                {key: "K", a: 7, b: 10, c: 1},
                {key: "K", a: 7, b: 10, c: 2},
                {key: "K", a: 7, b: 10, c: 3},
                {key: "K", a: 7, b: 10, c: 4},
                {key: "K", a: 7, b: 10, c: 5},
                {key: "K", a: 7, b: 10, c: 6},
                {key: "K", a: 7, b: 10, c: 7},
                {key: "K", a: 7, b: 10, c: 8},
                {key: "K", a: 7, b: 10, c: 9},
                {key: "K", a: 7, b: 10, c: 10},
                {key: "K", a: 7, b: 10, c: 11},
                {key: "K", a: 7, b: 10, c: 12},
                {key: "K", a: 7, b: 10, c: 13},
                {key: "K", a: 7, b: 10, c: 14},
                {key: "K", a: 7, b: 10, c: 15},
                {key: "K", a: 7, b: 11, c: 0},
                {key: "K", a: 7, b: 11, c: 1},
                {key: "K", a: 7, b: 11, c: 2},
                {key: "K", a: 7, b: 11, c: 3},
                {key: "K", a: 7, b: 11, c: 4},
                {key: "K", a: 7, b: 11, c: 5},
                {key: "K", a: 7, b: 11, c: 6},
                {key: "K", a: 7, b: 11, c: 7},
                {key: "K", a: 7, b: 11, c: 8},
                {key: "K", a: 7, b: 11, c: 9},
                {key: "K", a: 7, b: 11, c: 10},
                {key: "K", a: 7, b: 11, c: 11},
                {key: "K", a: 7, b: 11, c: 12},
                {key: "K", a: 7, b: 11, c: 13},
                {key: "K", a: 7, b: 11, c: 14},
                {key: "K", a: 7, b: 11, c: 15},
                {key: "K", a: 7, b: 12, c: 0},
                {key: "K", a: 7, b: 12, c: 1},
                {key: "K", a: 7, b: 12, c: 2},
                {key: "K", a: 7, b: 12, c: 3},
                {key: "K", a: 7, b: 12, c: 4},
                {key: "K", a: 7, b: 12, c: 5},
                {key: "K", a: 7, b: 12, c: 6},
                {key: "K", a: 7, b: 12, c: 7},
                {key: "K", a: 7, b: 12, c: 8},
                {key: "K", a: 7, b: 12, c: 9},
                {key: "K", a: 7, b: 12, c: 10},
                {key: "K", a: 7, b: 12, c: 11},
                {key: "K", a: 7, b: 12, c: 12},
                {key: "K", a: 7, b: 12, c: 13},
                {key: "K", a: 7, b: 12, c: 14},
                {key: "K", a: 7, b: 12, c: 15},
                {key: "K", a: 7, b: 13, c: 0},
                {key: "K", a: 7, b: 13, c: 1},
                {key: "K", a: 7, b: 13, c: 2},
                {key: "K", a: 7, b: 13, c: 3},
                {key: "K", a: 7, b: 13, c: 4},
                {key: "K", a: 7, b: 13, c: 5},
                {key: "K", a: 7, b: 13, c: 6},
                {key: "K", a: 7, b: 13, c: 7},
                {key: "K", a: 7, b: 13, c: 8},
                {key: "K", a: 7, b: 13, c: 9},
                {key: "K", a: 7, b: 13, c: 10},
                {key: "K", a: 7, b: 13, c: 11},
                {key: "K", a: 7, b: 13, c: 12},
                {key: "K", a: 7, b: 13, c: 13},
                {key: "K", a: 7, b: 13, c: 14},
                {key: "K", a: 7, b: 13, c: 15},
                {key: "K", a: 7, b: 14, c: 0},
                {key: "K", a: 7, b: 14, c: 1},
                {key: "K", a: 7, b: 14, c: 2},
                {key: "K", a: 7, b: 14, c: 3},
                {key: "K", a: 7, b: 14, c: 4},
                {key: "K", a: 7, b: 14, c: 5},
                {key: "K", a: 7, b: 14, c: 6},
                {key: "K", a: 7, b: 14, c: 7},
                {key: "K", a: 7, b: 14, c: 8},
                {key: "K", a: 7, b: 14, c: 9},
                {key: "K", a: 7, b: 14, c: 10},
                {key: "K", a: 7, b: 14, c: 11},
                {key: "K", a: 7, b: 14, c: 12},
                {key: "K", a: 7, b: 14, c: 13},
                {key: "K", a: 7, b: 14, c: 14},
                {key: "K", a: 7, b: 14, c: 15},
                {key: "K", a: 7, b: 15, c: 0},
                {key: "K", a: 7, b: 15, c: 1},
                {key: "K", a: 7, b: 15, c: 2},
                {key: "K", a: 7, b: 15, c: 3},
                {key: "K", a: 7, b: 15, c: 4},
                {key: "K", a: 7, b: 15, c: 5},
                {key: "K", a: 7, b: 15, c: 6},
                {key: "K", a: 7, b: 15, c: 7},
                {key: "K", a: 7, b: 15, c: 8},
                {key: "K", a: 7, b: 15, c: 9},
                {key: "K", a: 7, b: 15, c: 10},
                {key: "K", a: 7, b: 15, c: 11},
                {key: "K", a: 7, b: 15, c: 12},
                {key: "K", a: 7, b: 15, c: 13},
                {key: "K", a: 7, b: 15, c: 14},
                {key: "K", a: 7, b: 15, c: 15},
                {key: "K", a: 8, b: 0, c: 0},
                {key: "K", a: 8, b: 0, c: 1},
                {key: "K", a: 8, b: 0, c: 2},
                {key: "K", a: 8, b: 0, c: 3},
                {key: "K", a: 8, b: 0, c: 4},
                {key: "K", a: 8, b: 0, c: 5},
                {key: "K", a: 8, b: 0, c: 6},
                {key: "K", a: 8, b: 0, c: 7},
                {key: "K", a: 8, b: 0, c: 8},
                {key: "K", a: 8, b: 0, c: 9},
                {key: "K", a: 8, b: 0, c: 10},
                {key: "K", a: 8, b: 0, c: 11},
                {key: "K", a: 8, b: 0, c: 12},
                {key: "K", a: 8, b: 0, c: 13},
                {key: "K", a: 8, b: 0, c: 14},
                {key: "K", a: 8, b: 0, c: 15},
                {key: "K", a: 8, b: 1, c: 0},
                {key: "K", a: 8, b: 1, c: 1},
                {key: "K", a: 8, b: 1, c: 2},
                {key: "K", a: 8, b: 1, c: 3},
                {key: "K", a: 8, b: 1, c: 4},
                {key: "K", a: 8, b: 1, c: 5},
                {key: "K", a: 8, b: 1, c: 6},
                {key: "K", a: 8, b: 1, c: 7},
                {key: "K", a: 8, b: 1, c: 8},
                {key: "K", a: 8, b: 1, c: 9},
                {key: "K", a: 8, b: 1, c: 10},
                {key: "K", a: 8, b: 1, c: 11},
                {key: "K", a: 8, b: 1, c: 12},
                {key: "K", a: 8, b: 1, c: 13},
                {key: "K", a: 8, b: 1, c: 14},
                {key: "K", a: 8, b: 1, c: 15},
                {key: "K", a: 8, b: 2, c: 0},
                {key: "K", a: 8, b: 2, c: 1},
                {key: "K", a: 8, b: 2, c: 2},
                {key: "K", a: 8, b: 2, c: 3},
                {key: "K", a: 8, b: 2, c: 4},
                {key: "K", a: 8, b: 2, c: 5},
                {key: "K", a: 8, b: 2, c: 6},
                {key: "K", a: 8, b: 2, c: 7},
                {key: "K", a: 8, b: 2, c: 8},
                {key: "K", a: 8, b: 2, c: 9},
                {key: "K", a: 8, b: 2, c: 10},
                {key: "K", a: 8, b: 2, c: 11},
                {key: "K", a: 8, b: 2, c: 12},
                {key: "K", a: 8, b: 2, c: 13},
                {key: "K", a: 8, b: 2, c: 14},
                {key: "K", a: 8, b: 2, c: 15},
                {key: "K", a: 8, b: 3, c: 0},
                {key: "K", a: 8, b: 3, c: 1},
                {key: "K", a: 8, b: 3, c: 2},
                {key: "K", a: 8, b: 3, c: 3},
                {key: "K", a: 8, b: 3, c: 4},
                {key: "K", a: 8, b: 3, c: 5},
                {key: "K", a: 8, b: 3, c: 6},
                {key: "K", a: 8, b: 3, c: 7},
                {key: "K", a: 8, b: 3, c: 8},
                {key: "K", a: 8, b: 3, c: 9},
                {key: "K", a: 8, b: 3, c: 10},
                {key: "K", a: 8, b: 3, c: 11},
                {key: "K", a: 8, b: 3, c: 12},
                {key: "K", a: 8, b: 3, c: 13},
                {key: "K", a: 8, b: 3, c: 14},
                {key: "K", a: 8, b: 3, c: 15},
                {key: "K", a: 8, b: 4, c: 0},
                {key: "K", a: 8, b: 4, c: 1},
                {key: "K", a: 8, b: 4, c: 2},
                {key: "K", a: 8, b: 4, c: 3},
                {key: "K", a: 8, b: 4, c: 4},
                {key: "K", a: 8, b: 4, c: 5},
                {key: "K", a: 8, b: 4, c: 6},
                {key: "K", a: 8, b: 4, c: 7},
                {key: "K", a: 8, b: 4, c: 8},
                {key: "K", a: 8, b: 4, c: 9},
                {key: "K", a: 8, b: 4, c: 10},
                {key: "K", a: 8, b: 4, c: 11},
                {key: "K", a: 8, b: 4, c: 12},
                {key: "K", a: 8, b: 4, c: 13},
                {key: "K", a: 8, b: 4, c: 14},
                {key: "K", a: 8, b: 4, c: 15},
                {key: "K", a: 8, b: 5, c: 0},
                {key: "K", a: 8, b: 5, c: 1},
                {key: "K", a: 8, b: 5, c: 2},
                {key: "K", a: 8, b: 5, c: 3},
                {key: "K", a: 8, b: 5, c: 4},
                {key: "K", a: 8, b: 5, c: 5},
                {key: "K", a: 8, b: 5, c: 6},
                {key: "K", a: 8, b: 5, c: 7},
                {key: "K", a: 8, b: 5, c: 8},
                {key: "K", a: 8, b: 5, c: 9},
                {key: "K", a: 8, b: 5, c: 10},
                {key: "K", a: 8, b: 5, c: 11},
                {key: "K", a: 8, b: 5, c: 12},
                {key: "K", a: 8, b: 5, c: 13},
                {key: "K", a: 8, b: 5, c: 14},
                {key: "K", a: 8, b: 5, c: 15},
                {key: "K", a: 8, b: 6, c: 0},
                {key: "K", a: 8, b: 6, c: 1},
                {key: "K", a: 8, b: 6, c: 2},
                {key: "K", a: 8, b: 6, c: 3},
                {key: "K", a: 8, b: 6, c: 4},
                {key: "K", a: 8, b: 6, c: 5},
                {key: "K", a: 8, b: 6, c: 6},
                {key: "K", a: 8, b: 6, c: 7},
                {key: "K", a: 8, b: 6, c: 8},
                {key: "K", a: 8, b: 6, c: 9},
                {key: "K", a: 8, b: 6, c: 10},
                {key: "K", a: 8, b: 6, c: 11},
                {key: "K", a: 8, b: 6, c: 12},
                {key: "K", a: 8, b: 6, c: 13},
                {key: "K", a: 8, b: 6, c: 14},
                {key: "K", a: 8, b: 6, c: 15},
                {key: "K", a: 8, b: 7, c: 0},
                {key: "K", a: 8, b: 7, c: 1},
                {key: "K", a: 8, b: 7, c: 2},
                {key: "K", a: 8, b: 7, c: 3},
                {key: "K", a: 8, b: 7, c: 4},
                {key: "K", a: 8, b: 7, c: 5},
                {key: "K", a: 8, b: 7, c: 6},
                {key: "K", a: 8, b: 7, c: 7},
                {key: "K", a: 8, b: 7, c: 8},
                {key: "K", a: 8, b: 7, c: 9},
                {key: "K", a: 8, b: 7, c: 10},
                {key: "K", a: 8, b: 7, c: 11},
                {key: "K", a: 8, b: 7, c: 12},
                {key: "K", a: 8, b: 7, c: 13},
                {key: "K", a: 8, b: 7, c: 14},
                {key: "K", a: 8, b: 7, c: 15},
                {key: "K", a: 8, b: 8, c: 0},
                {key: "K", a: 8, b: 8, c: 1},
                {key: "K", a: 8, b: 8, c: 2},
                {key: "K", a: 8, b: 8, c: 3},
                {key: "K", a: 8, b: 8, c: 4},
                {key: "K", a: 8, b: 8, c: 5},
                {key: "K", a: 8, b: 8, c: 6},
                {key: "K", a: 8, b: 8, c: 7},
                {key: "K", a: 8, b: 8, c: 8},
                {key: "K", a: 8, b: 8, c: 9},
                {key: "K", a: 8, b: 8, c: 10},
                {key: "K", a: 8, b: 8, c: 11},
                {key: "K", a: 8, b: 8, c: 12},
                {key: "K", a: 8, b: 8, c: 13},
                {key: "K", a: 8, b: 8, c: 14},
                {key: "K", a: 8, b: 8, c: 15},
                {key: "K", a: 8, b: 9, c: 0},
                {key: "K", a: 8, b: 9, c: 1},
                {key: "K", a: 8, b: 9, c: 2},
                {key: "K", a: 8, b: 9, c: 3},
                {key: "K", a: 8, b: 9, c: 4},
                {key: "K", a: 8, b: 9, c: 5},
                {key: "K", a: 8, b: 9, c: 6},
                {key: "K", a: 8, b: 9, c: 7},
                {key: "K", a: 8, b: 9, c: 8},
                {key: "K", a: 8, b: 9, c: 9},
                {key: "K", a: 8, b: 9, c: 10},
                {key: "K", a: 8, b: 9, c: 11},
                {key: "K", a: 8, b: 9, c: 12},
                {key: "K", a: 8, b: 9, c: 13},
                {key: "K", a: 8, b: 9, c: 14},
                {key: "K", a: 8, b: 9, c: 15},
                {key: "K", a: 8, b: 10, c: 0},
                {key: "K", a: 8, b: 10, c: 1},
                {key: "K", a: 8, b: 10, c: 2},
                {key: "K", a: 8, b: 10, c: 3},
                {key: "K", a: 8, b: 10, c: 4},
                {key: "K", a: 8, b: 10, c: 5},
                {key: "K", a: 8, b: 10, c: 6},
                {key: "K", a: 8, b: 10, c: 7},
                {key: "K", a: 8, b: 10, c: 8},
                {key: "K", a: 8, b: 10, c: 9},
                {key: "K", a: 8, b: 10, c: 10},
                {key: "K", a: 8, b: 10, c: 11},
                {key: "K", a: 8, b: 10, c: 12},
                {key: "K", a: 8, b: 10, c: 13},
                {key: "K", a: 8, b: 10, c: 14},
                {key: "K", a: 8, b: 10, c: 15},
                {key: "K", a: 8, b: 11, c: 0},
                {key: "K", a: 8, b: 11, c: 1},
                {key: "K", a: 8, b: 11, c: 2},
                {key: "K", a: 8, b: 11, c: 3},
                {key: "K", a: 8, b: 11, c: 4},
                {key: "K", a: 8, b: 11, c: 5},
                {key: "K", a: 8, b: 11, c: 6},
                {key: "K", a: 8, b: 11, c: 7},
                {key: "K", a: 8, b: 11, c: 8},
                {key: "K", a: 8, b: 11, c: 9},
                {key: "K", a: 8, b: 11, c: 10},
                {key: "K", a: 8, b: 11, c: 11},
                {key: "K", a: 8, b: 11, c: 12},
                {key: "K", a: 8, b: 11, c: 13},
                {key: "K", a: 8, b: 11, c: 14},
                {key: "K", a: 8, b: 11, c: 15},
                {key: "K", a: 8, b: 12, c: 0},
                {key: "K", a: 8, b: 12, c: 1},
                {key: "K", a: 8, b: 12, c: 2},
                {key: "K", a: 8, b: 12, c: 3},
                {key: "K", a: 8, b: 12, c: 4},
                {key: "K", a: 8, b: 12, c: 5},
                {key: "K", a: 8, b: 12, c: 6},
                {key: "K", a: 8, b: 12, c: 7},
                {key: "K", a: 8, b: 12, c: 8},
                {key: "K", a: 8, b: 12, c: 9},
                {key: "K", a: 8, b: 12, c: 10},
                {key: "K", a: 8, b: 12, c: 11},
                {key: "K", a: 8, b: 12, c: 12},
                {key: "K", a: 8, b: 12, c: 13},
                {key: "K", a: 8, b: 12, c: 14},
                {key: "K", a: 8, b: 12, c: 15},
                {key: "K", a: 8, b: 13, c: 0},
                {key: "K", a: 8, b: 13, c: 1},
                {key: "K", a: 8, b: 13, c: 2},
                {key: "K", a: 8, b: 13, c: 3},
                {key: "K", a: 8, b: 13, c: 4},
                {key: "K", a: 8, b: 13, c: 5},
                {key: "K", a: 8, b: 13, c: 6},
                {key: "K", a: 8, b: 13, c: 7},
                {key: "K", a: 8, b: 13, c: 8},
                {key: "K", a: 8, b: 13, c: 9},
                {key: "K", a: 8, b: 13, c: 10},
                {key: "K", a: 8, b: 13, c: 11},
                {key: "K", a: 8, b: 13, c: 12},
                {key: "K", a: 8, b: 13, c: 13},
                {key: "K", a: 8, b: 13, c: 14},
                {key: "K", a: 8, b: 13, c: 15},
                {key: "K", a: 8, b: 14, c: 0},
                {key: "K", a: 8, b: 14, c: 1},
                {key: "K", a: 8, b: 14, c: 2},
                {key: "K", a: 8, b: 14, c: 3},
                {key: "K", a: 8, b: 14, c: 4},
                {key: "K", a: 8, b: 14, c: 5},
                {key: "K", a: 8, b: 14, c: 6},
                {key: "K", a: 8, b: 14, c: 7},
                {key: "K", a: 8, b: 14, c: 8},
                {key: "K", a: 8, b: 14, c: 9},
                {key: "K", a: 8, b: 14, c: 10},
                {key: "K", a: 8, b: 14, c: 11},
                {key: "K", a: 8, b: 14, c: 12},
                {key: "K", a: 8, b: 14, c: 13},
                {key: "K", a: 8, b: 14, c: 14},
                {key: "K", a: 8, b: 14, c: 15},
                {key: "K", a: 8, b: 15, c: 0},
                {key: "K", a: 8, b: 15, c: 1},
                {key: "K", a: 8, b: 15, c: 2},
                {key: "K", a: 8, b: 15, c: 3},
                {key: "K", a: 8, b: 15, c: 4},
                {key: "K", a: 8, b: 15, c: 5},
                {key: "K", a: 8, b: 15, c: 6},
                {key: "K", a: 8, b: 15, c: 7},
                {key: "K", a: 8, b: 15, c: 8},
                {key: "K", a: 8, b: 15, c: 9},
                {key: "K", a: 8, b: 15, c: 10},
                {key: "K", a: 8, b: 15, c: 11},
                {key: "K", a: 8, b: 15, c: 12},
                {key: "K", a: 8, b: 15, c: 13},
                {key: "K", a: 8, b: 15, c: 14},
                {key: "K", a: 8, b: 15, c: 15},
                {key: "K", a: 9, b: 0, c: 0},
                {key: "K", a: 9, b: 0, c: 1},
                {key: "K", a: 9, b: 0, c: 2},
                {key: "K", a: 9, b: 0, c: 3},
                {key: "K", a: 9, b: 0, c: 4},
                {key: "K", a: 9, b: 0, c: 5},
                {key: "K", a: 9, b: 0, c: 6},
                {key: "K", a: 9, b: 0, c: 7},
                {key: "K", a: 9, b: 0, c: 8},
                {key: "K", a: 9, b: 0, c: 9},
                {key: "K", a: 9, b: 0, c: 10},
                {key: "K", a: 9, b: 0, c: 11},
                {key: "K", a: 9, b: 0, c: 12},
                {key: "K", a: 9, b: 0, c: 13},
                {key: "K", a: 9, b: 0, c: 14},
                {key: "K", a: 9, b: 0, c: 15},
                {key: "K", a: 9, b: 1, c: 0},
                {key: "K", a: 9, b: 1, c: 1},
                {key: "K", a: 9, b: 1, c: 2},
                {key: "K", a: 9, b: 1, c: 3},
                {key: "K", a: 9, b: 1, c: 4},
                {key: "K", a: 9, b: 1, c: 5},
                {key: "K", a: 9, b: 1, c: 6},
                {key: "K", a: 9, b: 1, c: 7},
                {key: "K", a: 9, b: 1, c: 8},
                {key: "K", a: 9, b: 1, c: 9},
                {key: "K", a: 9, b: 1, c: 10},
                {key: "K", a: 9, b: 1, c: 11},
                {key: "K", a: 9, b: 1, c: 12},
                {key: "K", a: 9, b: 1, c: 13},
                {key: "K", a: 9, b: 1, c: 14},
                {key: "K", a: 9, b: 1, c: 15},
                {key: "K", a: 9, b: 2, c: 0},
                {key: "K", a: 9, b: 2, c: 1},
                {key: "K", a: 9, b: 2, c: 2},
                {key: "K", a: 9, b: 2, c: 3},
                {key: "K", a: 9, b: 2, c: 4},
                {key: "K", a: 9, b: 2, c: 5},
                {key: "K", a: 9, b: 2, c: 6},
                {key: "K", a: 9, b: 2, c: 7},
                {key: "K", a: 9, b: 2, c: 8},
                {key: "K", a: 9, b: 2, c: 9},
                {key: "K", a: 9, b: 2, c: 10},
                {key: "K", a: 9, b: 2, c: 11},
                {key: "K", a: 9, b: 2, c: 12},
                {key: "K", a: 9, b: 2, c: 13},
                {key: "K", a: 9, b: 2, c: 14},
                {key: "K", a: 9, b: 2, c: 15},
                {key: "K", a: 9, b: 3, c: 0},
                {key: "K", a: 9, b: 3, c: 1},
                {key: "K", a: 9, b: 3, c: 2},
                {key: "K", a: 9, b: 3, c: 3},
                {key: "K", a: 9, b: 3, c: 4},
                {key: "K", a: 9, b: 3, c: 5},
                {key: "K", a: 9, b: 3, c: 6},
                {key: "K", a: 9, b: 3, c: 7},
                {key: "K", a: 9, b: 3, c: 8},
                {key: "K", a: 9, b: 3, c: 9},
                {key: "K", a: 9, b: 3, c: 10},
                {key: "K", a: 9, b: 3, c: 11},
                {key: "K", a: 9, b: 3, c: 12},
                {key: "K", a: 9, b: 3, c: 13},
                {key: "K", a: 9, b: 3, c: 14},
                {key: "K", a: 9, b: 3, c: 15},
                {key: "K", a: 9, b: 4, c: 0},
                {key: "K", a: 9, b: 4, c: 1},
                {key: "K", a: 9, b: 4, c: 2},
                {key: "K", a: 9, b: 4, c: 3},
                {key: "K", a: 9, b: 4, c: 4},
                {key: "K", a: 9, b: 4, c: 5},
                {key: "K", a: 9, b: 4, c: 6},
                {key: "K", a: 9, b: 4, c: 7},
                {key: "K", a: 9, b: 4, c: 8},
                {key: "K", a: 9, b: 4, c: 9},
                {key: "K", a: 9, b: 4, c: 10},
                {key: "K", a: 9, b: 4, c: 11},
                {key: "K", a: 9, b: 4, c: 12},
                {key: "K", a: 9, b: 4, c: 13},
                {key: "K", a: 9, b: 4, c: 14},
                {key: "K", a: 9, b: 4, c: 15},
                {key: "K", a: 9, b: 5, c: 0},
                {key: "K", a: 9, b: 5, c: 1},
                {key: "K", a: 9, b: 5, c: 2},
                {key: "K", a: 9, b: 5, c: 3},
                {key: "K", a: 9, b: 5, c: 4},
                {key: "K", a: 9, b: 5, c: 5},
                {key: "K", a: 9, b: 5, c: 6},
                {key: "K", a: 9, b: 5, c: 7},
                {key: "K", a: 9, b: 5, c: 8},
                {key: "K", a: 9, b: 5, c: 9},
                {key: "K", a: 9, b: 5, c: 10},
                {key: "K", a: 9, b: 5, c: 11},
                {key: "K", a: 9, b: 5, c: 12},
                {key: "K", a: 9, b: 5, c: 13},
                {key: "K", a: 9, b: 5, c: 14},
                {key: "K", a: 9, b: 5, c: 15},
                {key: "K", a: 9, b: 6, c: 0},
                {key: "K", a: 9, b: 6, c: 1},
                {key: "K", a: 9, b: 6, c: 2},
                {key: "K", a: 9, b: 6, c: 3},
                {key: "K", a: 9, b: 6, c: 4},
                {key: "K", a: 9, b: 6, c: 5},
                {key: "K", a: 9, b: 6, c: 6},
                {key: "K", a: 9, b: 6, c: 7},
                {key: "K", a: 9, b: 6, c: 8},
                {key: "K", a: 9, b: 6, c: 9},
                {key: "K", a: 9, b: 6, c: 10},
                {key: "K", a: 9, b: 6, c: 11},
                {key: "K", a: 9, b: 6, c: 12},
                {key: "K", a: 9, b: 6, c: 13},
                {key: "K", a: 9, b: 6, c: 14},
                {key: "K", a: 9, b: 6, c: 15},
                {key: "K", a: 9, b: 7, c: 0},
                {key: "K", a: 9, b: 7, c: 1},
                {key: "K", a: 9, b: 7, c: 2},
                {key: "K", a: 9, b: 7, c: 3},
                {key: "K", a: 9, b: 7, c: 4},
                {key: "K", a: 9, b: 7, c: 5},
                {key: "K", a: 9, b: 7, c: 6},
                {key: "K", a: 9, b: 7, c: 7},
                {key: "K", a: 9, b: 7, c: 8},
                {key: "K", a: 9, b: 7, c: 9},
                {key: "K", a: 9, b: 7, c: 10},
                {key: "K", a: 9, b: 7, c: 11},
                {key: "K", a: 9, b: 7, c: 12},
                {key: "K", a: 9, b: 7, c: 13},
                {key: "K", a: 9, b: 7, c: 14},
                {key: "K", a: 9, b: 7, c: 15},
                {key: "K", a: 9, b: 8, c: 0},
                {key: "K", a: 9, b: 8, c: 1},
                {key: "K", a: 9, b: 8, c: 2},
                {key: "K", a: 9, b: 8, c: 3},
                {key: "K", a: 9, b: 8, c: 4},
                {key: "K", a: 9, b: 8, c: 5},
                {key: "K", a: 9, b: 8, c: 6},
                {key: "K", a: 9, b: 8, c: 7},
                {key: "K", a: 9, b: 8, c: 8},
                {key: "K", a: 9, b: 8, c: 9},
                {key: "K", a: 9, b: 8, c: 10},
                {key: "K", a: 9, b: 8, c: 11},
                {key: "K", a: 9, b: 8, c: 12},
                {key: "K", a: 9, b: 8, c: 13},
                {key: "K", a: 9, b: 8, c: 14},
                {key: "K", a: 9, b: 8, c: 15},
                {key: "K", a: 9, b: 9, c: 0},
                {key: "K", a: 9, b: 9, c: 1},
                {key: "K", a: 9, b: 9, c: 2},
                {key: "K", a: 9, b: 9, c: 3},
                {key: "K", a: 9, b: 9, c: 4},
                {key: "K", a: 9, b: 9, c: 5},
                {key: "K", a: 9, b: 9, c: 6},
                {key: "K", a: 9, b: 9, c: 7},
                {key: "K", a: 9, b: 9, c: 8},
                {key: "K", a: 9, b: 9, c: 9},
                {key: "K", a: 9, b: 9, c: 10},
                {key: "K", a: 9, b: 9, c: 11},
                {key: "K", a: 9, b: 9, c: 12},
                {key: "K", a: 9, b: 9, c: 13},
                {key: "K", a: 9, b: 9, c: 14},
                {key: "K", a: 9, b: 9, c: 15},
                {key: "K", a: 9, b: 10, c: 0},
                {key: "K", a: 9, b: 10, c: 1},
                {key: "K", a: 9, b: 10, c: 2},
                {key: "K", a: 9, b: 10, c: 3},
                {key: "K", a: 9, b: 10, c: 4},
                {key: "K", a: 9, b: 10, c: 5},
                {key: "K", a: 9, b: 10, c: 6},
                {key: "K", a: 9, b: 10, c: 7},
                {key: "K", a: 9, b: 10, c: 8},
                {key: "K", a: 9, b: 10, c: 9},
                {key: "K", a: 9, b: 10, c: 10},
                {key: "K", a: 9, b: 10, c: 11},
                {key: "K", a: 9, b: 10, c: 12},
                {key: "K", a: 9, b: 10, c: 13},
                {key: "K", a: 9, b: 10, c: 14},
                {key: "K", a: 9, b: 10, c: 15},
                {key: "K", a: 9, b: 11, c: 0},
                {key: "K", a: 9, b: 11, c: 1},
                {key: "K", a: 9, b: 11, c: 2},
                {key: "K", a: 9, b: 11, c: 3},
                {key: "K", a: 9, b: 11, c: 4},
                {key: "K", a: 9, b: 11, c: 5},
                {key: "K", a: 9, b: 11, c: 6},
                {key: "K", a: 9, b: 11, c: 7},
                {key: "K", a: 9, b: 11, c: 8},
                {key: "K", a: 9, b: 11, c: 9},
                {key: "K", a: 9, b: 11, c: 10},
                {key: "K", a: 9, b: 11, c: 11},
                {key: "K", a: 9, b: 11, c: 12},
                {key: "K", a: 9, b: 11, c: 13},
                {key: "K", a: 9, b: 11, c: 14},
                {key: "K", a: 9, b: 11, c: 15},
                {key: "K", a: 9, b: 12, c: 0},
                {key: "K", a: 9, b: 12, c: 1},
                {key: "K", a: 9, b: 12, c: 2},
                {key: "K", a: 9, b: 12, c: 3},
                {key: "K", a: 9, b: 12, c: 4},
                {key: "K", a: 9, b: 12, c: 5},
                {key: "K", a: 9, b: 12, c: 6},
                {key: "K", a: 9, b: 12, c: 7},
                {key: "K", a: 9, b: 12, c: 8},
                {key: "K", a: 9, b: 12, c: 9},
                {key: "K", a: 9, b: 12, c: 10},
                {key: "K", a: 9, b: 12, c: 11},
                {key: "K", a: 9, b: 12, c: 12},
                {key: "K", a: 9, b: 12, c: 13},
                {key: "K", a: 9, b: 12, c: 14},
                {key: "K", a: 9, b: 12, c: 15},
                {key: "K", a: 9, b: 13, c: 0},
                {key: "K", a: 9, b: 13, c: 1},
                {key: "K", a: 9, b: 13, c: 2},
                {key: "K", a: 9, b: 13, c: 3},
                {key: "K", a: 9, b: 13, c: 4},
                {key: "K", a: 9, b: 13, c: 5},
                {key: "K", a: 9, b: 13, c: 6},
                {key: "K", a: 9, b: 13, c: 7},
                {key: "K", a: 9, b: 13, c: 8},
                {key: "K", a: 9, b: 13, c: 9},
                {key: "K", a: 9, b: 13, c: 10},
                {key: "K", a: 9, b: 13, c: 11},
                {key: "K", a: 9, b: 13, c: 12},
                {key: "K", a: 9, b: 13, c: 13},
                {key: "K", a: 9, b: 13, c: 14},
                {key: "K", a: 9, b: 13, c: 15},
                {key: "K", a: 9, b: 14, c: 0},
                {key: "K", a: 9, b: 14, c: 1},
                {key: "K", a: 9, b: 14, c: 2},
                {key: "K", a: 9, b: 14, c: 3},
                {key: "K", a: 9, b: 14, c: 4},
                {key: "K", a: 9, b: 14, c: 5},
                {key: "K", a: 9, b: 14, c: 6},
                {key: "K", a: 9, b: 14, c: 7},
                {key: "K", a: 9, b: 14, c: 8},
                {key: "K", a: 9, b: 14, c: 9},
                {key: "K", a: 9, b: 14, c: 10},
                {key: "K", a: 9, b: 14, c: 11},
                {key: "K", a: 9, b: 14, c: 12},
                {key: "K", a: 9, b: 14, c: 13},
                {key: "K", a: 9, b: 14, c: 14},
                {key: "K", a: 9, b: 14, c: 15},
                {key: "K", a: 9, b: 15, c: 0},
                {key: "K", a: 9, b: 15, c: 1},
                {key: "K", a: 9, b: 15, c: 2},
                {key: "K", a: 9, b: 15, c: 3},
                {key: "K", a: 9, b: 15, c: 4},
                {key: "K", a: 9, b: 15, c: 5},
                {key: "K", a: 9, b: 15, c: 6},
                {key: "K", a: 9, b: 15, c: 7},
                {key: "K", a: 9, b: 15, c: 8},
                {key: "K", a: 9, b: 15, c: 9},
                {key: "K", a: 9, b: 15, c: 10},
                {key: "K", a: 9, b: 15, c: 11},
                {key: "K", a: 9, b: 15, c: 12},
                {key: "K", a: 9, b: 15, c: 13},
                {key: "K", a: 9, b: 15, c: 14},
                {key: "K", a: 9, b: 15, c: 15},
                {key: "K", a: 10, b: 0, c: 0},
                {key: "K", a: 10, b: 0, c: 1},
                {key: "K", a: 10, b: 0, c: 2},
                {key: "K", a: 10, b: 0, c: 3},
                {key: "K", a: 10, b: 0, c: 4},
                {key: "K", a: 10, b: 0, c: 5},
                {key: "K", a: 10, b: 0, c: 6},
                {key: "K", a: 10, b: 0, c: 7},
                {key: "K", a: 10, b: 0, c: 8},
                {key: "K", a: 10, b: 0, c: 9},
                {key: "K", a: 10, b: 0, c: 10},
                {key: "K", a: 10, b: 0, c: 11},
                {key: "K", a: 10, b: 0, c: 12},
                {key: "K", a: 10, b: 0, c: 13},
                {key: "K", a: 10, b: 0, c: 14},
                {key: "K", a: 10, b: 0, c: 15},
                {key: "K", a: 10, b: 1, c: 0},
                {key: "K", a: 10, b: 1, c: 1},
                {key: "K", a: 10, b: 1, c: 2},
                {key: "K", a: 10, b: 1, c: 3},
                {key: "K", a: 10, b: 1, c: 4},
                {key: "K", a: 10, b: 1, c: 5},
                {key: "K", a: 10, b: 1, c: 6},
                {key: "K", a: 10, b: 1, c: 7},
                {key: "K", a: 10, b: 1, c: 8},
                {key: "K", a: 10, b: 1, c: 9},
                {key: "K", a: 10, b: 1, c: 10},
                {key: "K", a: 10, b: 1, c: 11},
                {key: "K", a: 10, b: 1, c: 12},
                {key: "K", a: 10, b: 1, c: 13},
                {key: "K", a: 10, b: 1, c: 14},
                {key: "K", a: 10, b: 1, c: 15},
                {key: "K", a: 10, b: 2, c: 0},
                {key: "K", a: 10, b: 2, c: 1},
                {key: "K", a: 10, b: 2, c: 2},
                {key: "K", a: 10, b: 2, c: 3},
                {key: "K", a: 10, b: 2, c: 4},
                {key: "K", a: 10, b: 2, c: 5},
                {key: "K", a: 10, b: 2, c: 6},
                {key: "K", a: 10, b: 2, c: 7},
                {key: "K", a: 10, b: 2, c: 8},
                {key: "K", a: 10, b: 2, c: 9},
                {key: "K", a: 10, b: 2, c: 10},
                {key: "K", a: 10, b: 2, c: 11},
                {key: "K", a: 10, b: 2, c: 12},
                {key: "K", a: 10, b: 2, c: 13},
                {key: "K", a: 10, b: 2, c: 14},
                {key: "K", a: 10, b: 2, c: 15},
                {key: "K", a: 10, b: 3, c: 0},
                {key: "K", a: 10, b: 3, c: 1},
                {key: "K", a: 10, b: 3, c: 2},
                {key: "K", a: 10, b: 3, c: 3},
                {key: "K", a: 10, b: 3, c: 4},
                {key: "K", a: 10, b: 3, c: 5},
                {key: "K", a: 10, b: 3, c: 6},
                {key: "K", a: 10, b: 3, c: 7},
                {key: "K", a: 10, b: 3, c: 8},
                {key: "K", a: 10, b: 3, c: 9},
                {key: "K", a: 10, b: 3, c: 10},
                {key: "K", a: 10, b: 3, c: 11},
                {key: "K", a: 10, b: 3, c: 12},
                {key: "K", a: 10, b: 3, c: 13},
                {key: "K", a: 10, b: 3, c: 14},
                {key: "K", a: 10, b: 3, c: 15},
                {key: "K", a: 10, b: 4, c: 0},
                {key: "K", a: 10, b: 4, c: 1},
                {key: "K", a: 10, b: 4, c: 2},
                {key: "K", a: 10, b: 4, c: 3},
                {key: "K", a: 10, b: 4, c: 4},
                {key: "K", a: 10, b: 4, c: 5},
                {key: "K", a: 10, b: 4, c: 6},
                {key: "K", a: 10, b: 4, c: 7},
                {key: "K", a: 10, b: 4, c: 8},
                {key: "K", a: 10, b: 4, c: 9},
                {key: "K", a: 10, b: 4, c: 10},
                {key: "K", a: 10, b: 4, c: 11},
                {key: "K", a: 10, b: 4, c: 12},
                {key: "K", a: 10, b: 4, c: 13},
                {key: "K", a: 10, b: 4, c: 14},
                {key: "K", a: 10, b: 4, c: 15},
                {key: "K", a: 10, b: 5, c: 0},
                {key: "K", a: 10, b: 5, c: 1},
                {key: "K", a: 10, b: 5, c: 2},
                {key: "K", a: 10, b: 5, c: 3},
                {key: "K", a: 10, b: 5, c: 4},
                {key: "K", a: 10, b: 5, c: 5},
                {key: "K", a: 10, b: 5, c: 6},
                {key: "K", a: 10, b: 5, c: 7},
                {key: "K", a: 10, b: 5, c: 8},
                {key: "K", a: 10, b: 5, c: 9},
                {key: "K", a: 10, b: 5, c: 10},
                {key: "K", a: 10, b: 5, c: 11},
                {key: "K", a: 10, b: 5, c: 12},
                {key: "K", a: 10, b: 5, c: 13},
                {key: "K", a: 10, b: 5, c: 14},
                {key: "K", a: 10, b: 5, c: 15},
                {key: "K", a: 10, b: 6, c: 0},
                {key: "K", a: 10, b: 6, c: 1},
                {key: "K", a: 10, b: 6, c: 2},
                {key: "K", a: 10, b: 6, c: 3},
                {key: "K", a: 10, b: 6, c: 4},
                {key: "K", a: 10, b: 6, c: 5},
                {key: "K", a: 10, b: 6, c: 6},
                {key: "K", a: 10, b: 6, c: 7},
                {key: "K", a: 10, b: 6, c: 8},
                {key: "K", a: 10, b: 6, c: 9},
                {key: "K", a: 10, b: 6, c: 10},
                {key: "K", a: 10, b: 6, c: 11},
                {key: "K", a: 10, b: 6, c: 12},
                {key: "K", a: 10, b: 6, c: 13},
                {key: "K", a: 10, b: 6, c: 14},
                {key: "K", a: 10, b: 6, c: 15},
                {key: "K", a: 10, b: 7, c: 0},
                {key: "K", a: 10, b: 7, c: 1},
                {key: "K", a: 10, b: 7, c: 2},
                {key: "K", a: 10, b: 7, c: 3},
                {key: "K", a: 10, b: 7, c: 4},
                {key: "K", a: 10, b: 7, c: 5},
                {key: "K", a: 10, b: 7, c: 6},
                {key: "K", a: 10, b: 7, c: 7},
                {key: "K", a: 10, b: 7, c: 8},
                {key: "K", a: 10, b: 7, c: 9},
                {key: "K", a: 10, b: 7, c: 10},
                {key: "K", a: 10, b: 7, c: 11},
                {key: "K", a: 10, b: 7, c: 12},
                {key: "K", a: 10, b: 7, c: 13},
                {key: "K", a: 10, b: 7, c: 14},
                {key: "K", a: 10, b: 7, c: 15},
                {key: "K", a: 10, b: 8, c: 0},
                {key: "K", a: 10, b: 8, c: 1},
                {key: "K", a: 10, b: 8, c: 2},
                {key: "K", a: 10, b: 8, c: 3},
                {key: "K", a: 10, b: 8, c: 4},
                {key: "K", a: 10, b: 8, c: 5},
                {key: "K", a: 10, b: 8, c: 6},
                {key: "K", a: 10, b: 8, c: 7},
                {key: "K", a: 10, b: 8, c: 8},
                {key: "K", a: 10, b: 8, c: 9},
                {key: "K", a: 10, b: 8, c: 10},
                {key: "K", a: 10, b: 8, c: 11},
                {key: "K", a: 10, b: 8, c: 12},
                {key: "K", a: 10, b: 8, c: 13},
                {key: "K", a: 10, b: 8, c: 14},
                {key: "K", a: 10, b: 8, c: 15},
                {key: "K", a: 10, b: 9, c: 0},
                {key: "K", a: 10, b: 9, c: 1},
                {key: "K", a: 10, b: 9, c: 2},
                {key: "K", a: 10, b: 9, c: 3},
                {key: "K", a: 10, b: 9, c: 4},
                {key: "K", a: 10, b: 9, c: 5},
                {key: "K", a: 10, b: 9, c: 6},
                {key: "K", a: 10, b: 9, c: 7},
                {key: "K", a: 10, b: 9, c: 8},
                {key: "K", a: 10, b: 9, c: 9},
                {key: "K", a: 10, b: 9, c: 10},
                {key: "K", a: 10, b: 9, c: 11},
                {key: "K", a: 10, b: 9, c: 12},
                {key: "K", a: 10, b: 9, c: 13},
                {key: "K", a: 10, b: 9, c: 14},
                {key: "K", a: 10, b: 9, c: 15},
                {key: "K", a: 10, b: 10, c: 0},
                {key: "K", a: 10, b: 10, c: 1},
                {key: "K", a: 10, b: 10, c: 2},
                {key: "K", a: 10, b: 10, c: 3},
                {key: "K", a: 10, b: 10, c: 4},
                {key: "K", a: 10, b: 10, c: 5},
                {key: "K", a: 10, b: 10, c: 6},
                {key: "K", a: 10, b: 10, c: 7},
                {key: "K", a: 10, b: 10, c: 8},
                {key: "K", a: 10, b: 10, c: 9},
                {key: "K", a: 10, b: 10, c: 10},
                {key: "K", a: 10, b: 10, c: 11},
                {key: "K", a: 10, b: 10, c: 12},
                {key: "K", a: 10, b: 10, c: 13},
                {key: "K", a: 10, b: 10, c: 14},
                {key: "K", a: 10, b: 10, c: 15},
                {key: "K", a: 10, b: 11, c: 0},
                {key: "K", a: 10, b: 11, c: 1},
                {key: "K", a: 10, b: 11, c: 2},
                {key: "K", a: 10, b: 11, c: 3},
                {key: "K", a: 10, b: 11, c: 4},
                {key: "K", a: 10, b: 11, c: 5},
                {key: "K", a: 10, b: 11, c: 6},
                {key: "K", a: 10, b: 11, c: 7},
                {key: "K", a: 10, b: 11, c: 8},
                {key: "K", a: 10, b: 11, c: 9},
                {key: "K", a: 10, b: 11, c: 10},
                {key: "K", a: 10, b: 11, c: 11},
                {key: "K", a: 10, b: 11, c: 12},
                {key: "K", a: 10, b: 11, c: 13},
                {key: "K", a: 10, b: 11, c: 14},
                {key: "K", a: 10, b: 11, c: 15},
                {key: "K", a: 10, b: 12, c: 0},
                {key: "K", a: 10, b: 12, c: 1},
                {key: "K", a: 10, b: 12, c: 2},
                {key: "K", a: 10, b: 12, c: 3},
                {key: "K", a: 10, b: 12, c: 4},
                {key: "K", a: 10, b: 12, c: 5},
                {key: "K", a: 10, b: 12, c: 6},
                {key: "K", a: 10, b: 12, c: 7},
                {key: "K", a: 10, b: 12, c: 8},
                {key: "K", a: 10, b: 12, c: 9},
                {key: "K", a: 10, b: 12, c: 10},
                {key: "K", a: 10, b: 12, c: 11},
                {key: "K", a: 10, b: 12, c: 12},
                {key: "K", a: 10, b: 12, c: 13},
                {key: "K", a: 10, b: 12, c: 14},
                {key: "K", a: 10, b: 12, c: 15},
                {key: "K", a: 10, b: 13, c: 0},
                {key: "K", a: 10, b: 13, c: 1},
                {key: "K", a: 10, b: 13, c: 2},
                {key: "K", a: 10, b: 13, c: 3},
                {key: "K", a: 10, b: 13, c: 4},
                {key: "K", a: 10, b: 13, c: 5},
                {key: "K", a: 10, b: 13, c: 6},
                {key: "K", a: 10, b: 13, c: 7},
                {key: "K", a: 10, b: 13, c: 8},
                {key: "K", a: 10, b: 13, c: 9},
                {key: "K", a: 10, b: 13, c: 10},
                {key: "K", a: 10, b: 13, c: 11},
                {key: "K", a: 10, b: 13, c: 12},
                {key: "K", a: 10, b: 13, c: 13},
                {key: "K", a: 10, b: 13, c: 14},
                {key: "K", a: 10, b: 13, c: 15},
                {key: "K", a: 10, b: 14, c: 0},
                {key: "K", a: 10, b: 14, c: 1},
                {key: "K", a: 10, b: 14, c: 2},
                {key: "K", a: 10, b: 14, c: 3},
                {key: "K", a: 10, b: 14, c: 4},
                {key: "K", a: 10, b: 14, c: 5},
                {key: "K", a: 10, b: 14, c: 6},
                {key: "K", a: 10, b: 14, c: 7},
                {key: "K", a: 10, b: 14, c: 8},
                {key: "K", a: 10, b: 14, c: 9},
                {key: "K", a: 10, b: 14, c: 10},
                {key: "K", a: 10, b: 14, c: 11},
                {key: "K", a: 10, b: 14, c: 12},
                {key: "K", a: 10, b: 14, c: 13},
                {key: "K", a: 10, b: 14, c: 14},
                {key: "K", a: 10, b: 14, c: 15},
                {key: "K", a: 10, b: 15, c: 0},
                {key: "K", a: 10, b: 15, c: 1},
                {key: "K", a: 10, b: 15, c: 2},
                {key: "K", a: 10, b: 15, c: 3},
                {key: "K", a: 10, b: 15, c: 4},
                {key: "K", a: 10, b: 15, c: 5},
                {key: "K", a: 10, b: 15, c: 6},
                {key: "K", a: 10, b: 15, c: 7},
                {key: "K", a: 10, b: 15, c: 8},
                {key: "K", a: 10, b: 15, c: 9},
                {key: "K", a: 10, b: 15, c: 10},
                {key: "K", a: 10, b: 15, c: 11},
                {key: "K", a: 10, b: 15, c: 12},
                {key: "K", a: 10, b: 15, c: 13},
                {key: "K", a: 10, b: 15, c: 14},
                {key: "K", a: 10, b: 15, c: 15},
                {key: "K", a: 11, b: 0, c: 0},
                {key: "K", a: 11, b: 0, c: 1},
                {key: "K", a: 11, b: 0, c: 2},
                {key: "K", a: 11, b: 0, c: 3},
                {key: "K", a: 11, b: 0, c: 4},
                {key: "K", a: 11, b: 0, c: 5},
                {key: "K", a: 11, b: 0, c: 6},
                {key: "K", a: 11, b: 0, c: 7},
                {key: "K", a: 11, b: 0, c: 8},
                {key: "K", a: 11, b: 0, c: 9},
                {key: "K", a: 11, b: 0, c: 10},
                {key: "K", a: 11, b: 0, c: 11},
                {key: "K", a: 11, b: 0, c: 12},
                {key: "K", a: 11, b: 0, c: 13},
                {key: "K", a: 11, b: 0, c: 14},
                {key: "K", a: 11, b: 0, c: 15},
                {key: "K", a: 11, b: 1, c: 0},
                {key: "K", a: 11, b: 1, c: 1},
                {key: "K", a: 11, b: 1, c: 2},
                {key: "K", a: 11, b: 1, c: 3},
                {key: "K", a: 11, b: 1, c: 4},
                {key: "K", a: 11, b: 1, c: 5},
                {key: "K", a: 11, b: 1, c: 6},
                {key: "K", a: 11, b: 1, c: 7},
                {key: "K", a: 11, b: 1, c: 8},
                {key: "K", a: 11, b: 1, c: 9},
                {key: "K", a: 11, b: 1, c: 10},
                {key: "K", a: 11, b: 1, c: 11},
                {key: "K", a: 11, b: 1, c: 12},
                {key: "K", a: 11, b: 1, c: 13},
                {key: "K", a: 11, b: 1, c: 14},
                {key: "K", a: 11, b: 1, c: 15},
                {key: "K", a: 11, b: 2, c: 0},
                {key: "K", a: 11, b: 2, c: 1},
                {key: "K", a: 11, b: 2, c: 2},
                {key: "K", a: 11, b: 2, c: 3},
                {key: "K", a: 11, b: 2, c: 4},
                {key: "K", a: 11, b: 2, c: 5},
                {key: "K", a: 11, b: 2, c: 6},
                {key: "K", a: 11, b: 2, c: 7},
                {key: "K", a: 11, b: 2, c: 8},
                {key: "K", a: 11, b: 2, c: 9},
                {key: "K", a: 11, b: 2, c: 10},
                {key: "K", a: 11, b: 2, c: 11},
                {key: "K", a: 11, b: 2, c: 12},
                {key: "K", a: 11, b: 2, c: 13},
                {key: "K", a: 11, b: 2, c: 14},
                {key: "K", a: 11, b: 2, c: 15},
                {key: "K", a: 11, b: 3, c: 0},
                {key: "K", a: 11, b: 3, c: 1},
                {key: "K", a: 11, b: 3, c: 2},
                {key: "K", a: 11, b: 3, c: 3},
                {key: "K", a: 11, b: 3, c: 4},
                {key: "K", a: 11, b: 3, c: 5},
                {key: "K", a: 11, b: 3, c: 6},
                {key: "K", a: 11, b: 3, c: 7},
                {key: "K", a: 11, b: 3, c: 8},
                {key: "K", a: 11, b: 3, c: 9},
                {key: "K", a: 11, b: 3, c: 10},
                {key: "K", a: 11, b: 3, c: 11},
                {key: "K", a: 11, b: 3, c: 12},
                {key: "K", a: 11, b: 3, c: 13},
                {key: "K", a: 11, b: 3, c: 14},
                {key: "K", a: 11, b: 3, c: 15},
                {key: "K", a: 11, b: 4, c: 0},
                {key: "K", a: 11, b: 4, c: 1},
                {key: "K", a: 11, b: 4, c: 2},
                {key: "K", a: 11, b: 4, c: 3},
                {key: "K", a: 11, b: 4, c: 4},
                {key: "K", a: 11, b: 4, c: 5},
                {key: "K", a: 11, b: 4, c: 6},
                {key: "K", a: 11, b: 4, c: 7},
                {key: "K", a: 11, b: 4, c: 8},
                {key: "K", a: 11, b: 4, c: 9},
                {key: "K", a: 11, b: 4, c: 10},
                {key: "K", a: 11, b: 4, c: 11},
                {key: "K", a: 11, b: 4, c: 12},
                {key: "K", a: 11, b: 4, c: 13},
                {key: "K", a: 11, b: 4, c: 14},
                {key: "K", a: 11, b: 4, c: 15},
                {key: "K", a: 11, b: 5, c: 0},
                {key: "K", a: 11, b: 5, c: 1},
                {key: "K", a: 11, b: 5, c: 2},
                {key: "K", a: 11, b: 5, c: 3},
                {key: "K", a: 11, b: 5, c: 4},
                {key: "K", a: 11, b: 5, c: 5},
                {key: "K", a: 11, b: 5, c: 6},
                {key: "K", a: 11, b: 5, c: 7},
                {key: "K", a: 11, b: 5, c: 8},
                {key: "K", a: 11, b: 5, c: 9},
                {key: "K", a: 11, b: 5, c: 10},
                {key: "K", a: 11, b: 5, c: 11},
                {key: "K", a: 11, b: 5, c: 12},
                {key: "K", a: 11, b: 5, c: 13},
                {key: "K", a: 11, b: 5, c: 14},
                {key: "K", a: 11, b: 5, c: 15},
                {key: "K", a: 11, b: 6, c: 0},
                {key: "K", a: 11, b: 6, c: 1},
                {key: "K", a: 11, b: 6, c: 2},
                {key: "K", a: 11, b: 6, c: 3},
                {key: "K", a: 11, b: 6, c: 4},
                {key: "K", a: 11, b: 6, c: 5},
                {key: "K", a: 11, b: 6, c: 6},
                {key: "K", a: 11, b: 6, c: 7},
                {key: "K", a: 11, b: 6, c: 8},
                {key: "K", a: 11, b: 6, c: 9},
                {key: "K", a: 11, b: 6, c: 10},
                {key: "K", a: 11, b: 6, c: 11},
                {key: "K", a: 11, b: 6, c: 12},
                {key: "K", a: 11, b: 6, c: 13},
                {key: "K", a: 11, b: 6, c: 14},
                {key: "K", a: 11, b: 6, c: 15},
                {key: "K", a: 11, b: 7, c: 0},
                {key: "K", a: 11, b: 7, c: 1},
                {key: "K", a: 11, b: 7, c: 2},
                {key: "K", a: 11, b: 7, c: 3},
                {key: "K", a: 11, b: 7, c: 4},
                {key: "K", a: 11, b: 7, c: 5},
                {key: "K", a: 11, b: 7, c: 6},
                {key: "K", a: 11, b: 7, c: 7},
                {key: "K", a: 11, b: 7, c: 8},
                {key: "K", a: 11, b: 7, c: 9},
                {key: "K", a: 11, b: 7, c: 10},
                {key: "K", a: 11, b: 7, c: 11},
                {key: "K", a: 11, b: 7, c: 12},
                {key: "K", a: 11, b: 7, c: 13},
                {key: "K", a: 11, b: 7, c: 14},
                {key: "K", a: 11, b: 7, c: 15},
                {key: "K", a: 11, b: 8, c: 0},
                {key: "K", a: 11, b: 8, c: 1},
                {key: "K", a: 11, b: 8, c: 2},
                {key: "K", a: 11, b: 8, c: 3},
                {key: "K", a: 11, b: 8, c: 4},
                {key: "K", a: 11, b: 8, c: 5},
                {key: "K", a: 11, b: 8, c: 6},
                {key: "K", a: 11, b: 8, c: 7},
                {key: "K", a: 11, b: 8, c: 8},
                {key: "K", a: 11, b: 8, c: 9},
                {key: "K", a: 11, b: 8, c: 10},
                {key: "K", a: 11, b: 8, c: 11},
                {key: "K", a: 11, b: 8, c: 12},
                {key: "K", a: 11, b: 8, c: 13},
                {key: "K", a: 11, b: 8, c: 14},
                {key: "K", a: 11, b: 8, c: 15},
                {key: "K", a: 11, b: 9, c: 0},
                {key: "K", a: 11, b: 9, c: 1},
                {key: "K", a: 11, b: 9, c: 2},
                {key: "K", a: 11, b: 9, c: 3},
                {key: "K", a: 11, b: 9, c: 4},
                {key: "K", a: 11, b: 9, c: 5},
                {key: "K", a: 11, b: 9, c: 6},
                {key: "K", a: 11, b: 9, c: 7},
                {key: "K", a: 11, b: 9, c: 8},
                {key: "K", a: 11, b: 9, c: 9},
                {key: "K", a: 11, b: 9, c: 10},
                {key: "K", a: 11, b: 9, c: 11},
                {key: "K", a: 11, b: 9, c: 12},
                {key: "K", a: 11, b: 9, c: 13},
                {key: "K", a: 11, b: 9, c: 14},
                {key: "K", a: 11, b: 9, c: 15},
                {key: "K", a: 11, b: 10, c: 0},
                {key: "K", a: 11, b: 10, c: 1},
                {key: "K", a: 11, b: 10, c: 2},
                {key: "K", a: 11, b: 10, c: 3},
                {key: "K", a: 11, b: 10, c: 4},
                {key: "K", a: 11, b: 10, c: 5},
                {key: "K", a: 11, b: 10, c: 6},
                {key: "K", a: 11, b: 10, c: 7},
                {key: "K", a: 11, b: 10, c: 8},
                {key: "K", a: 11, b: 10, c: 9},
                {key: "K", a: 11, b: 10, c: 10},
                {key: "K", a: 11, b: 10, c: 11},
                {key: "K", a: 11, b: 10, c: 12},
                {key: "K", a: 11, b: 10, c: 13},
                {key: "K", a: 11, b: 10, c: 14},
                {key: "K", a: 11, b: 10, c: 15},
                {key: "K", a: 11, b: 11, c: 0},
                {key: "K", a: 11, b: 11, c: 1},
                {key: "K", a: 11, b: 11, c: 2},
                {key: "K", a: 11, b: 11, c: 3},
                {key: "K", a: 11, b: 11, c: 4},
                {key: "K", a: 11, b: 11, c: 5},
                {key: "K", a: 11, b: 11, c: 6},
                {key: "K", a: 11, b: 11, c: 7},
                {key: "K", a: 11, b: 11, c: 8},
                {key: "K", a: 11, b: 11, c: 9},
                {key: "K", a: 11, b: 11, c: 10},
                {key: "K", a: 11, b: 11, c: 11},
                {key: "K", a: 11, b: 11, c: 12},
                {key: "K", a: 11, b: 11, c: 13},
                {key: "K", a: 11, b: 11, c: 14},
                {key: "K", a: 11, b: 11, c: 15},
                {key: "K", a: 11, b: 12, c: 0},
                {key: "K", a: 11, b: 12, c: 1},
                {key: "K", a: 11, b: 12, c: 2},
                {key: "K", a: 11, b: 12, c: 3},
                {key: "K", a: 11, b: 12, c: 4},
                {key: "K", a: 11, b: 12, c: 5},
                {key: "K", a: 11, b: 12, c: 6},
                {key: "K", a: 11, b: 12, c: 7},
                {key: "K", a: 11, b: 12, c: 8},
                {key: "K", a: 11, b: 12, c: 9},
                {key: "K", a: 11, b: 12, c: 10},
                {key: "K", a: 11, b: 12, c: 11},
                {key: "K", a: 11, b: 12, c: 12},
                {key: "K", a: 11, b: 12, c: 13},
                {key: "K", a: 11, b: 12, c: 14},
                {key: "K", a: 11, b: 12, c: 15},
                {key: "K", a: 11, b: 13, c: 0},
                {key: "K", a: 11, b: 13, c: 1},
                {key: "K", a: 11, b: 13, c: 2},
                {key: "K", a: 11, b: 13, c: 3},
                {key: "K", a: 11, b: 13, c: 4},
                {key: "K", a: 11, b: 13, c: 5},
                {key: "K", a: 11, b: 13, c: 6},
                {key: "K", a: 11, b: 13, c: 7},
                {key: "K", a: 11, b: 13, c: 8},
                {key: "K", a: 11, b: 13, c: 9},
                {key: "K", a: 11, b: 13, c: 10},
                {key: "K", a: 11, b: 13, c: 11},
                {key: "K", a: 11, b: 13, c: 12},
                {key: "K", a: 11, b: 13, c: 13},
                {key: "K", a: 11, b: 13, c: 14},
                {key: "K", a: 11, b: 13, c: 15},
                {key: "K", a: 11, b: 14, c: 0},
                {key: "K", a: 11, b: 14, c: 1},
                {key: "K", a: 11, b: 14, c: 2},
                {key: "K", a: 11, b: 14, c: 3},
                {key: "K", a: 11, b: 14, c: 4},
                {key: "K", a: 11, b: 14, c: 5},
                {key: "K", a: 11, b: 14, c: 6},
                {key: "K", a: 11, b: 14, c: 7},
                {key: "K", a: 11, b: 14, c: 8},
                {key: "K", a: 11, b: 14, c: 9},
                {key: "K", a: 11, b: 14, c: 10},
                {key: "K", a: 11, b: 14, c: 11},
                {key: "K", a: 11, b: 14, c: 12},
                {key: "K", a: 11, b: 14, c: 13},
                {key: "K", a: 11, b: 14, c: 14},
                {key: "K", a: 11, b: 14, c: 15},
                {key: "K", a: 11, b: 15, c: 0},
                {key: "K", a: 11, b: 15, c: 1},
                {key: "K", a: 11, b: 15, c: 2},
                {key: "K", a: 11, b: 15, c: 3},
                {key: "K", a: 11, b: 15, c: 4},
                {key: "K", a: 11, b: 15, c: 5},
                {key: "K", a: 11, b: 15, c: 6},
                {key: "K", a: 11, b: 15, c: 7},
                {key: "K", a: 11, b: 15, c: 8},
                {key: "K", a: 11, b: 15, c: 9},
                {key: "K", a: 11, b: 15, c: 10},
                {key: "K", a: 11, b: 15, c: 11},
                {key: "K", a: 11, b: 15, c: 12},
                {key: "K", a: 11, b: 15, c: 13},
                {key: "K", a: 11, b: 15, c: 14},
                {key: "K", a: 11, b: 15, c: 15},
                {key: "K", a: 12, b: 0, c: 0},
                {key: "K", a: 12, b: 0, c: 1},
                {key: "K", a: 12, b: 0, c: 2},
                {key: "K", a: 12, b: 0, c: 3},
                {key: "K", a: 12, b: 0, c: 4},
                {key: "K", a: 12, b: 0, c: 5},
                {key: "K", a: 12, b: 0, c: 6},
                {key: "K", a: 12, b: 0, c: 7},
                {key: "K", a: 12, b: 0, c: 8},
                {key: "K", a: 12, b: 0, c: 9},
                {key: "K", a: 12, b: 0, c: 10},
                {key: "K", a: 12, b: 0, c: 11},
                {key: "K", a: 12, b: 0, c: 12},
                {key: "K", a: 12, b: 0, c: 13},
                {key: "K", a: 12, b: 0, c: 14},
                {key: "K", a: 12, b: 0, c: 15},
                {key: "K", a: 12, b: 1, c: 0},
                {key: "K", a: 12, b: 1, c: 1},
                {key: "K", a: 12, b: 1, c: 2},
                {key: "K", a: 12, b: 1, c: 3},
                {key: "K", a: 12, b: 1, c: 4},
                {key: "K", a: 12, b: 1, c: 5},
                {key: "K", a: 12, b: 1, c: 6},
                {key: "K", a: 12, b: 1, c: 7},
                {key: "K", a: 12, b: 1, c: 8},
                {key: "K", a: 12, b: 1, c: 9},
                {key: "K", a: 12, b: 1, c: 10},
                {key: "K", a: 12, b: 1, c: 11},
                {key: "K", a: 12, b: 1, c: 12},
                {key: "K", a: 12, b: 1, c: 13},
                {key: "K", a: 12, b: 1, c: 14},
                {key: "K", a: 12, b: 1, c: 15},
                {key: "K", a: 12, b: 2, c: 0},
                {key: "K", a: 12, b: 2, c: 1},
                {key: "K", a: 12, b: 2, c: 2},
                {key: "K", a: 12, b: 2, c: 3},
                {key: "K", a: 12, b: 2, c: 4},
                {key: "K", a: 12, b: 2, c: 5},
                {key: "K", a: 12, b: 2, c: 6},
                {key: "K", a: 12, b: 2, c: 7},
                {key: "K", a: 12, b: 2, c: 8},
                {key: "K", a: 12, b: 2, c: 9},
                {key: "K", a: 12, b: 2, c: 10},
                {key: "K", a: 12, b: 2, c: 11},
                {key: "K", a: 12, b: 2, c: 12},
                {key: "K", a: 12, b: 2, c: 13},
                {key: "K", a: 12, b: 2, c: 14},
                {key: "K", a: 12, b: 2, c: 15},
                {key: "K", a: 12, b: 3, c: 0},
                {key: "K", a: 12, b: 3, c: 1},
                {key: "K", a: 12, b: 3, c: 2},
                {key: "K", a: 12, b: 3, c: 3},
                {key: "K", a: 12, b: 3, c: 4},
                {key: "K", a: 12, b: 3, c: 5},
                {key: "K", a: 12, b: 3, c: 6},
                {key: "K", a: 12, b: 3, c: 7},
                {key: "K", a: 12, b: 3, c: 8},
                {key: "K", a: 12, b: 3, c: 9},
                {key: "K", a: 12, b: 3, c: 10},
                {key: "K", a: 12, b: 3, c: 11},
                {key: "K", a: 12, b: 3, c: 12},
                {key: "K", a: 12, b: 3, c: 13},
                {key: "K", a: 12, b: 3, c: 14},
                {key: "K", a: 12, b: 3, c: 15},
                {key: "K", a: 12, b: 4, c: 0},
                {key: "K", a: 12, b: 4, c: 1},
                {key: "K", a: 12, b: 4, c: 2},
                {key: "K", a: 12, b: 4, c: 3},
                {key: "K", a: 12, b: 4, c: 4},
                {key: "K", a: 12, b: 4, c: 5},
                {key: "K", a: 12, b: 4, c: 6},
                {key: "K", a: 12, b: 4, c: 7},
                {key: "K", a: 12, b: 4, c: 8},
                {key: "K", a: 12, b: 4, c: 9},
                {key: "K", a: 12, b: 4, c: 10},
                {key: "K", a: 12, b: 4, c: 11},
                {key: "K", a: 12, b: 4, c: 12},
                {key: "K", a: 12, b: 4, c: 13},
                {key: "K", a: 12, b: 4, c: 14},
                {key: "K", a: 12, b: 4, c: 15},
                {key: "K", a: 12, b: 5, c: 0},
                {key: "K", a: 12, b: 5, c: 1},
                {key: "K", a: 12, b: 5, c: 2},
                {key: "K", a: 12, b: 5, c: 3},
                {key: "K", a: 12, b: 5, c: 4},
                {key: "K", a: 12, b: 5, c: 5},
                {key: "K", a: 12, b: 5, c: 6},
                {key: "K", a: 12, b: 5, c: 7},
                {key: "K", a: 12, b: 5, c: 8},
                {key: "K", a: 12, b: 5, c: 9},
                {key: "K", a: 12, b: 5, c: 10},
                {key: "K", a: 12, b: 5, c: 11},
                {key: "K", a: 12, b: 5, c: 12},
                {key: "K", a: 12, b: 5, c: 13},
                {key: "K", a: 12, b: 5, c: 14},
                {key: "K", a: 12, b: 5, c: 15},
                {key: "K", a: 12, b: 6, c: 0},
                {key: "K", a: 12, b: 6, c: 1},
                {key: "K", a: 12, b: 6, c: 2},
                {key: "K", a: 12, b: 6, c: 3},
                {key: "K", a: 12, b: 6, c: 4},
                {key: "K", a: 12, b: 6, c: 5},
                {key: "K", a: 12, b: 6, c: 6},
                {key: "K", a: 12, b: 6, c: 7},
                {key: "K", a: 12, b: 6, c: 8},
                {key: "K", a: 12, b: 6, c: 9},
                {key: "K", a: 12, b: 6, c: 10},
                {key: "K", a: 12, b: 6, c: 11},
                {key: "K", a: 12, b: 6, c: 12},
                {key: "K", a: 12, b: 6, c: 13},
                {key: "K", a: 12, b: 6, c: 14},
                {key: "K", a: 12, b: 6, c: 15},
                {key: "K", a: 12, b: 7, c: 0},
                {key: "K", a: 12, b: 7, c: 1},
                {key: "K", a: 12, b: 7, c: 2},
                {key: "K", a: 12, b: 7, c: 3},
                {key: "K", a: 12, b: 7, c: 4},
                {key: "K", a: 12, b: 7, c: 5},
                {key: "K", a: 12, b: 7, c: 6},
                {key: "K", a: 12, b: 7, c: 7},
                {key: "K", a: 12, b: 7, c: 8},
                {key: "K", a: 12, b: 7, c: 9},
                {key: "K", a: 12, b: 7, c: 10},
                {key: "K", a: 12, b: 7, c: 11},
                {key: "K", a: 12, b: 7, c: 12},
                {key: "K", a: 12, b: 7, c: 13},
                {key: "K", a: 12, b: 7, c: 14},
                {key: "K", a: 12, b: 7, c: 15},
                {key: "K", a: 12, b: 8, c: 0},
                {key: "K", a: 12, b: 8, c: 1},
                {key: "K", a: 12, b: 8, c: 2},
                {key: "K", a: 12, b: 8, c: 3},
                {key: "K", a: 12, b: 8, c: 4},
                {key: "K", a: 12, b: 8, c: 5},
                {key: "K", a: 12, b: 8, c: 6},
                {key: "K", a: 12, b: 8, c: 7},
                {key: "K", a: 12, b: 8, c: 8},
                {key: "K", a: 12, b: 8, c: 9},
                {key: "K", a: 12, b: 8, c: 10},
                {key: "K", a: 12, b: 8, c: 11},
                {key: "K", a: 12, b: 8, c: 12},
                {key: "K", a: 12, b: 8, c: 13},
                {key: "K", a: 12, b: 8, c: 14},
                {key: "K", a: 12, b: 8, c: 15},
                {key: "K", a: 12, b: 9, c: 0},
                {key: "K", a: 12, b: 9, c: 1},
                {key: "K", a: 12, b: 9, c: 2},
                {key: "K", a: 12, b: 9, c: 3},
                {key: "K", a: 12, b: 9, c: 4},
                {key: "K", a: 12, b: 9, c: 5},
                {key: "K", a: 12, b: 9, c: 6},
                {key: "K", a: 12, b: 9, c: 7},
                {key: "K", a: 12, b: 9, c: 8},
                {key: "K", a: 12, b: 9, c: 9},
                {key: "K", a: 12, b: 9, c: 10},
                {key: "K", a: 12, b: 9, c: 11},
                {key: "K", a: 12, b: 9, c: 12},
                {key: "K", a: 12, b: 9, c: 13},
                {key: "K", a: 12, b: 9, c: 14},
                {key: "K", a: 12, b: 9, c: 15},
                {key: "K", a: 12, b: 10, c: 0},
                {key: "K", a: 12, b: 10, c: 1},
                {key: "K", a: 12, b: 10, c: 2},
                {key: "K", a: 12, b: 10, c: 3},
                {key: "K", a: 12, b: 10, c: 4},
                {key: "K", a: 12, b: 10, c: 5},
                {key: "K", a: 12, b: 10, c: 6},
                {key: "K", a: 12, b: 10, c: 7},
                {key: "K", a: 12, b: 10, c: 8},
                {key: "K", a: 12, b: 10, c: 9},
                {key: "K", a: 12, b: 10, c: 10},
                {key: "K", a: 12, b: 10, c: 11},
                {key: "K", a: 12, b: 10, c: 12},
                {key: "K", a: 12, b: 10, c: 13},
                {key: "K", a: 12, b: 10, c: 14},
                {key: "K", a: 12, b: 10, c: 15},
                {key: "K", a: 12, b: 11, c: 0},
                {key: "K", a: 12, b: 11, c: 1},
                {key: "K", a: 12, b: 11, c: 2},
                {key: "K", a: 12, b: 11, c: 3},
                {key: "K", a: 12, b: 11, c: 4},
                {key: "K", a: 12, b: 11, c: 5},
                {key: "K", a: 12, b: 11, c: 6},
                {key: "K", a: 12, b: 11, c: 7},
                {key: "K", a: 12, b: 11, c: 8},
                {key: "K", a: 12, b: 11, c: 9},
                {key: "K", a: 12, b: 11, c: 10},
                {key: "K", a: 12, b: 11, c: 11},
                {key: "K", a: 12, b: 11, c: 12},
                {key: "K", a: 12, b: 11, c: 13},
                {key: "K", a: 12, b: 11, c: 14},
                {key: "K", a: 12, b: 11, c: 15},
                {key: "K", a: 12, b: 12, c: 0},
                {key: "K", a: 12, b: 12, c: 1},
                {key: "K", a: 12, b: 12, c: 2},
                {key: "K", a: 12, b: 12, c: 3},
                {key: "K", a: 12, b: 12, c: 4},
                {key: "K", a: 12, b: 12, c: 5},
                {key: "K", a: 12, b: 12, c: 6},
                {key: "K", a: 12, b: 12, c: 7},
                {key: "K", a: 12, b: 12, c: 8},
                {key: "K", a: 12, b: 12, c: 9},
                {key: "K", a: 12, b: 12, c: 10},
                {key: "K", a: 12, b: 12, c: 11},
                {key: "K", a: 12, b: 12, c: 12},
                {key: "K", a: 12, b: 12, c: 13},
                {key: "K", a: 12, b: 12, c: 14},
                {key: "K", a: 12, b: 12, c: 15},
                {key: "K", a: 12, b: 13, c: 0},
                {key: "K", a: 12, b: 13, c: 1},
                {key: "K", a: 12, b: 13, c: 2},
                {key: "K", a: 12, b: 13, c: 3},
                {key: "K", a: 12, b: 13, c: 4},
                {key: "K", a: 12, b: 13, c: 5},
                {key: "K", a: 12, b: 13, c: 6},
                {key: "K", a: 12, b: 13, c: 7},
                {key: "K", a: 12, b: 13, c: 8},
                {key: "K", a: 12, b: 13, c: 9},
                {key: "K", a: 12, b: 13, c: 10},
                {key: "K", a: 12, b: 13, c: 11},
                {key: "K", a: 12, b: 13, c: 12},
                {key: "K", a: 12, b: 13, c: 13},
                {key: "K", a: 12, b: 13, c: 14},
                {key: "K", a: 12, b: 13, c: 15},
                {key: "K", a: 12, b: 14, c: 0},
                {key: "K", a: 12, b: 14, c: 1},
                {key: "K", a: 12, b: 14, c: 2},
                {key: "K", a: 12, b: 14, c: 3},
                {key: "K", a: 12, b: 14, c: 4},
                {key: "K", a: 12, b: 14, c: 5},
                {key: "K", a: 12, b: 14, c: 6},
                {key: "K", a: 12, b: 14, c: 7},
                {key: "K", a: 12, b: 14, c: 8},
                {key: "K", a: 12, b: 14, c: 9},
                {key: "K", a: 12, b: 14, c: 10},
                {key: "K", a: 12, b: 14, c: 11},
                {key: "K", a: 12, b: 14, c: 12},
                {key: "K", a: 12, b: 14, c: 13},
                {key: "K", a: 12, b: 14, c: 14},
                {key: "K", a: 12, b: 14, c: 15},
                {key: "K", a: 12, b: 15, c: 0},
                {key: "K", a: 12, b: 15, c: 1},
                {key: "K", a: 12, b: 15, c: 2},
                {key: "K", a: 12, b: 15, c: 3},
                {key: "K", a: 12, b: 15, c: 4},
                {key: "K", a: 12, b: 15, c: 5},
                {key: "K", a: 12, b: 15, c: 6},
                {key: "K", a: 12, b: 15, c: 7},
                {key: "K", a: 12, b: 15, c: 8},
                {key: "K", a: 12, b: 15, c: 9},
                {key: "K", a: 12, b: 15, c: 10},
                {key: "K", a: 12, b: 15, c: 11},
                {key: "K", a: 12, b: 15, c: 12},
                {key: "K", a: 12, b: 15, c: 13},
                {key: "K", a: 12, b: 15, c: 14},
                {key: "K", a: 12, b: 15, c: 15},
                {key: "K", a: 13, b: 0, c: 0},
                {key: "K", a: 13, b: 0, c: 1},
                {key: "K", a: 13, b: 0, c: 2},
                {key: "K", a: 13, b: 0, c: 3},
                {key: "K", a: 13, b: 0, c: 4},
                {key: "K", a: 13, b: 0, c: 5},
                {key: "K", a: 13, b: 0, c: 6},
                {key: "K", a: 13, b: 0, c: 7},
                {key: "K", a: 13, b: 0, c: 8},
                {key: "K", a: 13, b: 0, c: 9},
                {key: "K", a: 13, b: 0, c: 10},
                {key: "K", a: 13, b: 0, c: 11},
                {key: "K", a: 13, b: 0, c: 12},
                {key: "K", a: 13, b: 0, c: 13},
                {key: "K", a: 13, b: 0, c: 14},
                {key: "K", a: 13, b: 0, c: 15},
                {key: "K", a: 13, b: 1, c: 0},
                {key: "K", a: 13, b: 1, c: 1},
                {key: "K", a: 13, b: 1, c: 2},
                {key: "K", a: 13, b: 1, c: 3},
                {key: "K", a: 13, b: 1, c: 4},
                {key: "K", a: 13, b: 1, c: 5},
                {key: "K", a: 13, b: 1, c: 6},
                {key: "K", a: 13, b: 1, c: 7},
                {key: "K", a: 13, b: 1, c: 8},
                {key: "K", a: 13, b: 1, c: 9},
                {key: "K", a: 13, b: 1, c: 10},
                {key: "K", a: 13, b: 1, c: 11},
                {key: "K", a: 13, b: 1, c: 12},
                {key: "K", a: 13, b: 1, c: 13},
                {key: "K", a: 13, b: 1, c: 14},
                {key: "K", a: 13, b: 1, c: 15},
                {key: "K", a: 13, b: 2, c: 0},
                {key: "K", a: 13, b: 2, c: 1},
                {key: "K", a: 13, b: 2, c: 2},
                {key: "K", a: 13, b: 2, c: 3},
                {key: "K", a: 13, b: 2, c: 4},
                {key: "K", a: 13, b: 2, c: 5},
                {key: "K", a: 13, b: 2, c: 6},
                {key: "K", a: 13, b: 2, c: 7},
                {key: "K", a: 13, b: 2, c: 8},
                {key: "K", a: 13, b: 2, c: 9},
                {key: "K", a: 13, b: 2, c: 10},
                {key: "K", a: 13, b: 2, c: 11},
                {key: "K", a: 13, b: 2, c: 12},
                {key: "K", a: 13, b: 2, c: 13},
                {key: "K", a: 13, b: 2, c: 14},
                {key: "K", a: 13, b: 2, c: 15},
                {key: "K", a: 13, b: 3, c: 0},
                {key: "K", a: 13, b: 3, c: 1},
                {key: "K", a: 13, b: 3, c: 2},
                {key: "K", a: 13, b: 3, c: 3},
                {key: "K", a: 13, b: 3, c: 4},
                {key: "K", a: 13, b: 3, c: 5},
                {key: "K", a: 13, b: 3, c: 6},
                {key: "K", a: 13, b: 3, c: 7},
                {key: "K", a: 13, b: 3, c: 8},
                {key: "K", a: 13, b: 3, c: 9},
                {key: "K", a: 13, b: 3, c: 10},
                {key: "K", a: 13, b: 3, c: 11},
                {key: "K", a: 13, b: 3, c: 12},
                {key: "K", a: 13, b: 3, c: 13},
                {key: "K", a: 13, b: 3, c: 14},
                {key: "K", a: 13, b: 3, c: 15},
                {key: "K", a: 13, b: 4, c: 0},
                {key: "K", a: 13, b: 4, c: 1},
                {key: "K", a: 13, b: 4, c: 2},
                {key: "K", a: 13, b: 4, c: 3},
                {key: "K", a: 13, b: 4, c: 4},
                {key: "K", a: 13, b: 4, c: 5},
                {key: "K", a: 13, b: 4, c: 6},
                {key: "K", a: 13, b: 4, c: 7},
                {key: "K", a: 13, b: 4, c: 8},
                {key: "K", a: 13, b: 4, c: 9},
                {key: "K", a: 13, b: 4, c: 10},
                {key: "K", a: 13, b: 4, c: 11},
                {key: "K", a: 13, b: 4, c: 12},
                {key: "K", a: 13, b: 4, c: 13},
                {key: "K", a: 13, b: 4, c: 14},
                {key: "K", a: 13, b: 4, c: 15},
                {key: "K", a: 13, b: 5, c: 0},
                {key: "K", a: 13, b: 5, c: 1},
                {key: "K", a: 13, b: 5, c: 2},
                {key: "K", a: 13, b: 5, c: 3},
                {key: "K", a: 13, b: 5, c: 4},
                {key: "K", a: 13, b: 5, c: 5},
                {key: "K", a: 13, b: 5, c: 6},
                {key: "K", a: 13, b: 5, c: 7},
                {key: "K", a: 13, b: 5, c: 8},
                {key: "K", a: 13, b: 5, c: 9},
                {key: "K", a: 13, b: 5, c: 10},
                {key: "K", a: 13, b: 5, c: 11},
                {key: "K", a: 13, b: 5, c: 12},
                {key: "K", a: 13, b: 5, c: 13},
                {key: "K", a: 13, b: 5, c: 14},
                {key: "K", a: 13, b: 5, c: 15},
                {key: "K", a: 13, b: 6, c: 0},
                {key: "K", a: 13, b: 6, c: 1},
                {key: "K", a: 13, b: 6, c: 2},
                {key: "K", a: 13, b: 6, c: 3},
                {key: "K", a: 13, b: 6, c: 4},
                {key: "K", a: 13, b: 6, c: 5},
                {key: "K", a: 13, b: 6, c: 6},
                {key: "K", a: 13, b: 6, c: 7},
                {key: "K", a: 13, b: 6, c: 8},
                {key: "K", a: 13, b: 6, c: 9},
                {key: "K", a: 13, b: 6, c: 10},
                {key: "K", a: 13, b: 6, c: 11},
                {key: "K", a: 13, b: 6, c: 12},
                {key: "K", a: 13, b: 6, c: 13},
                {key: "K", a: 13, b: 6, c: 14},
                {key: "K", a: 13, b: 6, c: 15},
                {key: "K", a: 13, b: 7, c: 0},
                {key: "K", a: 13, b: 7, c: 1},
                {key: "K", a: 13, b: 7, c: 2},
                {key: "K", a: 13, b: 7, c: 3},
                {key: "K", a: 13, b: 7, c: 4},
                {key: "K", a: 13, b: 7, c: 5},
                {key: "K", a: 13, b: 7, c: 6},
                {key: "K", a: 13, b: 7, c: 7},
                {key: "K", a: 13, b: 7, c: 8},
                {key: "K", a: 13, b: 7, c: 9},
                {key: "K", a: 13, b: 7, c: 10},
                {key: "K", a: 13, b: 7, c: 11},
                {key: "K", a: 13, b: 7, c: 12},
                {key: "K", a: 13, b: 7, c: 13},
                {key: "K", a: 13, b: 7, c: 14},
                {key: "K", a: 13, b: 7, c: 15},
                {key: "K", a: 13, b: 8, c: 0},
                {key: "K", a: 13, b: 8, c: 1},
                {key: "K", a: 13, b: 8, c: 2},
                {key: "K", a: 13, b: 8, c: 3},
                {key: "K", a: 13, b: 8, c: 4},
                {key: "K", a: 13, b: 8, c: 5},
                {key: "K", a: 13, b: 8, c: 6},
                {key: "K", a: 13, b: 8, c: 7},
                {key: "K", a: 13, b: 8, c: 8},
                {key: "K", a: 13, b: 8, c: 9},
                {key: "K", a: 13, b: 8, c: 10},
                {key: "K", a: 13, b: 8, c: 11},
                {key: "K", a: 13, b: 8, c: 12},
                {key: "K", a: 13, b: 8, c: 13},
                {key: "K", a: 13, b: 8, c: 14},
                {key: "K", a: 13, b: 8, c: 15},
                {key: "K", a: 13, b: 9, c: 0},
                {key: "K", a: 13, b: 9, c: 1},
                {key: "K", a: 13, b: 9, c: 2},
                {key: "K", a: 13, b: 9, c: 3},
                {key: "K", a: 13, b: 9, c: 4},
                {key: "K", a: 13, b: 9, c: 5},
                {key: "K", a: 13, b: 9, c: 6},
                {key: "K", a: 13, b: 9, c: 7},
                {key: "K", a: 13, b: 9, c: 8},
                {key: "K", a: 13, b: 9, c: 9},
                {key: "K", a: 13, b: 9, c: 10},
                {key: "K", a: 13, b: 9, c: 11},
                {key: "K", a: 13, b: 9, c: 12},
                {key: "K", a: 13, b: 9, c: 13},
                {key: "K", a: 13, b: 9, c: 14},
                {key: "K", a: 13, b: 9, c: 15},
                {key: "K", a: 13, b: 10, c: 0},
                {key: "K", a: 13, b: 10, c: 1},
                {key: "K", a: 13, b: 10, c: 2},
                {key: "K", a: 13, b: 10, c: 3},
                {key: "K", a: 13, b: 10, c: 4},
                {key: "K", a: 13, b: 10, c: 5},
                {key: "K", a: 13, b: 10, c: 6},
                {key: "K", a: 13, b: 10, c: 7},
                {key: "K", a: 13, b: 10, c: 8},
                {key: "K", a: 13, b: 10, c: 9},
                {key: "K", a: 13, b: 10, c: 10},
                {key: "K", a: 13, b: 10, c: 11},
                {key: "K", a: 13, b: 10, c: 12},
                {key: "K", a: 13, b: 10, c: 13},
                {key: "K", a: 13, b: 10, c: 14},
                {key: "K", a: 13, b: 10, c: 15},
                {key: "K", a: 13, b: 11, c: 0},
                {key: "K", a: 13, b: 11, c: 1},
                {key: "K", a: 13, b: 11, c: 2},
                {key: "K", a: 13, b: 11, c: 3},
                {key: "K", a: 13, b: 11, c: 4},
                {key: "K", a: 13, b: 11, c: 5},
                {key: "K", a: 13, b: 11, c: 6},
                {key: "K", a: 13, b: 11, c: 7},
                {key: "K", a: 13, b: 11, c: 8},
                {key: "K", a: 13, b: 11, c: 9},
                {key: "K", a: 13, b: 11, c: 10},
                {key: "K", a: 13, b: 11, c: 11},
                {key: "K", a: 13, b: 11, c: 12},
                {key: "K", a: 13, b: 11, c: 13},
                {key: "K", a: 13, b: 11, c: 14},
                {key: "K", a: 13, b: 11, c: 15},
                {key: "K", a: 13, b: 12, c: 0},
                {key: "K", a: 13, b: 12, c: 1},
                {key: "K", a: 13, b: 12, c: 2},
                {key: "K", a: 13, b: 12, c: 3},
                {key: "K", a: 13, b: 12, c: 4},
                {key: "K", a: 13, b: 12, c: 5},
                {key: "K", a: 13, b: 12, c: 6},
                {key: "K", a: 13, b: 12, c: 7},
                {key: "K", a: 13, b: 12, c: 8},
                {key: "K", a: 13, b: 12, c: 9},
                {key: "K", a: 13, b: 12, c: 10},
                {key: "K", a: 13, b: 12, c: 11},
                {key: "K", a: 13, b: 12, c: 12},
                {key: "K", a: 13, b: 12, c: 13},
                {key: "K", a: 13, b: 12, c: 14},
                {key: "K", a: 13, b: 12, c: 15},
                {key: "K", a: 13, b: 13, c: 0},
                {key: "K", a: 13, b: 13, c: 1},
                {key: "K", a: 13, b: 13, c: 2},
                {key: "K", a: 13, b: 13, c: 3},
                {key: "K", a: 13, b: 13, c: 4},
                {key: "K", a: 13, b: 13, c: 5},
                {key: "K", a: 13, b: 13, c: 6},
                {key: "K", a: 13, b: 13, c: 7},
                {key: "K", a: 13, b: 13, c: 8},
                {key: "K", a: 13, b: 13, c: 9},
                {key: "K", a: 13, b: 13, c: 10},
                {key: "K", a: 13, b: 13, c: 11},
                {key: "K", a: 13, b: 13, c: 12},
                {key: "K", a: 13, b: 13, c: 13},
                {key: "K", a: 13, b: 13, c: 14},
                {key: "K", a: 13, b: 13, c: 15},
                {key: "K", a: 13, b: 14, c: 0},
                {key: "K", a: 13, b: 14, c: 1},
                {key: "K", a: 13, b: 14, c: 2},
                {key: "K", a: 13, b: 14, c: 3},
                {key: "K", a: 13, b: 14, c: 4},
                {key: "K", a: 13, b: 14, c: 5},
                {key: "K", a: 13, b: 14, c: 6},
                {key: "K", a: 13, b: 14, c: 7},
                {key: "K", a: 13, b: 14, c: 8},
                {key: "K", a: 13, b: 14, c: 9},
                {key: "K", a: 13, b: 14, c: 10},
                {key: "K", a: 13, b: 14, c: 11},
                {key: "K", a: 13, b: 14, c: 12},
                {key: "K", a: 13, b: 14, c: 13},
                {key: "K", a: 13, b: 14, c: 14},
                {key: "K", a: 13, b: 14, c: 15},
                {key: "K", a: 13, b: 15, c: 0},
                {key: "K", a: 13, b: 15, c: 1},
                {key: "K", a: 13, b: 15, c: 2},
                {key: "K", a: 13, b: 15, c: 3},
                {key: "K", a: 13, b: 15, c: 4},
                {key: "K", a: 13, b: 15, c: 5},
                {key: "K", a: 13, b: 15, c: 6},
                {key: "K", a: 13, b: 15, c: 7},
                {key: "K", a: 13, b: 15, c: 8},
                {key: "K", a: 13, b: 15, c: 9},
                {key: "K", a: 13, b: 15, c: 10},
                {key: "K", a: 13, b: 15, c: 11},
                {key: "K", a: 13, b: 15, c: 12},
                {key: "K", a: 13, b: 15, c: 13},
                {key: "K", a: 13, b: 15, c: 14},
                {key: "K", a: 13, b: 15, c: 15},
                {key: "K", a: 14, b: 0, c: 0},
                {key: "K", a: 14, b: 0, c: 1},
                {key: "K", a: 14, b: 0, c: 2},
                {key: "K", a: 14, b: 0, c: 3},
                {key: "K", a: 14, b: 0, c: 4},
                {key: "K", a: 14, b: 0, c: 5},
                {key: "K", a: 14, b: 0, c: 6},
                {key: "K", a: 14, b: 0, c: 7},
                {key: "K", a: 14, b: 0, c: 8},
                {key: "K", a: 14, b: 0, c: 9},
                {key: "K", a: 14, b: 0, c: 10},
                {key: "K", a: 14, b: 0, c: 11},
                {key: "K", a: 14, b: 0, c: 12},
                {key: "K", a: 14, b: 0, c: 13},
                {key: "K", a: 14, b: 0, c: 14},
                {key: "K", a: 14, b: 0, c: 15},
                {key: "K", a: 14, b: 1, c: 0},
                {key: "K", a: 14, b: 1, c: 1},
                {key: "K", a: 14, b: 1, c: 2},
                {key: "K", a: 14, b: 1, c: 3},
                {key: "K", a: 14, b: 1, c: 4},
                {key: "K", a: 14, b: 1, c: 5},
                {key: "K", a: 14, b: 1, c: 6},
                {key: "K", a: 14, b: 1, c: 7},
                {key: "K", a: 14, b: 1, c: 8},
                {key: "K", a: 14, b: 1, c: 9},
                {key: "K", a: 14, b: 1, c: 10},
                {key: "K", a: 14, b: 1, c: 11},
                {key: "K", a: 14, b: 1, c: 12},
                {key: "K", a: 14, b: 1, c: 13},
                {key: "K", a: 14, b: 1, c: 14},
                {key: "K", a: 14, b: 1, c: 15},
                {key: "K", a: 14, b: 2, c: 0},
                {key: "K", a: 14, b: 2, c: 1},
                {key: "K", a: 14, b: 2, c: 2},
                {key: "K", a: 14, b: 2, c: 3},
                {key: "K", a: 14, b: 2, c: 4},
                {key: "K", a: 14, b: 2, c: 5},
                {key: "K", a: 14, b: 2, c: 6},
                {key: "K", a: 14, b: 2, c: 7},
                {key: "K", a: 14, b: 2, c: 8},
                {key: "K", a: 14, b: 2, c: 9},
                {key: "K", a: 14, b: 2, c: 10},
                {key: "K", a: 14, b: 2, c: 11},
                {key: "K", a: 14, b: 2, c: 12},
                {key: "K", a: 14, b: 2, c: 13},
                {key: "K", a: 14, b: 2, c: 14},
                {key: "K", a: 14, b: 2, c: 15},
                {key: "K", a: 14, b: 3, c: 0},
                {key: "K", a: 14, b: 3, c: 1},
                {key: "K", a: 14, b: 3, c: 2},
                {key: "K", a: 14, b: 3, c: 3},
                {key: "K", a: 14, b: 3, c: 4},
                {key: "K", a: 14, b: 3, c: 5},
                {key: "K", a: 14, b: 3, c: 6},
                {key: "K", a: 14, b: 3, c: 7},
                {key: "K", a: 14, b: 3, c: 8},
                {key: "K", a: 14, b: 3, c: 9},
                {key: "K", a: 14, b: 3, c: 10},
                {key: "K", a: 14, b: 3, c: 11},
                {key: "K", a: 14, b: 3, c: 12},
                {key: "K", a: 14, b: 3, c: 13},
                {key: "K", a: 14, b: 3, c: 14},
                {key: "K", a: 14, b: 3, c: 15},
                {key: "K", a: 14, b: 4, c: 0},
                {key: "K", a: 14, b: 4, c: 1},
                {key: "K", a: 14, b: 4, c: 2},
                {key: "K", a: 14, b: 4, c: 3},
                {key: "K", a: 14, b: 4, c: 4},
                {key: "K", a: 14, b: 4, c: 5},
                {key: "K", a: 14, b: 4, c: 6},
                {key: "K", a: 14, b: 4, c: 7},
                {key: "K", a: 14, b: 4, c: 8},
                {key: "K", a: 14, b: 4, c: 9},
                {key: "K", a: 14, b: 4, c: 10},
                {key: "K", a: 14, b: 4, c: 11},
                {key: "K", a: 14, b: 4, c: 12},
                {key: "K", a: 14, b: 4, c: 13},
                {key: "K", a: 14, b: 4, c: 14},
                {key: "K", a: 14, b: 4, c: 15},
                {key: "K", a: 14, b: 5, c: 0},
                {key: "K", a: 14, b: 5, c: 1},
                {key: "K", a: 14, b: 5, c: 2},
                {key: "K", a: 14, b: 5, c: 3},
                {key: "K", a: 14, b: 5, c: 4},
                {key: "K", a: 14, b: 5, c: 5},
                {key: "K", a: 14, b: 5, c: 6},
                {key: "K", a: 14, b: 5, c: 7},
                {key: "K", a: 14, b: 5, c: 8},
                {key: "K", a: 14, b: 5, c: 9},
                {key: "K", a: 14, b: 5, c: 10},
                {key: "K", a: 14, b: 5, c: 11},
                {key: "K", a: 14, b: 5, c: 12},
                {key: "K", a: 14, b: 5, c: 13},
                {key: "K", a: 14, b: 5, c: 14},
                {key: "K", a: 14, b: 5, c: 15},
                {key: "K", a: 14, b: 6, c: 0},
                {key: "K", a: 14, b: 6, c: 1},
                {key: "K", a: 14, b: 6, c: 2},
                {key: "K", a: 14, b: 6, c: 3},
                {key: "K", a: 14, b: 6, c: 4},
                {key: "K", a: 14, b: 6, c: 5},
                {key: "K", a: 14, b: 6, c: 6},
                {key: "K", a: 14, b: 6, c: 7},
                {key: "K", a: 14, b: 6, c: 8},
                {key: "K", a: 14, b: 6, c: 9},
                {key: "K", a: 14, b: 6, c: 10},
                {key: "K", a: 14, b: 6, c: 11},
                {key: "K", a: 14, b: 6, c: 12},
                {key: "K", a: 14, b: 6, c: 13},
                {key: "K", a: 14, b: 6, c: 14},
                {key: "K", a: 14, b: 6, c: 15},
                {key: "K", a: 14, b: 7, c: 0},
                {key: "K", a: 14, b: 7, c: 1},
                {key: "K", a: 14, b: 7, c: 2},
                {key: "K", a: 14, b: 7, c: 3},
                {key: "K", a: 14, b: 7, c: 4},
                {key: "K", a: 14, b: 7, c: 5},
                {key: "K", a: 14, b: 7, c: 6},
                {key: "K", a: 14, b: 7, c: 7},
                {key: "K", a: 14, b: 7, c: 8},
                {key: "K", a: 14, b: 7, c: 9},
                {key: "K", a: 14, b: 7, c: 10},
                {key: "K", a: 14, b: 7, c: 11},
                {key: "K", a: 14, b: 7, c: 12},
                {key: "K", a: 14, b: 7, c: 13},
                {key: "K", a: 14, b: 7, c: 14},
                {key: "K", a: 14, b: 7, c: 15},
                {key: "K", a: 14, b: 8, c: 0},
                {key: "K", a: 14, b: 8, c: 1},
                {key: "K", a: 14, b: 8, c: 2},
                {key: "K", a: 14, b: 8, c: 3},
                {key: "K", a: 14, b: 8, c: 4},
                {key: "K", a: 14, b: 8, c: 5},
                {key: "K", a: 14, b: 8, c: 6},
                {key: "K", a: 14, b: 8, c: 7},
                {key: "K", a: 14, b: 8, c: 8},
                {key: "K", a: 14, b: 8, c: 9},
                {key: "K", a: 14, b: 8, c: 10},
                {key: "K", a: 14, b: 8, c: 11},
                {key: "K", a: 14, b: 8, c: 12},
                {key: "K", a: 14, b: 8, c: 13},
                {key: "K", a: 14, b: 8, c: 14},
                {key: "K", a: 14, b: 8, c: 15},
                {key: "K", a: 14, b: 9, c: 0},
                {key: "K", a: 14, b: 9, c: 1},
                {key: "K", a: 14, b: 9, c: 2},
                {key: "K", a: 14, b: 9, c: 3},
                {key: "K", a: 14, b: 9, c: 4},
                {key: "K", a: 14, b: 9, c: 5},
                {key: "K", a: 14, b: 9, c: 6},
                {key: "K", a: 14, b: 9, c: 7},
                {key: "K", a: 14, b: 9, c: 8},
                {key: "K", a: 14, b: 9, c: 9},
                {key: "K", a: 14, b: 9, c: 10},
                {key: "K", a: 14, b: 9, c: 11},
                {key: "K", a: 14, b: 9, c: 12},
                {key: "K", a: 14, b: 9, c: 13},
                {key: "K", a: 14, b: 9, c: 14},
                {key: "K", a: 14, b: 9, c: 15},
                {key: "K", a: 14, b: 10, c: 0},
                {key: "K", a: 14, b: 10, c: 1},
                {key: "K", a: 14, b: 10, c: 2},
                {key: "K", a: 14, b: 10, c: 3},
                {key: "K", a: 14, b: 10, c: 4},
                {key: "K", a: 14, b: 10, c: 5},
                {key: "K", a: 14, b: 10, c: 6},
                {key: "K", a: 14, b: 10, c: 7},
                {key: "K", a: 14, b: 10, c: 8},
                {key: "K", a: 14, b: 10, c: 9},
                {key: "K", a: 14, b: 10, c: 10},
                {key: "K", a: 14, b: 10, c: 11},
                {key: "K", a: 14, b: 10, c: 12},
                {key: "K", a: 14, b: 10, c: 13},
                {key: "K", a: 14, b: 10, c: 14},
                {key: "K", a: 14, b: 10, c: 15},
                {key: "K", a: 14, b: 11, c: 0},
                {key: "K", a: 14, b: 11, c: 1},
                {key: "K", a: 14, b: 11, c: 2},
                {key: "K", a: 14, b: 11, c: 3},
                {key: "K", a: 14, b: 11, c: 4},
                {key: "K", a: 14, b: 11, c: 5},
                {key: "K", a: 14, b: 11, c: 6},
                {key: "K", a: 14, b: 11, c: 7},
                {key: "K", a: 14, b: 11, c: 8},
                {key: "K", a: 14, b: 11, c: 9},
                {key: "K", a: 14, b: 11, c: 10},
                {key: "K", a: 14, b: 11, c: 11},
                {key: "K", a: 14, b: 11, c: 12},
                {key: "K", a: 14, b: 11, c: 13},
                {key: "K", a: 14, b: 11, c: 14},
                {key: "K", a: 14, b: 11, c: 15},
                {key: "K", a: 14, b: 12, c: 0},
                {key: "K", a: 14, b: 12, c: 1},
                {key: "K", a: 14, b: 12, c: 2},
                {key: "K", a: 14, b: 12, c: 3},
                {key: "K", a: 14, b: 12, c: 4},
                {key: "K", a: 14, b: 12, c: 5},
                {key: "K", a: 14, b: 12, c: 6},
                {key: "K", a: 14, b: 12, c: 7},
                {key: "K", a: 14, b: 12, c: 8},
                {key: "K", a: 14, b: 12, c: 9},
                {key: "K", a: 14, b: 12, c: 10},
                {key: "K", a: 14, b: 12, c: 11},
                {key: "K", a: 14, b: 12, c: 12},
                {key: "K", a: 14, b: 12, c: 13},
                {key: "K", a: 14, b: 12, c: 14},
                {key: "K", a: 14, b: 12, c: 15},
                {key: "K", a: 14, b: 13, c: 0},
                {key: "K", a: 14, b: 13, c: 1},
                {key: "K", a: 14, b: 13, c: 2},
                {key: "K", a: 14, b: 13, c: 3},
                {key: "K", a: 14, b: 13, c: 4},
                {key: "K", a: 14, b: 13, c: 5},
                {key: "K", a: 14, b: 13, c: 6},
                {key: "K", a: 14, b: 13, c: 7},
                {key: "K", a: 14, b: 13, c: 8},
                {key: "K", a: 14, b: 13, c: 9},
                {key: "K", a: 14, b: 13, c: 10},
                {key: "K", a: 14, b: 13, c: 11},
                {key: "K", a: 14, b: 13, c: 12},
                {key: "K", a: 14, b: 13, c: 13},
                {key: "K", a: 14, b: 13, c: 14},
                {key: "K", a: 14, b: 13, c: 15},
                {key: "K", a: 14, b: 14, c: 0},
                {key: "K", a: 14, b: 14, c: 1},
                {key: "K", a: 14, b: 14, c: 2},
                {key: "K", a: 14, b: 14, c: 3},
                {key: "K", a: 14, b: 14, c: 4},
                {key: "K", a: 14, b: 14, c: 5},
                {key: "K", a: 14, b: 14, c: 6},
                {key: "K", a: 14, b: 14, c: 7},
                {key: "K", a: 14, b: 14, c: 8},
                {key: "K", a: 14, b: 14, c: 9},
                {key: "K", a: 14, b: 14, c: 10},
                {key: "K", a: 14, b: 14, c: 11},
                {key: "K", a: 14, b: 14, c: 12},
                {key: "K", a: 14, b: 14, c: 13},
                {key: "K", a: 14, b: 14, c: 14},
                {key: "K", a: 14, b: 14, c: 15},
                {key: "K", a: 14, b: 15, c: 0},
                {key: "K", a: 14, b: 15, c: 1},
                {key: "K", a: 14, b: 15, c: 2},
                {key: "K", a: 14, b: 15, c: 3},
                {key: "K", a: 14, b: 15, c: 4},
                {key: "K", a: 14, b: 15, c: 5},
                {key: "K", a: 14, b: 15, c: 6},
                {key: "K", a: 14, b: 15, c: 7},
                {key: "K", a: 14, b: 15, c: 8},
                {key: "K", a: 14, b: 15, c: 9},
                {key: "K", a: 14, b: 15, c: 10},
                {key: "K", a: 14, b: 15, c: 11},
                {key: "K", a: 14, b: 15, c: 12},
                {key: "K", a: 14, b: 15, c: 13},
                {key: "K", a: 14, b: 15, c: 14},
                {key: "K", a: 14, b: 15, c: 15},
                {key: "K", a: 15, b: 0, c: 0},
                {key: "K", a: 15, b: 0, c: 1},
                {key: "K", a: 15, b: 0, c: 2},
                {key: "K", a: 15, b: 0, c: 3},
                {key: "K", a: 15, b: 0, c: 4},
                {key: "K", a: 15, b: 0, c: 5},
                {key: "K", a: 15, b: 0, c: 6},
                {key: "K", a: 15, b: 0, c: 7},
                {key: "K", a: 15, b: 0, c: 8},
                {key: "K", a: 15, b: 0, c: 9},
                {key: "K", a: 15, b: 0, c: 10},
                {key: "K", a: 15, b: 0, c: 11},
                {key: "K", a: 15, b: 0, c: 12},
                {key: "K", a: 15, b: 0, c: 13},
                {key: "K", a: 15, b: 0, c: 14},
                {key: "K", a: 15, b: 0, c: 15},
                {key: "K", a: 15, b: 1, c: 0},
                {key: "K", a: 15, b: 1, c: 1},
                {key: "K", a: 15, b: 1, c: 2},
                {key: "K", a: 15, b: 1, c: 3},
                {key: "K", a: 15, b: 1, c: 4},
                {key: "K", a: 15, b: 1, c: 5},
                {key: "K", a: 15, b: 1, c: 6},
                {key: "K", a: 15, b: 1, c: 7},
                {key: "K", a: 15, b: 1, c: 8},
                {key: "K", a: 15, b: 1, c: 9},
                {key: "K", a: 15, b: 1, c: 10},
                {key: "K", a: 15, b: 1, c: 11},
                {key: "K", a: 15, b: 1, c: 12},
                {key: "K", a: 15, b: 1, c: 13},
                {key: "K", a: 15, b: 1, c: 14},
                {key: "K", a: 15, b: 1, c: 15},
                {key: "K", a: 15, b: 2, c: 0},
                {key: "K", a: 15, b: 2, c: 1},
                {key: "K", a: 15, b: 2, c: 2},
                {key: "K", a: 15, b: 2, c: 3},
                {key: "K", a: 15, b: 2, c: 4},
                {key: "K", a: 15, b: 2, c: 5},
                {key: "K", a: 15, b: 2, c: 6},
                {key: "K", a: 15, b: 2, c: 7},
                {key: "K", a: 15, b: 2, c: 8},
                {key: "K", a: 15, b: 2, c: 9},
                {key: "K", a: 15, b: 2, c: 10},
                {key: "K", a: 15, b: 2, c: 11},
                {key: "K", a: 15, b: 2, c: 12},
                {key: "K", a: 15, b: 2, c: 13},
                {key: "K", a: 15, b: 2, c: 14},
                {key: "K", a: 15, b: 2, c: 15},
                {key: "K", a: 15, b: 3, c: 0},
                {key: "K", a: 15, b: 3, c: 1},
                {key: "K", a: 15, b: 3, c: 2},
                {key: "K", a: 15, b: 3, c: 3},
                {key: "K", a: 15, b: 3, c: 4},
                {key: "K", a: 15, b: 3, c: 5},
                {key: "K", a: 15, b: 3, c: 6},
                {key: "K", a: 15, b: 3, c: 7},
                {key: "K", a: 15, b: 3, c: 8},
                {key: "K", a: 15, b: 3, c: 9},
                {key: "K", a: 15, b: 3, c: 10},
                {key: "K", a: 15, b: 3, c: 11},
                {key: "K", a: 15, b: 3, c: 12},
                {key: "K", a: 15, b: 3, c: 13},
                {key: "K", a: 15, b: 3, c: 14},
                {key: "K", a: 15, b: 3, c: 15},
                {key: "K", a: 15, b: 4, c: 0},
                {key: "K", a: 15, b: 4, c: 1},
                {key: "K", a: 15, b: 4, c: 2},
                {key: "K", a: 15, b: 4, c: 3},
                {key: "K", a: 15, b: 4, c: 4},
                {key: "K", a: 15, b: 4, c: 5},
                {key: "K", a: 15, b: 4, c: 6},
                {key: "K", a: 15, b: 4, c: 7},
                {key: "K", a: 15, b: 4, c: 8},
                {key: "K", a: 15, b: 4, c: 9},
                {key: "K", a: 15, b: 4, c: 10},
                {key: "K", a: 15, b: 4, c: 11},
                {key: "K", a: 15, b: 4, c: 12},
                {key: "K", a: 15, b: 4, c: 13},
                {key: "K", a: 15, b: 4, c: 14},
                {key: "K", a: 15, b: 4, c: 15},
                {key: "K", a: 15, b: 5, c: 0},
                {key: "K", a: 15, b: 5, c: 1},
                {key: "K", a: 15, b: 5, c: 2},
                {key: "K", a: 15, b: 5, c: 3},
                {key: "K", a: 15, b: 5, c: 4},
                {key: "K", a: 15, b: 5, c: 5},
                {key: "K", a: 15, b: 5, c: 6},
                {key: "K", a: 15, b: 5, c: 7},
                {key: "K", a: 15, b: 5, c: 8},
                {key: "K", a: 15, b: 5, c: 9},
                {key: "K", a: 15, b: 5, c: 10},
                {key: "K", a: 15, b: 5, c: 11},
                {key: "K", a: 15, b: 5, c: 12},
                {key: "K", a: 15, b: 5, c: 13},
                {key: "K", a: 15, b: 5, c: 14},
                {key: "K", a: 15, b: 5, c: 15},
                {key: "K", a: 15, b: 6, c: 0},
                {key: "K", a: 15, b: 6, c: 1},
                {key: "K", a: 15, b: 6, c: 2},
                {key: "K", a: 15, b: 6, c: 3},
                {key: "K", a: 15, b: 6, c: 4},
                {key: "K", a: 15, b: 6, c: 5},
                {key: "K", a: 15, b: 6, c: 6},
                {key: "K", a: 15, b: 6, c: 7},
                {key: "K", a: 15, b: 6, c: 8},
                {key: "K", a: 15, b: 6, c: 9},
                {key: "K", a: 15, b: 6, c: 10},
                {key: "K", a: 15, b: 6, c: 11},
                {key: "K", a: 15, b: 6, c: 12},
                {key: "K", a: 15, b: 6, c: 13},
                {key: "K", a: 15, b: 6, c: 14},
                {key: "K", a: 15, b: 6, c: 15},
                {key: "K", a: 15, b: 7, c: 0},
                {key: "K", a: 15, b: 7, c: 1},
                {key: "K", a: 15, b: 7, c: 2},
                {key: "K", a: 15, b: 7, c: 3},
                {key: "K", a: 15, b: 7, c: 4},
                {key: "K", a: 15, b: 7, c: 5},
                {key: "K", a: 15, b: 7, c: 6},
                {key: "K", a: 15, b: 7, c: 7},
                {key: "K", a: 15, b: 7, c: 8},
                {key: "K", a: 15, b: 7, c: 9},
                {key: "K", a: 15, b: 7, c: 10},
                {key: "K", a: 15, b: 7, c: 11},
                {key: "K", a: 15, b: 7, c: 12},
                {key: "K", a: 15, b: 7, c: 13},
                {key: "K", a: 15, b: 7, c: 14},
                {key: "K", a: 15, b: 7, c: 15},
                {key: "K", a: 15, b: 8, c: 0},
                {key: "K", a: 15, b: 8, c: 1},
                {key: "K", a: 15, b: 8, c: 2},
                {key: "K", a: 15, b: 8, c: 3},
                {key: "K", a: 15, b: 8, c: 4},
                {key: "K", a: 15, b: 8, c: 5},
                {key: "K", a: 15, b: 8, c: 6},
                {key: "K", a: 15, b: 8, c: 7},
                {key: "K", a: 15, b: 8, c: 8},
                {key: "K", a: 15, b: 8, c: 9},
                {key: "K", a: 15, b: 8, c: 10},
                {key: "K", a: 15, b: 8, c: 11},
                {key: "K", a: 15, b: 8, c: 12},
                {key: "K", a: 15, b: 8, c: 13},
                {key: "K", a: 15, b: 8, c: 14},
                {key: "K", a: 15, b: 8, c: 15},
                {key: "K", a: 15, b: 9, c: 0},
                {key: "K", a: 15, b: 9, c: 1},
                {key: "K", a: 15, b: 9, c: 2},
                {key: "K", a: 15, b: 9, c: 3},
                {key: "K", a: 15, b: 9, c: 4},
                {key: "K", a: 15, b: 9, c: 5},
                {key: "K", a: 15, b: 9, c: 6},
                {key: "K", a: 15, b: 9, c: 7},
                {key: "K", a: 15, b: 9, c: 8},
                {key: "K", a: 15, b: 9, c: 9},
                {key: "K", a: 15, b: 9, c: 10},
                {key: "K", a: 15, b: 9, c: 11},
                {key: "K", a: 15, b: 9, c: 12},
                {key: "K", a: 15, b: 9, c: 13},
                {key: "K", a: 15, b: 9, c: 14},
                {key: "K", a: 15, b: 9, c: 15},
                {key: "K", a: 15, b: 10, c: 0},
                {key: "K", a: 15, b: 10, c: 1},
                {key: "K", a: 15, b: 10, c: 2},
                {key: "K", a: 15, b: 10, c: 3},
                {key: "K", a: 15, b: 10, c: 4},
                {key: "K", a: 15, b: 10, c: 5},
                {key: "K", a: 15, b: 10, c: 6},
                {key: "K", a: 15, b: 10, c: 7},
                {key: "K", a: 15, b: 10, c: 8},
                {key: "K", a: 15, b: 10, c: 9},
                {key: "K", a: 15, b: 10, c: 10},
                {key: "K", a: 15, b: 10, c: 11},
                {key: "K", a: 15, b: 10, c: 12},
                {key: "K", a: 15, b: 10, c: 13},
                {key: "K", a: 15, b: 10, c: 14},
                {key: "K", a: 15, b: 10, c: 15},
                {key: "K", a: 15, b: 11, c: 0},
                {key: "K", a: 15, b: 11, c: 1},
                {key: "K", a: 15, b: 11, c: 2},
                {key: "K", a: 15, b: 11, c: 3},
                {key: "K", a: 15, b: 11, c: 4},
                {key: "K", a: 15, b: 11, c: 5},
                {key: "K", a: 15, b: 11, c: 6},
                {key: "K", a: 15, b: 11, c: 7},
                {key: "K", a: 15, b: 11, c: 8},
                {key: "K", a: 15, b: 11, c: 9},
                {key: "K", a: 15, b: 11, c: 10},
                {key: "K", a: 15, b: 11, c: 11},
                {key: "K", a: 15, b: 11, c: 12},
                {key: "K", a: 15, b: 11, c: 13},
                {key: "K", a: 15, b: 11, c: 14},
                {key: "K", a: 15, b: 11, c: 15},
                {key: "K", a: 15, b: 12, c: 0},
                {key: "K", a: 15, b: 12, c: 1},
                {key: "K", a: 15, b: 12, c: 2},
                {key: "K", a: 15, b: 12, c: 3},
                {key: "K", a: 15, b: 12, c: 4},
                {key: "K", a: 15, b: 12, c: 5},
                {key: "K", a: 15, b: 12, c: 6},
                {key: "K", a: 15, b: 12, c: 7},
                {key: "K", a: 15, b: 12, c: 8},
                {key: "K", a: 15, b: 12, c: 9},
                {key: "K", a: 15, b: 12, c: 10},
                {key: "K", a: 15, b: 12, c: 11},
                {key: "K", a: 15, b: 12, c: 12},
                {key: "K", a: 15, b: 12, c: 13},
                {key: "K", a: 15, b: 12, c: 14},
                {key: "K", a: 15, b: 12, c: 15},
                {key: "K", a: 15, b: 13, c: 0},
                {key: "K", a: 15, b: 13, c: 1},
                {key: "K", a: 15, b: 13, c: 2},
                {key: "K", a: 15, b: 13, c: 3},
                {key: "K", a: 15, b: 13, c: 4},
                {key: "K", a: 15, b: 13, c: 5},
                {key: "K", a: 15, b: 13, c: 6},
                {key: "K", a: 15, b: 13, c: 7},
                {key: "K", a: 15, b: 13, c: 8},
                {key: "K", a: 15, b: 13, c: 9},
                {key: "K", a: 15, b: 13, c: 10},
                {key: "K", a: 15, b: 13, c: 11},
                {key: "K", a: 15, b: 13, c: 12},
                {key: "K", a: 15, b: 13, c: 13},
                {key: "K", a: 15, b: 13, c: 14},
                {key: "K", a: 15, b: 13, c: 15},
                {key: "K", a: 15, b: 14, c: 0},
                {key: "K", a: 15, b: 14, c: 1},
                {key: "K", a: 15, b: 14, c: 2},
                {key: "K", a: 15, b: 14, c: 3},
                {key: "K", a: 15, b: 14, c: 4},
                {key: "K", a: 15, b: 14, c: 5},
                {key: "K", a: 15, b: 14, c: 6},
                {key: "K", a: 15, b: 14, c: 7},
                {key: "K", a: 15, b: 14, c: 8},
                {key: "K", a: 15, b: 14, c: 9},
                {key: "K", a: 15, b: 14, c: 10},
                {key: "K", a: 15, b: 14, c: 11},
                {key: "K", a: 15, b: 14, c: 12},
                {key: "K", a: 15, b: 14, c: 13},
                {key: "K", a: 15, b: 14, c: 14},
                {key: "K", a: 15, b: 14, c: 15},
                {key: "K", a: 15, b: 15, c: 0},
                {key: "K", a: 15, b: 15, c: 1},
                {key: "K", a: 15, b: 15, c: 2},
                {key: "K", a: 15, b: 15, c: 3},
                {key: "K", a: 15, b: 15, c: 4},
                {key: "K", a: 15, b: 15, c: 5},
                {key: "K", a: 15, b: 15, c: 6},
                {key: "K", a: 15, b: 15, c: 7},
                {key: "K", a: 15, b: 15, c: 8},
                {key: "K", a: 15, b: 15, c: 9},
                {key: "K", a: 15, b: 15, c: 10},
                {key: "K", a: 15, b: 15, c: 11},
                {key: "K", a: 15, b: 15, c: 12},
                {key: "K", a: 15, b: 15, c: 13},
                {key: "K", a: 15, b: 15, c: 14},
                {key: "K", a: 15, b: 15, c: 15},
            ],
        )

    got =
        join.full(left: a, right: b, on: (l, r) => l.key == r.key, as: (l, r) => ({l with b: r.b}))
            |> join.full(right: c, on: (l, r) => l.key == r.key, as: (l, r) => ({l with c: r.c}))

    testing.diff(want: want, got: got)
}
